ad_page_contract {
    Creates a group calendar for each group passed in to this page.

    @param group_id_list list of group_id's for which to create a calendar

    @author Bryan Che (bryanche@arsdigita.com)
    @cvs-id $Id: group-cal-add-2.tcl,v 1.1.1.1 2001/01/24 18:03:15 tarik Exp $
} {
    {group_id_list:multiple,naturalnum,notnull}
} -errors {
    group_id_list:,notnull {You did not select any user groups}
}

db_transaction {
    foreach group_id $group_id_list {
	#double-click check
	set dbl_clk_ck [db_string cal_grp_add_dbl_ck "
	select count(group_id)
	from cal_groups
	where group_id = :group_id"]
	
	#we won't abort if this group already has a calendar
	#because this situation could come from a race
	#condition as well.  Thus, it may not be a double-click
	#causing the error...
	if {$dbl_clk_ck == 0} {
	    db_dml cal_group_create "
	    insert into cal_groups
	    (group_id)
	    values
	    (:group_id)"
	}
    }
}

db_release_unused_handles
ad_returnredirect "index"
  
