ad_page_contract {
    This is the calendar site-wide admin page.
    @author Bryan Che (bryanche@arsdigita.com)
    @cvs-id $Id: index.tcl,v 1.1.1.1 2001/01/24 18:03:15 tarik Exp $
} {
}

append whole_page "
[ad_header "Calendar Administration"]
<h2>Calendar Administration</h2>
[ad_admin_context_bar "Calendar"]
<hr>
<h3>Group Types With Calendars</h3>
You may select which user group types automatically
have calendars for each group.
<form method=post action=\"update-group-type-cals.tcl\">
<select multiple name=group_type_list size=10>
"

db_foreach cal_sel_group_types "select
ugt.group_type, ugt.pretty_name, lower(ugt.pretty_name),
decode(cgt.group_type, null, 0, 1) as has_calendar_p
from
user_group_types ugt, cal_group_types cgt
where ugt.group_type = cgt.group_type(+)
order by lower(ugt.pretty_name)
" {
    if {$has_calendar_p} {
	append whole_page "<option selected value=$group_type>$pretty_name</option>"
    } else {
	append whole_page "<option value=$group_type>$pretty_name</option>"
    }
}

append whole_page "
</select>
<p>
<input type=submit value=\"Update\">
</form>"

append whole_page "
<h3>Groups With Calendars</h3>
<ul>
<li><a href=\"group-cal-add\">Create a group calendar</a>
</ul>

The following user groups have calendars:
<ul>
"

db_foreach cal_sel_groups_have_cals "select
lower(ug.group_name), ug.group_name, cg.group_id
from cal_groups cg, user_groups ug
where ug.group_id = cg.group_id
order by lower(ug.group_name)
" {
    set header "Delete $group_name's Calendar"
    set message "Are you sure you want to delete $group_name's calendar?
    This will delete all the calendar items people have stored within
    it.
    "

    set yes_url "/admin/calendar/group-cal-delete?[export_url_vars group_id]"
    set no_url "/admin/calendar/index"

    append whole_page "<li>
    <a href=\"/admin/ug/group?group_id=$group_id\">$group_name</a>
    &nbsp;
    <a href=\"/shared/confirm?[export_url_vars header message yes_url no_url]\">(delete calendar)</a>. 
    "
}

append whole_page "
</ul>"

append whole_page "
[ad_footer]
"

doc_return 200 text/html $whole_page