ad_page_contract {
    This page updates which group types have calendars

    @param group_type_list list of which group_types have calendars

    @author Bryan Che (bryanche@arsdigita.com)
    @cvs-id $Id: update-group-type-cals.tcl,v 1.2 2001/02/05 23:52:27 tarik Exp $
} {
    {group_type_list:multiple,optional}
}

#special case: delete all group types
if {![info exists group_type_list]} {
    db_dml cal_rem_all_group_types " delete from cal_group_types"
    ad_returnredirect "index"
    return
}

db_transaction {
    #remove un-wanted group typess (but don't delete the groups' calendars!)
    db_dml cal_rem_group_types "
    delete from cal_group_types
    where group_type not in ('[join $group_type_list "', '"]')"

    #add the appropriate group types
    db_dml cal_add_group_types "
    insert into cal_group_types
    (group_type)
    select group_type
    from user_group_types
    where group_type in ('[join $group_type_list "', '"]')
    and group_type not in
     (select group_type from cal_group_types)
    "

    #insert the appropriate groups into cal_groups
    db_dml cal_lock_ug "lock table user_groups in exclusive mode"
    db_dml cal_add_groups "
    insert into cal_groups
    (group_id)
    select group_id
    from user_groups 
    where group_type in ('[join $group_type_list "', '"]')
    and group_id not in
     (select group_id from cal_groups)"
}

db_release_unused_handles
ad_returnredirect "index"


