# packages/calendar/www/add-existing-attachment.tcl

ad_page_contract {
    searches for file to attach to calendar item - should eventually be in its
    own "file-storage/calendar" glue package

    @param return_url
    @param group_id
    @param current_date
    @param item_id
    @param doc_type
    @param parent_id

    @author (tzumainn@arsdigita.com)
    @creation-date 
    @cvs-id $Id: add-existing-attachment.tcl,v 1.2 2001/02/13 22:12:21 caroline Exp $
} {
    {return_url ""}
    {group_id ""}
    {current_date ""}
    item_id
    parent_id
    {doc_type ""}
}



set user_id [ad_maybe_redirect_for_registration]

if [empty_string_p $group_id] {
    ad_return_complaint 1 "<li>Please choose a group" 
    return
}

if { ![ad_user_group_member $group_id $user_id] } {
    ad_return_error "Unauthorized" "You're not a member of this group"
    return
}

set current_group_id $group_id
set current_group_name [db_string cal_group_name_select "select group_name from user_groups where group_id=:group_id"]
set write_p [ad_user_group_authorized_admin_or_site_admin $user_id $group_id]

set title "Search for an Attachment"

set top_html  "
[ad_header $title]

<h2> $title </h2>

<hr align=left>

<blockquote>"

# get the group's files from the database and parse the output 
# to reflect the folder stucture
            
set file_html ""
set file_count 0

set font "<nobr>[ad_parameter FileInfoDisplayFontTag fs]"
set header_color [ad_parameter HeaderColor fs]

set font "<nobr>[ad_parameter FileInfoDisplayFontTag fs]"
set header_color [ad_parameter HeaderColor fs]
set file_html "
<table border=1 bgcolor=white  cellpadding=0 cellspacing=0>
<tr>
<td><table bgcolor=white cellspacing=1 border=0 cellpadding=0>
<tr>
 <td colspan=4 bgcolor=#666666>$font &nbsp;<font color=white> $title</td>
</tr>
<tr>
 <td bgcolor=$header_color>$font &nbsp; Name</td>
 <td bgcolor=$header_color align=left>$font &nbsp; Author &nbsp;</td>
 <td bgcolor=$header_color>$font &nbsp; Type &nbsp;</td>
 <td bgcolor=$header_color>$font &nbsp; Modified &nbsp;</td>
</tr>
"

set folder_links_list [list]
set font "<nobr><font face=arial,helvetica size=-1>"
set header_color [ad_parameter HeaderColor fs]

set sorted_query "
    select fsf.file_id,
           fsf.file_title,
           fsf.folder_p,
           fsf.depth * 24 as n_pixels_in,
           round ( fsvl.n_bytes / 1024 ) as n_kbytes,
           n_bytes,
           to_char ( fsvl.creation_date, '[fs_date_picture]' ) as creation_date,
	   nvl ( fsvl.file_type, upper ( fsvl.file_extension ) || ' File' ) as file_type,
           fsf.owner_id,
           u.first_names || ' ' || u.last_name as owner_name,
           fsf.sort_key,
           fsvl.version_id,
           fsvl.client_file_name, 
           fsvl.url
    from   fs_files fsf,
           fs_versions_latest fsvl,
           users u
    where  fsf.file_id = fsvl.file_id
    and    fsf.owner_id = u.user_id
    and    deleted_p = 'f'
    and    fsf.group_id = :group_id
    and    (ad_general_permissions.user_has_row_permission_p (:user_id, 'read', fsvl.version_id, 'FS_VERSIONS') = 't' or fsf.owner_id = :user_id)
    order by fsf.sort_key"

db_foreach cal_fs_select $sorted_query {
    if { $n_pixels_in == 0 } {
	set spacer_gif ""
     } else {
	set spacer_gif "<img src=\"/graphics/file-storage/spacer.gif\" width=$n_pixels_in height=1>"
    }

    set export_url_vars "[export_url_vars file_id group_id parent_id return_url current_date item_id doc_type]" 
    set file_url "add-existing-attachment-2"

    if {$folder_p=="t"} {

        append file_html "
	<tr>
	 <td valign=top>&nbsp; $spacer_gif $font
          <img border=0 src=/graphics/file-storage/ftv2folderopen.gif align=top>
          <a name=\"$file_title\"></a>$file_title
         </td>
	 <td align=left>&nbsp;</td>
	 <td>$font &nbsp; File Folder &nbsp;</td>
	 <td>&nbsp;</td>
	</tr>\n"

	lappend folder_links_list "<a href=\"#$file_title\">$file_title</a>"

    } else {

        regexp {.*\\([^\\]+)} $client_file_name match client_file_name
	regsub -all {[^-_.0-9a-zA-Z]+} $client_file_name "_" pretty_file_name

        append file_html "
	<tr>
	<td valign=top>&nbsp; $spacer_gif $font
	<a href=\"$file_url?$export_url_vars\">
	<img border=0 src=/graphics/file-storage/ftv2doc.gif align=top></a>
	<a href=\"$file_url?$export_url_vars\">
	$file_title
	</a>
	&nbsp;</td>
	<td>$owner_name&nbsp;</td>
	<td>$font &nbsp; [fs_pretty_file_type $file_type] &nbsp;</td>
	<td>$font &nbsp; $creation_date &nbsp;</td>
	</tr>\n"

    }
    
    incr file_count
}

if {$file_count==0} {

    append file_html "
    <tr>
    <td>&nbsp; No files available in this group. &nbsp;</td>
    </tr>"

    set folder_links ""
} else {
    set folder_links "[join $folder_links_list " | "]<p>"
}

set bottom_html "
</td></tr></table></td></tr></table>

</blockquote>

[ad_footer [fs_system_owner]]"

# release the database handle

db_release_unused_handles 

# serve the page

doc_return 200 text/html "
$top_html
$folder_links
$file_html
$bottom_html
"


