# packages/calendar/www/admin/type-delete-2.tcl
ad_page_contract {
    Performs a delete on a type that has been verified as empty

    Number of queries: ?
    Number of dml: ?

    @author Philip Greenspun (philg@mit.edu)
    @author Sarah Ahmed (ahmeds@arsdigita.com)
    @creation-date 1998-11-18
    @cvs-id $Id: type-delete-2.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
    
} {
    type_id:integer
    {scope public}
    {user_id ""}
    {group_id ""}
    {on_what_id ""}
    {on_which_group ""}
}

ad_scope_error_check

ad_scope_authorize $scope admin group_admin user


# see if there are any calendar entries

set query_num_entries "
select count(i.item_id) 
from cal_items i, cal_item_type_map m
where type_id = :type_id
  and i.item_id = m.item_id"

set num_entries [db_string cal_type_num_entries $query_num_entries]

if {$num_entries > 0} {

    set dml_disable_type "update cal_item_types set enabled_p ='f' where type_id=:type_id"

    db_dml cal_disable_type $dml_disable_type

} else {

    set dml_delete_type "delete from cal_item_types where type_id=:type_id"

    db_dml cal_delete_type $dml_delete_type

}

ad_returnredirect "types.tcl?[export_url_scope_vars]"

## END FILE type-delete-2.tcl

















