# packages/calendar/www/admin/type-one.tcl
ad_page_contract {
    Lists items in a type, with options to add an item, change the
    type name, or delete the type

    Number of queries: 3

    @author Philip Greenspun (philg@mit.edu)
    @author Sarah Ahmed (ahmeds@arsdigita.com)
    @creation-date 1998-11-18
    @cvs-id $Id: type-one.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
    
} {
    type_id:naturalnum
    {scope public}
    {user_id:naturalnum ""}
    {group_id:naturalnum ""}
    {on_what_id:naturalnum ""}
    {on_which_group:naturalnum ""}
}

# Note: if page is accessed through /groups pages then group_id and group_vars_set are already set up in 
#       the environment by the ug_serve_section. group_vars_set contains group related variables (group_id, 
#       group_name, group_short_name, group_admin_email, group_public_url, group_admin_url, group_public_root_url,
#       group_admin_root_url, group_type_url_p, group_context_bar_list and group_navbar_list)

# type_id
# maybe scope, maybe scope related variables (user_id, group_id, on_which_group, on_what_id)

ad_scope_error_check

ad_scope_authorize $scope admin group_admin user

db_1row cal_item_type "
select type
from cal_item_types
where type_id=:type_id "
 
set page_content "
[ad_scope_header "Type $type"]
[ad_scope_page_title "Type <i>$type</i>"]
[ad_scope_context_bar_ws_or_index [list "../index.tcl?[export_url_scope_vars]" "Calendar"] [list "types.tcl?[export_url_scope_vars]" "Types"] "<i>$type</i>"]  

<hr>

<ul>
"

append page_content "

<P> 

<li>

<form method=post action=type-edit>
Change this type name:
[export_form_scope_vars type_id]
<input type=text name=type_new value=\"[philg_quote_double_quotes $type]\">
<input type=submit name=submit value=\"Change\">
</form>"

db_1row cal_type_enabled_p "
select enabled_p as type_enabled_p 
from cal_item_types 
where type_id=:type_id"

db_release_unused_handles

if {$type_enabled_p == "t"} {
    append page_content "<li> <A href=\"type-delete?[export_url_scope_vars]&type_id=[ns_urlencode $type_id]\">Delete this type</a>"
} else {
    append page_content "<li> <A href=\"type-enable-toggle?[export_url_scope_vars]&type_id=[ns_urlencode $type_id]\">Allow users to post to this type</a>"
}
append page_content "</ul>
[ad_scope_admin_footer]
"

doc_return 200 text/html $page_content

## END FILE type-one.tcl

