# packages/calendar/www/admin/types.tcl
ad_page_contract {
    Lists types

    Number of queries: 2

    @author Philip Greenspun (philg@mit.edu)
    @author Sarah Ahmed (ahmeds@arsdigita.com)
    @creation-date 1998-11-18
    @cvs-id $Id: types.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
    
} {
    {scope public}
    {user_id:naturalnum ""}
    {group_id:naturalnum ""}
    {on_what_id:naturalnum ""}
    {on_which_group:naturalnum ""}
}

# Note: if page is accessed through /groups pages then group_id and group_vars_set are already set up in 
#       the environment by the ug_serve_section. group_vars_set contains group related variables (group_id, 
#       group_name, group_short_name, group_admin_email, group_public_url, group_admin_url, group_public_root_url,
#       group_admin_root_url, group_type_url_p, group_context_bar_list and group_navbar_list)

# maybe scope, maybe scope related variables (user_id, group_id, on_which_group, on_what_id)
# maybe contact_info_only, maybe order_by


ad_scope_error_check

ad_scope_authorize $scope admin group_admin user


set page_content "
[ad_scope_header "Calendar types"]
[ad_scope_page_title "Types"]
[ad_scope_context_bar_ws_or_index [list "../index.tcl?[export_url_scope_vars]" "Calendar"] "Types"]

<hr>

<ul>

"

set enabled_headline_shown_p 0
set disabled_headline_shown_p 0

db_foreach cal_type_info "
select type_id, type, enabled_p 
from cal_item_types
where [ad_scope_sql]
order by enabled_p desc


"  {
    
    if { $enabled_headline_shown_p == 0 && $enabled_p == "t" } {
	append page_content "<h4>Types for calendar items</h4>
	<ul>"
	set enabled_headline_shown_p 1
    } 

    if { $disabled_headline_shown_p == 0 && $enabled_p == "f" } {
	append page_content "</ul>
	<h4>Disabled Types</h4>
	<ul>"
	set disabled_headline_shown_p 1
    } 
    
    append page_content "<li><a href=\"type-one?[export_url_scope_vars]&type_id=[ns_urlencode $type_id]\">$type</a>\n"
    
} if_no_rows {
    
    append page_content "no item types are currently defined"
}

set next_type_id [db_nextval "cal_id_sequence"]

db_release_unused_handles

append page_content "
<P>
<li><form method=post action=type-new>
[export_form_scope_vars next_type_id]
Add a type:
<input type=text name=type_new>
<input type=submit name=submit value=\"Add\">
</form>
</ul>

<p>e.g. <i>Workshops, June Conference Series,</i> etc.</p>
</ul>
[ad_scope_footer]
"
 
doc_return 200 text/html $page_content

## END FILE types.tcl
