# packages/calendar/www/edit-html-attachment.tcl

ad_page_contract {
    allows user to edit the text of an html attachment and upload a new version

    @param file_id
    @param group_id
    @param return_url

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date 8/8/2000
    @cvs-id $Id: edit-html-attachment.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
} {
    {file_id}
    {group_id ""}
    {return_url ""}
}

# get the file and print it out in a textarea box

db_1row cal_get_version_content "
select version_content, file_type, fs_version_id_seq.nextval as version_id
from fs_versions_latest
where file_id = :file_id"

set text_checked_p ""
set html_checked_p ""

# Plain text is stored as HTML with <pre> tag.
if [regexp {<pre[^>]*>(.*)</pre>} $version_content match version_content] {
    set text_checked_p checked
} else {
    set html_checked_p checked
}

db_release_unused_handles

doc_set_property title "Edit Attachment"
doc_set_property author "ejc@arsdigita.com"

doc_body_append "
<form method=post action=edit-html-attachment-2>
<blockquote>
<table align=center>
<tr>
<td>
<textarea rows=50 cols=100 wrap=on name=upload_file>
[ns_quotehtml $version_content]
</textarea>
</td>
</tr>

<tr><td align=center>
    <input type=radio name=text_or_html value=\"text\" $text_checked_p> Plain text
    <input type=radio name=text_or_html value=\"html\" $html_checked_p> HTML
</td></tr>


<tr align=center>
<td>

<table>
<tr>
<td>
<input type=submit value=Update>
[export_form_vars version_id file_id return_url group_id]
</form>
</td>
<td>
<form method=post action=\"$return_url\">
<input type=submit value=Cancel>
</form>
</td>
</tr>
</table>

</td>
</tr>
</table>
</blockquote>
"

#yeah that looks like a lot of unnecessary table tags but they're needed to format right