ad_page_contract {
    Creates a group calendar for each group passed in to this page.

    @param group_id_list list of group_id's for which to create a calendar

    @author Bryan Che (bryanche@arsdigita.com)
    @cvs-id $Id: group-cal-create.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
} {
    {group_id_list:multiple,naturalnum,notnull}
} -errors {
    group_id_list:,notnull {You did not select any user groups}
}

set user_id [ad_verify_and_get_user_id]

db_transaction {
    foreach group_id $group_id_list {
	#make sure this user has permission
	set permission_p [db_string cal_check_perm "
	select count(group_id)
	from user_group_map
	where user_id = :user_id
	and group_id = :group_id
	and role = 'administrator'"]

	if {$permission_p} {
	    #double-click check
	    set dbl_clk_ck [db_string cal_grp_add_dbl_ck "
	    select count(group_id)
	    from cal_groups
	    where group_id = :group_id"]

	    #we won't abort if this group already has a calendar
	    #because this situation could come from a race
	    #condition as well.  Thus, it may not be a double-click
	    #causing the error...
	    if {$dbl_clk_ck == 0} {
		db_dml cal_group_create "
		insert into cal_groups
		(group_id)
		values
		(:group_id)"
	    }
	} else {
	    db_abort_transaction
	    ad_return_warning "Insufficient Permission" "You do
	    not have permission to create a group calendar
	    for the selected group"
	    return
	}
    }
}

db_release_unused_handles
ad_returnredirect group-cals-admin