ad_page_contract {
    This page deletes a user group's calendar
    
    @param group_id
    @author Bryan Che (bryanche@arsdigita.com)
    @cvs-id $Id: group-cal-delete.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
} {
    {group_id:naturalnum,notnull}
}

set user_id [ad_verify_and_get_user_id]

#make sure that this user has permission
set admin_p [db_string sel_admin_del_p "
select count(group_id)
from user_group_map
where group_id = :group_id
and user_id = :user_id
and role = 'administrator'"]

if {$admin_p == 0} {
    ad_return_warning "Insufficient Permission" "You do not have
    permission to delete this group's calendar."
    return
}

db_transaction {
    db_dml cal_del_cal_alerts_group "delete
    from cal_alerts
    where group_id = :group_id
    "

    db_dml cal_del_cal_user_update_prefs_group "delete
    from cal_user_update_prefs
    where group_id = :group_id"

    db_dml cal_del_cal_user_item_filter_group "delete
    from cal_user_item_filter
    where group_id = :group_id"

    db_dml cal_del_cal_item_map_group "delete
    from cal_user_group_item_map
    where group_id = :group_id"

    db_dml cal_del_group "delete
    from cal_groups
    where group_id = :group_id"
}

db_release_unused_handles
ad_returnredirect "group-cals-admin.tcl"