# packages/calendar/www/item-delete-2.tcl

# Still needs to deal with deleting last instance.
ad_page_contract {
    deletes calendar item from the database
    
    @param parent_id
    @param item_id
    @param group_id
    @param return_url 
    @param current_date 

    @author (tarik@arsdigita.com)
    @creation-date Thu Jul 20 08:12:39 2000
    @cvs-id $Id: item-delete-2.tcl,v 1.1.1.1 2001/01/24 18:03:16 tarik Exp $
} {
    parent_id
    {item_id ""}
    {group_id 0}
    {return_url ""}
    {current_date ""}
}

initialize_calendar_parameters


set user_id [ad_verify_and_get_user_id]

if { [exists_and_not_null parent_id] && [calendar_item_write_access_p $parent_id $group_id] } {
    if {[empty_string_p $item_id]} {
	# Delete all instances
	db_transaction {
	    # Delete dependent rows.	
	    db_dml cal_user_group_item_map_delete "
	    delete from cal_user_group_item_map	
	    where item_id = :parent_id"
	    db_dml cal_type_map_delete "delete from cal_item_type_map
	    where item_id in (select item_id
	                      from cal_items
	                      where parent_id = :parent_id)"
	    db_dml cal_item_db_row_map_delete_items "
	    delete from cal_item_db_row_map
	    where item_id in (select item_id
	                      from cal_items
	                      where parent_id = :parent_id)"
	    db_dml cal_alerts_delete "delete from cal_alerts
	    where item_id = :parent_id"
	    db_dml cal_items_delete "delete from cal_items
	    where parent_id = :parent_id"
	    
	    # Now delete parent
	    db_dml cal_parent_delete "delete from cal_items
	    where item_id = :parent_id"
	}
    } else {
	# Delete the instance and dependencies
	db_dml cal_item_type_map_delete "delete from cal_item_type_map
	where item_id = :item_id"
	db_dml cal_item_db_row_map_delete "DELETE FROM cal_item_db_row_map
	WHERE item_id = :item_id"
	db_dml cal_item_delete "
	DELETE FROM cal_items
	WHERE item_id = :item_id"
    }
} else {
    error "Insufficient priviledges"
}

if [empty_string_p $return_url] {
    set return_url "?current_view=[ad_calendar current_view]&current_date=[ad_calendar current_date]&group_id=$group_id"
}
ns_log Notice "return_url : $return_url"

ad_returnredirect $return_url


