-- ejc@arsdigita.com
-- 7/21/2000
-- a very useful function I wrote (all by myself!) to string all the department names for a particular class together
-- just input the class id!
-- I wrote this primarily for the manage-memberships page, but it seems like it could be useful elsewhere
create or replace function combine_department_names (v_group_id IN integer)
return varchar
IS
TYPE cur_type IS REF CURSOR;
c cur_type;
my_query VARCHAR2(4000);
v_group_name VARCHAR2(100);
v_return_string VARCHAR2(4000);
BEGIN
	my_query := 'select group_name
 		     from user_groups ug, edu_class_info eci,
            		  edu_subject_department_map esdm
		     where eci.group_id = :v_group_id
		     and esdm.department_id = ug.group_id
		     and eci.subject_id = esdm.subject_id
	 	     order by group_name';
	OPEN c FOR my_query USING v_group_id;
	LOOP
		FETCH c INTO v_group_name;
		EXIT when c%NOTFOUND;
		v_return_string := v_return_string || v_group_name || ' <BR> ';
	END LOOP;
	return v_return_string;
END;
/
show errors

-- this function generates unique short_name from the class_ids (subject_id, term_id)
-- redone by ejc@arsdigita.com 8/16/2000
create or replace function short_name_from_class_ids
(v_subject_id IN edu_subjects.subject_id%TYPE,
v_term_id in edu_terms.term_id%TYPE)
     return varchar
     IS
     TYPE cur_type IS REF CURSOR;
     c cur_type;
     my_query VARCHAR2(4000);
     v_group_name user_groups.short_name%TYPE;
     term_name edu_terms.short_name%TYPE;
     subject_number edu_subject_department_map.subject_number%TYPE;
     BEGIN
	my_query := 'select subject_number
	            from edu_subject_department_map m
	            where m.subject_id = :v_subject_id
	            order by subject_number';

	OPEN c FOR my_query USING v_subject_id;
	LOOP
		FETCH c INTO subject_number;
		EXIT when c%NOTFOUND;
		IF v_group_name is NULL THEN
			v_group_name := subject_number;
		ELSE
			v_group_name := v_group_name || ' ' || subject_number;
		END IF;
	END LOOP;

	select short_name into term_name
	from edu_terms t
	where t.term_id = v_term_id;

	IF term_name is NOT NULL THEN
		v_group_name := v_group_name || ' ' || term_name;
	END IF;

	return short_name_from_group_name2(lower(substr(translate(v_group_name, '_ .','---'), 1, 80)), 0);
     END short_name_from_class_ids;
/
show errors

