create table edu_community_info (
       group_id			integer
				constraint edu_comm_info_group_id_pk primary key
				constraint edu_comm_info_group_id_fk references user_groups,
       description		varchar(4000),
       public_p			char(1) default 'f'
				constraint edu_comm_info_public_p_ck check(public_p in ('t','f')),
       root_folder_id  		integer
				constraint edu_comm_info_root_id_fk references fs_files,
       last_modified           	date default sysdate
				constraint edu_comm_info_last_mod_nn not null,
       last_modifying_user     	constraint edu_comm_info_last_mod_user_fk references users,
       modified_ip_address     	varchar(20)
);

-- we want to audit the community information

create table edu_community_info_audit (
	group_id 		integer,
	description		varchar(4000),
	public_p		char(1),
	root_folder_id		integer,
	last_modified          	date,
        last_modifying_user    	integer,
        modified_ip_address    	varchar(20)
);

-- we create a trigger to keep the audit table current

create or replace trigger edu_comm_info_audit_trigger
before update or delete on edu_community_info
for each row
begin
   insert into edu_community_info_audit (
	group_id,		
	description, 		
	public_p,
	root_folder_id,		
	last_modified,          	
        last_modifying_user,     
        modified_ip_address)
    values (
	:old.group_id,		
	:old.description, 		
	:old.public_p,	
	:old.root_folder_id,	
	:old.last_modified,          	
        :old.last_modifying_user,     
        :old.modified_ip_address);
end;
/
show errors

-- added by ejc@arsdigita.com 7/24/2000
-- Create edu_community group type
declare	
 n_communities_group_types integer;
begin
 select count(*) into n_communities_group_types from user_group_types where group_type = 'edu_community';
  if n_communities_group_types = 0 then
    insert into user_group_types
    (user_group_types_id, group_type, pretty_name, pretty_plural, approval_policy, default_new_member_policy,group_module_administration)
    values
   (user_group_types_seq.nextval, 'edu_community','Community','Communities','wait','open','full');
  end if;
end;
/
 

-- added my mried@mit.edu 1/9/01
-- Sets group administration to "none"
-- for the groups community and class
update user_group_types
  set
  group_module_administration='none'
 where group_type='edu_class'
  or   group_type='edu_community';
