-- this is where we keep the student grades and the evaluations
-- that students receive from teachers
create sequence edu_evaluation_id_sequence;
create table edu_student_evaluations (
	evaluation_id		integer primary key,
	class_id		not null references user_groups,
        -- must have student_id or team_id 
	student_id		references users,
	team_id			references user_groups,
	task_id		        references edu_student_tasks,
	-- there may be several times during the term that the prof 
        -- wants to evaluate a student.  So, the evaluation_type 
        -- is something like 'end_of_term' or 'midterm'
	evaluation_type		varchar(100),
	grader_id		not null references users,
	grade			varchar(5),
	comments		varchar(4000),
	show_student_p		char(1) default 't' check (show_student_p in ('t','f')),
	evaluation_date		date default sysdate,
	last_modified           date default sysdate not null,
        last_modifying_user     not null references users,
	-- modified_ip_address is stored as a string separated by periods.
        modified_ip_address     varchar(20) not null
);


-- we want to audit the evaluations table

create table edu_student_evaluations_audit (
	evaluation_id		integer,
	class_id		integer,
        -- must have student_id or team_id 
	student_id		integer,
	team_id			integer,
	task_id		        integer,
	evaluation_type		varchar(100),
	grader_id		integer,
	grade			varchar(5),
	comments		varchar(4000),
	show_student_p		char(1),
	evaluation_date		date,
	last_modified           date,
        last_modifying_user	integer,
        modified_ip_address     varchar(20)
);
