-- start an class type so classes can have events (e.g. exam review) of
-- "group" scope
create or replace trigger edu_cal_cat_upon_new_class
after insert on user_groups
  for each row
  begin
	IF :new.group_type='edu_class' THEN
	    insert into cal_item_types (type_id, scope, group_id, type, enabled_p) 
	    values 
	    (cal_id_sequence.nextval, 'group', :new.group_id, 'Lecture', 't');

	    insert into cal_item_types (type_id, scope, group_id, type, enabled_p) 
	    values 
	    (cal_id_sequence.nextval, 'group', :new.group_id, 'Recitation', 't');

 insert into cal_item_types (type_id, scope, group_id, type, enabled_p) 
	    values 
	    (cal_id_sequence.nextval, 'group', :new.group_id, 'Assignment', 't');
 insert into cal_item_types (type_id, scope, group_id, type, enabled_p) 
	    values 
	    (cal_id_sequence.nextval, 'group', :new.group_id, 'Project', 't');

 insert into cal_item_types (type_id, scope, group_id, type, enabled_p) 
	    values 
	    (cal_id_sequence.nextval, 'group', :new.group_id, 'Other', 't');
	END IF; 
  end;
/
show errors
 
-- create "Personal" type for each user
create or replace trigger edu_cal_cat_upon_new_user
after insert on users
  for each row
  begin
	insert into cal_item_types (type_id, scope, user_id, type, enabled_p)
	values
	(cal_id_sequence.nextval, 'user', :new.user_id, 'Personal', 't');
  end;
/
show errors

-- the opposite trigger: delete from categories upon user delete
create or replace trigger edu_cal_cat_upon_user_delete
before delete on users
  for each row
  begin
	delete from cal_item_types
	where user_id = :old.user_id;
  end;
/
show errors

