---------------------------------------------------------
--       REMOVE PREINSTALLED USERS PORTAL DOMAIN       --
---------------------------------------------------------
-- portals package comes with preinstalled users portal domain.
-- education package has its own customized user portals domain,
-- so we remove the preinstalled user portal domain.

execute portal_domain.remove(portal_domain.id_from_domain_name('users'));

---------------------------------------------------------
--               CREATE USERS DOMAIN                   --
---------------------------------------------------------
execute portal_domain.create_new(v_domain_name => 'users', v_url_root => 'home', v_type => 'user');

---------------------------------------------------------
--            SET USERS DOMAIN GRAPHICS                --
---------------------------------------------------------
execute portal_domain.set_property(v_domain_id => portal_domain.id_from_domain_name('users'), v_property_name => 'portlet_header_color', v_property_value => '#CC0000');
execute portal_domain.set_property(v_domain_id => portal_domain.id_from_domain_name('users'), v_property_name => 'td_header_html', v_property_value => '<td bgcolor=#CC0000><font face=arial,helvetica size=-1 color=#ffffcc><b>');

---------------------------------------------------------
--              CREATE USER DOMAIN PORTLETS            --
---------------------------------------------------------

execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'FAQs');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Announcements');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'My Groups');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Calendar Day View', v_portlet_name => 'Day Summary');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Stock Quotes');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Bulletin Boards');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Weather',  v_portlet_name => 'Current Weather');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Full Calendar');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'New Bulletin Board Messages');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'New Documents');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Calendar New Items', v_portlet_name => 'New Calendar Items');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'File Storage');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Survey');

execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Assignments');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Handouts');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Lecture Notes');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'My Tools');

execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Preferences', v_control_panel_p => 't');


execute portal_install.add_html_domain_portlet(v_domain_name => 'users', v_portlet_name => 'ACS Tools', v_content_source => '<script language=javascript>' || CHR(10) || CHR(10) || '<!--//' || CHR(10) || 'function spawn_aim() {' || CHR(10) || 'remote = window.open("http://toc.oscar.aol.com/aimexpress/index.html", "TICTOC",''width=270,height=570,directories=0,location=0,menubar=0,resizable=1,scrollbars=0,status=0,titlebar=0,toolbar=0'');' || CHR(10) || 'if (remote.opener == null) remote.opener = window;' || CHR(10) || 'remote.opener.name = "TICINFO";' || CHR(10) || '}' || CHR(10) || '//-->' || CHR(10) || CHR(10) || '</script>' || CHR(10) || CHR(10) || '<ul>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/address-book">Address Book</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/directory">User Directory</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/wp">WimpyPoint</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/file-storage">File Storage</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/homepage">Homepage</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/bookmarks">Bookmarks</a> <br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="javascript:spawn_aim();">AOL Instant Messenger Express</a>' || CHR(10) || '</ul>');


---------------------------------------------------------
--    CREATE DEFAULT PORTAL PAGES FOR USERS DOMAIN     --
---------------------------------------------------------

execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'MySloanSpace', v_page_number => 1);
execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'Calendar', v_page_number => 2);
execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'New Stuff', v_page_number => 3);
execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'My Files', v_page_number => 4);
execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'Class Documents', v_page_number => 5);

---------------------------------------------------------
--    PLACE PORTLETS ON CLASS DOMAIN DEFAULT PORTAL    --
---------------------------------------------------------

-- PAGE 1 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Announcements', v_page_number => 1, v_page_side => 'l', v_sort_key => 1);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'FAQs', v_page_number => 1, v_page_side => 'l', v_sort_key => 2);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'My Tools', v_page_number => 1, v_page_side => 'l', v_sort_key => 3);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Survey', v_page_number => 1, v_page_side => 'l', v_sort_key => 3);

execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'My Groups', v_page_number => 1, v_page_side => 'r', v_sort_key => 1);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Day Summary', v_page_number => 1, v_page_side => 'r', v_sort_key => 2);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Stock Quotes', v_page_number => 1, v_page_side => 'r', v_sort_key => 3);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Bulletin Boards', v_page_number => 1, v_page_side => 'r', v_sort_key => 4);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Current Weather', v_page_number => 1, v_page_side => 'r', v_sort_key => 5);


-- PAGE 2 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Full Calendar', v_page_number => 2, v_page_side => 'l', v_sort_key => 1);

-- PAGE 3 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'New Bulletin Board Messages', v_page_number => 3, v_page_side => 'l', v_sort_key => 1);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'New Documents', v_page_number => 3, v_page_side => 'l', v_sort_key => 2);

execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'New Calendar Items', v_page_number => 3, v_page_side => 'r', v_sort_key => 1);

-- PAGE 4 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'File Storage', v_page_number => 4, v_page_side => 'l', v_sort_key => 1);

-- PAGE 5 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Assignments', v_page_number => 5, v_page_side => 'l', v_sort_key => 1);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Handouts', v_page_number => 5, v_page_side => 'l', v_sort_key => 2);

execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Lecture Notes', v_page_number => 5, v_page_side => 'r', v_sort_key => 1);

---------------------------------------------------------
--                   COMMIT CHANGES                    --
---------------------------------------------------------

commit;






