# /packages/education/admin-www/index.tcl

ad_page_contract {
    this page is the index to the educational system

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: index.tcl,v 1.3 2001/02/25 23:15:30 tarik Exp $
} {
}

# this page does not expect any input

set return_string "
[ad_admin_header "[ad_system_name] Administration"]
<h2>Education Administration</h2>

[ad_context_bar_ws [list "/admin/" "Admin Home"] "Education Administration"]

<hr>
<blockquote>

<h3>Departments</h3>
<ul>
"

db_foreach get_depts {
    select department_name, department_id
    from edu_departments
    order by lower(department_name)
} {
    append return_string "<li>$department_name <a href=\"/education/department/admin/one?[export_url_vars department_id]\">admin page</a> 
    | <a href=\"/education/util/group-login.tcl?group_id=$department_id&group_type=edu_department&return_url=[ad_urlencode "/education/department/one.tcl"]\">home page</a>"
} if_no_rows {
    append return_string "There are currently no departments in the system."
}


append return_string "
<br><Br>
<a href=\"department-add.tcl\">Add a Department</a>
</ul>

<h3>Reports</h3>
<ul>

<li> Terms (<a href=\"terms.tcl\">[db_string count_terms "select count(term_id) from edu_terms"]</a>)

<li> Subjects (<a href=\"/education/subject/\">[db_string count_subjects "select count(subject_name) from edu_subjects"]</a>)

<li> Users (<a href=\"/admin/users/\">[db_string count_users "select count(user_id) from users where user_id > 2"]</a>)

<li> Textbooks (<a href=\"textbooks.tcl\">[db_string count_books "select count(textbook_id) from edu_textbooks"]</a>)
</ul>

<h3>Communities</h3>
<ul>"

db_foreach get_communities {
    select group_name, group_id, short_name, decode(approved_p, 't', 1, 0) as approved_p
    from user_groups
    where group_type = 'edu_community'
    order by approved_p desc, group_name
} {
    append return_string "
	<li><a href=\"[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name community]]]/\">$group_name</a>"
    if !$approved_p {
	set return_url "[ad_parameter SystemURL]/admin/education/"
	append return_string "[ad_space 3]<font color=red>not approved</font>[ad_space 3]<a href=/education/community/approve-community?[export_url_vars group_id return_url]>approve</a>"
    } else {
	append return_string "[ad_space 3]\[<a href=\"/education/community/remove-community?[export_url_vars group_id]\">disapprove</a>\]"
    }
}

append return_string "
<br><br><a href=\"/education/community/create-community\">Create a new community</a>
</ul>

</blockquote>

[ad_admin_footer]
"


doc_return 200 text/html $return_string









