# /packages/education/admin-www/term-add-3.tcl

ad_page_contract {
    This page inserts the new term into the database

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: term-add-3.tcl,v 1.1.1.1 2001/01/24 18:03:19 tarik Exp $
} {
    term_id:integer,notnull
    term_name:notnull
    short_name
    start_date
    end_date
} -errors {
    term_name {You must provide a name for the term.}
    term_id {You must provide a term id.}
}

#check and make sure it was not a double click...if it was, redirect them to the terms page
if {[db_string check_double_click "select count(term_id) from edu_terms where term_id = :term_id"] > 0} {
    ad_returnredirect terms.tcl
    return   
}


#now that the input is taken care of, lets insert the term

if [catch { db_dml insert_into_edu_terms "insert into edu_terms (term_id, term_name, start_date, end_date, short_name)
                     values
                     (:term_id, :term_name, to_date(:start_date, 'YYYY-MM-DD'), to_date(:end_date, 'YYYY-MM-DD'), :short_name)"} errmsg] {
			 # something went wrong
			 ad_return_error "database choked" "The database choked on your insert:
			 <blockquote>
			 <pre>
			 $errmsg
			 </pre>
			 </blockquote>
			 You can back up, edit your data, and try again"
			 return
		     }

# insert went OK

db_release_unused_handles

ad_returnredirect "terms.tcl"

