# /packages/education/admin-www/term-edit-3.tcl

ad_page_contract {
    this page allows the admin to edit information about the given term
        
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: term-edit-3.tcl,v 1.1.1.1 2001/01/24 18:03:19 tarik Exp $
} {
    term_id:notnull,integer
    term_name:notnull
    short_name
    {start_date ""}
    {end_date ""}
} -errors {
    term_name {You must provide a term name.}
    term_id {You must provide a term id.}
}

#now that the input is taken care of, lets insert the term

if [catch { db_dml update_edu_terms "update edu_terms 
          set term_name = :term_name,
              short_name = :short_name,
              start_date = to_date(:start_date, 'YYYY-MM-DD'),
              end_date = to_date(:end_date, 'YYYY-MM-DD')
        where term_id = :term_id" } errmsg] {
	# something went wrong
	 ad_return_error "database choked" "The database choked on your insert:
	 <blockquote>
	 <pre>
	 $errmsg
	 </pre>
	 </blockquote>
	 You can back up, edit your data, and try again"
	 return
     }

# insert went OK

db_release_unused_handles

ad_returnredirect "terms.tcl"

