# /packages/education/admin-www/term-edit.tcl

ad_page_contract {
    this page allows the admin to edit information about the given term

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: term-edit.tcl,v 1.1.1.1 2001/01/24 18:03:19 tarik Exp $
} {
    term_id:integer,notnull
} -errors {
    term_id {You must provide a valid term_id}
}


if { ![db_0or1row get_term_info "select term_name, start_date, end_date, short_name from edu_terms where term_id = :term_id"] } {
    ad_return_complaint 1 "<li>The term id that you provided does not correspond to any term."
    return
}

set return_string "
[ad_admin_header "[ad_system_name] Administration - Edit Term"]
<h2>Edit Term</h2>

[ad_context_bar_ws [list "/admin/" "Admin Home"] [list "" "Education Administration"] "Edit a Term"]

<hr>
<blockquote>

<form method=post action=\"term-edit-2.tcl\">

<table>

<tr><th align=left>Term Name
<td><input type=text name=term_name size=30 value=\"$term_name\" maxlength=100>
</tr>

<tr><th align=left>Short Name
<td><input type=text name=short_name size=30 value=\"$short_name\" maxlength=100>
</tr>

<tr><th align=left>Date term begins: 
<td>[ad_dateentrywidget start_date_array $start_date]
</tr>

<tr><th align=left>Date term ends:
<td>[ad_dateentrywidget end_date_array $end_date]
</tr>
<tr>
<td colspan=2 align=center>
<input type=submit value=Continue>
</td>
</tr>
</table>
<input type=hidden name=term_id value=$term_id>
</form>

</blockquote>
[ad_admin_footer]
"

doc_return 200 text/html $return_string
