# /packages/education/admin-www/terms.tcl

ad_page_contract {
    this page lists all of the terms in the system
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: terms.tcl,v 1.1.1.1 2001/01/24 18:03:19 tarik Exp $
} {
}
# not expecting anything

set return_string "
[ad_admin_header "[ad_system_name] Administration - Terms"]
<h2>Terms</h2>

[ad_context_bar_ws [list "/admin/" "Admin Home"] [list "" "Education Administration"] "Terms"]

<hr>
<blockquote>
<table>
<tr>
<td>
<b>Term Name</b>
</td>

<td>
<b>Start Date</b>
</td>

<td>
<b>End Date</b>
</td>

<td>
<b>Number Of Classes</b>
</td>
</tr>
"

# lets list all of the terms that have been entered and lets also give
# the option of adding a new term.  Each term links to a term.tcl page
# that tells the dates it is good for, classes for the term, etc.

db_foreach get_terms "select count(class_id) as n_classes,
edu_terms.term_id, 
edu_terms.term_name, 
edu_terms.start_date, 
edu_terms.end_date 
from edu_terms, 
edu_classes 
where edu_terms.term_id = edu_classes.term_id(+) 
group by edu_terms.term_id, edu_terms.term_name, edu_terms.start_date, edu_terms.end_date
order by edu_terms.end_date desc" {
    append return_string "<tr>
    <td align=left><a href=\"term-one.tcl?term_id=$term_id\">$term_name</a></td>
    <td> [util_AnsiDatetoPrettyDate $start_date] </td>
    <td> [util_AnsiDatetoPrettyDate $end_date] </td>
    <td align=center><a href=classes.tcl?term_id=$term_id>$n_classes</a> </td>
    </tr>
    "
}

append return_string "
</table>

<br>
<a href=term-add.tcl>Add a Term</a>
</blockquote>
[ad_admin_footer]
"

doc_return 200 text/html $return_string








