# /packages/education/education-init.tcl

ad_page_contract {
    education initialization file

    @author Tarik Alatovic (tarik@arsdigita.com)
    @cvs-id $Id: education-init.tcl,v 1.3 2001/02/08 07:32:13 tarik Exp $
}

ad_register_filter -priority 1 preauth * /* edu_redirect_nonlogged_in_users_to_registration_page
ad_register_filter -priority 2 preauth * "/[ad_urlencode [portals_get_domain_property url_root [portals_domain_id_from_domain_name users]]]/*" edu_redirect_limited_access_users_to_group_portal

# we don't want /groups/$group_type index page to confuse people, so we wrote 
# filter to redirect to /portals/$group_type/
ad_register_filter preauth * "/groups/*" edu_redirect_group_index_page_to_portal_page

portals_register_permission_proc users edu_user_has_permission_p
portals_register_permission_proc class edu_user_has_permission_p
portals_register_permission_proc community edu_user_has_permission_p
portals_register_permission_proc subgroup edu_user_has_permission_p
 
portals_register_template header users "[ad_parameter PathToACS]/packages/education/www/templates/users-header.adp"
portals_register_template header class "[ad_parameter PathToACS]/packages/education/www/templates/class-header.adp"
portals_register_template header community "[ad_parameter PathToACS]/packages/education/www/templates/community-header.adp"
portals_register_template header subgroup "[ad_parameter PathToACS]/packages/education/www/templates/subgroup-header.adp"

portals_register_template view_access_forbidden class "[ad_parameter PathToACS]/packages/education/www/templates/view-access-forbidden.adp"
portals_register_template view_access_forbidden community "[ad_parameter PathToACS]/packages/education/www/templates/view-access-forbidden.adp"
portals_register_template view_access_forbidden subgroup "[ad_parameter PathToACS]/packages/education/www/templates/view-access-forbidden.adp"




