ad_library {
    @ author: multiple
}

### new stuff proc - this jsut controls the slider for new stuff page
ad_proc edu_get_n_past_days { {} } {} {
    if { [catch {uplevel 5 {ad_page_variables {{n_past_days "1"}}}} errmsg] } {
	set n_past_days 1
    } elseif { [catch {upvar 5 n_past_days n_past_days} errmsg] } {
	set n_past_days 1
    }
    return $n_past_days
}

ad_proc edu_new_items_slider { {} } {} {
    set n_past_days [edu_get_n_past_days]

    set n_days_list [list 1 2 3 4 5 6 7 14 30]
    set slider_list [list]

    append base_url "[ns_conn url]?"
    set query [ns_conn query]
    # get rid of all n_past_days in url query data
    regsub -all {&n_past_days=[^&]*} $query "" query
    regsub -all {n_past_days=[^&]*} $query "" query
    if ![empty_string_p $query] {
	append base_url "$query&"
    } 

    foreach n_days $n_days_list {
	if { $n_days == $n_past_days } {
	    lappend slider_list $n_days 
	} else {
	    lappend slider_list "<a href=\"${base_url}n_past_days=$n_days\">$n_days</a>"
	}
    }
    return "([join $slider_list " | "])"
}

ad_proc edu_documents_portlet { doc_type } {
    This procedure is used for displaying class documents inside portal.
    doc_type parameter specifies type of document we are displaying.
    Possible values for doc_type are lecture-notes, handouts, assignments,
    and projects.
    If documents are displayed within class portal then only documents for that class are shown.
    If documents are displayed within user portal then empty string is returned (eventually
    we want to display documents for all the classes user belongs to).
} {
    set user_id [ad_verify_and_get_user_id]

    if {[portals_info type]=="group"} {
	# group portal
	set group_id [portals_info group_id]
	
	set table_def {
	    {file_title {Title} {} {<td><a href=$url>$file_title</a></td>}}
	    {cal_item_title {Calendar Item} {} {<td><a href=/calendar/?action=item-view&[export_url_vars group_id item_id instance_id]>$cal_item_title</a></td>} }
	    {pretty_start_date {Date} {start_date $order} c}
	}
	append document_html [edu_display_attachments_in_table $table_def $group_id $doc_type]
	if [ad_user_group_authorized_admin_or_site_admin $user_id $group_id] {
	    set return_string "<ul><li><em>No [edu_document_pretty_plural_name $doc_type]</em></ul>
	   <a href=[edu_documents_upload_URL $doc_type]>Add $doc_type</a>"
	
	} else {
	    set return_string "There are no $doc_type"
	}

    } else {
	# user portal

	set table_def {
	    {file_title {Title} {} {<td><a href=$url>$file_title</a></td>}}
	    {short_name {Class ID} {} {<td><a href=\"[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name class]]]/\">$short_name</a></td>} }
	    {group_name {Class Name} {} {<td><a href=\"[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name class]]]/\">$group_name</a></td>} }
	    {cal_item_title {Calendar Item} {} {<td><a href=/calendar/?action=item-view&[export_url_vars group_id item_id instance_id]>$cal_item_title</a></td>} }
	    {pretty_start_date {Date} {start_date $order} c}
	}
	append document_html [edu_display_attachments_in_table $table_def 0 $doc_type]
	set return_string "<ul><li><em>No documents</em></ul>"
    }
    
    if [empty_string_p $document_html] {
	return $return_string
    } else {
	return "
	<ul>
	$document_html
	</ul> 
	"
    }
}

# ejc@arsdigita.com 7-19-2000
ad_proc edu_documents_upload_URL { doc_type } {
    Displays a link to the appropriate document-add page if the user has permission.
} {
    set url ""
    set user_id [ad_verify_and_get_user_id]
    
    if {[portals_info type]=="group"} {

	set group_id [portals_info group_id]
	set this_folder [edu_class_attachment_folder_id $group_id $doc_type]
	if [ad_user_group_authorized_admin_or_site_admin $user_id $group_id] {
	    set return_url [ns_conn url]?[ns_conn query]
	    append url "/file-storage/upload-new?[export_url_vars return_url group_id this_folder]&public_p=t"
	}
    }
    return $url
}

ad_proc -private edu_new_documents_portlet {} {
} { 
    set n_past_days [edu_get_n_past_days]
    set doc_type_list [list lecture-notes handouts assignments projects]
    
    if {[portals_info type]=="group"} {
	# group portal
	set group_id [portals_info group_id]

	set table_def {
	    {file_title {Title} {} {<td><a href=$url>$file_title</a></td>}}
	    {cal_item_title {Calendar Item} {} {<td><a href=/calendar/?action=item-view&[export_url_vars group_id item_id instance_id]>$cal_item_title</a></td>} }
	    {pretty_start_date {Date} {start_date $order} c}
	}
	append document_html [edu_display_attachments_in_table $table_def $group_id all $n_past_days]
	set return_string "<li><em>No new documents</em>"
    } else {
	# user portal
	set user_id [ad_verify_and_get_user_id]
	
	set table_def {
	    {file_title {Title} {} {<td><a href=$url>$file_title</a></td>}}
	    {short_name {Class ID} {} {<td><a href=\"[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name class]]]/\">$short_name</a></td>} }
	    {group_name {Class Name} {} {<td><a href=\"[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name class]]]/\">$group_name</a></td>} }	    
	    {cal_item_title {Calendar Item} {} {<td><a href=/calendar/?action=item-view&[export_url_vars group_id item_id instance_id]>$cal_item_title</a></td>} }
	    {pretty_start_date {Date} {start_date $order} c}
	}

	append document_html [edu_display_attachments_in_table $table_def 0 all $n_past_days]
	set return_string "<li><em>No new documents</em>"

    }
    if [empty_string_p $document_html] {
	set document_html $return_string
    }
    return "
    <ul>
    $document_html
    </ul><p>
    [edu_new_items_slider]
    "
}

ad_proc edu_community_members_portlet {} {
    Displys a list of group members.
} {
    if ![info exists role] {
	set orderby role
    }

    set user_id [ad_verify_and_get_user_id]
    if {[portals_info type]=="group"} {
	# group portal
	set group_id [portals_info group_id]

	## if not a site-wide admin, and
	## either not a member of the group
	## dropped or self-enrolled, cannot
	## see this list
	if { ![ad_administrator_p $user_id] } {
	    if { ![ad_user_group_member $group_id $user_id] } { 
		return ""
	    }
	}
	
	set table_def {
	    {role {Role} {} {<td>$role</td>}}
	    {first_names {First Name} {} {<td><a href=\"/shared/community-member?[export_url_vars user_id]\">$first_names</a></td>} }
	    {last_name {Last Name} {} {<td><a href=\"/shared/community-member?[export_url_vars user_id]\">$last_name</a></td>} }
	    {email {Email} {} {<td><a href=\"mailto:$email\">$email</a></td>} }
	}
	    
	set sql_query "
	select ugm.role,
	u.first_names, u.last_name, u.email, u.user_id
	from   users u, user_group_map ugm,
	user_groups ug, users_contact uc
	where  ugm.group_id = $group_id
	and    ugm.group_id = ug.group_id
	and    ugm.user_id = uc.user_id (+)
	and    ugm.user_id = u.user_id
	[ad_order_by_from_sort_spec $orderby $table_def]"
	
	set table [ad_table -Torderby $orderby -Tmissing_text "<em>There are no persons with that role.</em>" "user_group_roles_select" $sql_query $table_def]	
		
	return "<blockquote>$table</blockquote>"
	
    }
}

ad_proc -private edu_header_template {} {
    @return education header template
} {
    set user_id [ad_verify_and_get_user_id]
    if { $user_id==0 } {
	# user is not logged in and can't access any portals
	set portal_navigation_p 0
    } else {
	upvar [ad_scope_upvar_level] group_id group_id
	if { [info exists group_id] && ![empty_string_p $group_id] && $group_id!=0 } {
	    set group_type [db_string get_group_type "select group_type from user_groups where group_id=:group_id"]
	    set domain_id [portals_get_domain_id group $group_type]
	    if { $domain_id == 0 } {
		# this group type doesn't have a portal domain associated with it
		set portal_navigation_p 0
	    } else {
		set portal_id [portals_get_portal_id group $group_id $domain_id]
		set portal_navigation_p 1
	    }
	} else {
	    # this page is not a group scoped page. go ahead and serve user portal navigation.
	    set domain_id [portals_domain_id_from_domain_name users]
	    set portal_id [portals_get_portal_id user $user_id $domain_id]
	    set portal_navigation_p 1
	}
    }
	
    if $portal_navigation_p {
	return [portals_header $portal_id $domain_id [portals_navigation $portal_id -1]]
    } else {
	return "
	<table width=\"100%\" border=0 cellspacing=0 cellpadding=2>
	<tr>
	<td align=left colspan=2>
	[ns_adp_parse -file "[ad_parameter PathToACS]/packages/education/www/templates/non-portal-page-header.adp"]
	</td>
	</tr>
	</table>
	<p>
	"
    }
}

ad_proc DisplayMyTools {} {
    Displays a list of group members.
} {
    set useful_links "
    <script language=javascript>
    <!--//
    function spawn() {
	remote = window.open(\"http://toc.oscar.aol.com/tic.html\", \"TICTOC\",'width=270,height=468,directories=0,location=0,menubar=0,resizable=1,scrollbars=0,status=0,titlebar=0,toolbar=0');
	if (remote.opener == null) remote.opener = window;
	remote.opener.name = \"TICINFO\";
    }
    //-->
    </script>

    <ul>
    <li><a STYLE=\"text-decoration:none\" href=/shared/community-member>My Profile</a><br>
    <li><a STYLE=\"text-decoration:none\" href=/pvt/password-update>Change My Password</a><br>
    <li><a STYLE=\"text-decoration:none\" href=/directory>User Directory</a><br>
    
    <li><a STYLE=\"text-decoration:none\" href=\"javascript:spawn();\">AOL Quick Buddy</a>
    [AdminTools]
    "
    
    if {[portals_info administer_permission_p]} {
	append useful_links "<li><a STYLE=\"text-decoration:none\" href= \"[portals_info customization_url]\">Customize This Portal</a>"
    }
    
    #limited access users won't be allowed to goto thier control panel
    if {![edu_user_has_limited_access_p [ad_get_user_id]]} {
	append useful_links "<li><a STYLE=\"text-decoration:none\" href=/home/control-panel>Edit My Preferences</a>"
    }

    return "$useful_links </ul>"
}

ad_proc AdminTools {} {
    Returns links to usefull admin pages if the user is an adminstrator.
} {
    if { [ad_administrator_p] } {
	set http_or_https [ad_decode [ad_ssl_available_p] 1 "https://[ns_config ns/server/[ns_info server]/module/nsssl Hostname]" ""]
	return "
	<li><a href=$http_or_https/admin/>Site Wide Administration</a>
	<li><a href=$http_or_https/admin/portals>Site Wide Portal Administration</a>
	"
    } else {
	return ""
    }
}

ad_proc DisplayUserPreferences {} {
    User preferences page

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date January 9, 2000
} {
    set user_id [ad_verify_and_get_user_id]

    set return_url [ns_conn url]
    set query [ns_conn query]
    if ![empty_string_p query] {
	append return_url "?$query"
    }

    append page_content "
    <br>
    <ul>
    <li><a STYLE=\"text-decoration:none\" href=\"/shared/community-member\">Edit My Profile</a>
    <li><a STYLE=\"text-decoration:none\" href=\"/register/community-member\">Change My Password</a>
<li><a STYLE=\"text-decoration:none\" href=\"/threaded-bboard/email-alerts\">Edit My Bulletin Board Email Alerts</a>"
    if {[portals_info administer_permission_p]} {
	append page_content "<li><a STYLE=\"text-decoration:none\" href= \"[portals_info customization_url]\">Customize This Portal</a>"
    }

    append page_content "
    [AdminTools]
    <p><b>My Groups</b>
    <ul>[DisplayMyGroups $user_id]
    <p>
    <li><a STYLE=\"text-decoration:none\" href=\"/education/manage-memberships\">Join a Group</a>
    </ul>
    
    </ul>
    <br>"

    return $page_content

}

ad_proc -private DisplayMyGroups {user_id} {
    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date 1/17/2001
    @param user_id

    Displays a list of classes and communities.
} {
    # get classes/communities
    # yeah it's bad to do two queries, but there's no currently no way to map the group_type (e.g. edu_class) to the domain_name (e.g. class)

    # first get classes
#    set list_of_group_types_to_check [list [list "edu_class" "class"] [list "edu_community" "community"]]

    set page_content ""

    db_foreach "select_group_info" "
    select group_name, ug.group_id, role, short_name, portal.get_base_url(portal.get_portal_id('group',ug.group_id,[portals_domain_id_from_domain_name class])) as base_url
    from user_groups ug, user_group_map ugm
    where ug.group_id = ugm.group_id
    and ugm.user_id = :user_id
    and group_type = 'edu_class'
    and approved_p = 't'
    and active_p = 't'
    order by group_name
    " {	
	append page_content "
	<li><a STYLE=\"text-decoration:none\" href=\"$base_url\">$group_name</a>"
	append page_content " - [capitalize $role]"
	append page_content "
	- \[<a STYLE=\"text-decoration:none\" href=\"/education/drop-confirm?[export_url_vars group_id return_url]\">Drop Membership</a>\]"
    }

# then get communities

    db_foreach "select_group_info" "
    select group_name, ug.group_id, role, short_name, portal.get_base_url(portal.get_portal_id('group',ug.group_id,[portals_domain_id_from_domain_name community])) as base_url
    from user_groups ug, user_group_map ugm
    where ug.group_id = ugm.group_id
    and ugm.user_id = :user_id
    and approved_p = 't'
    and active_p = 't'
    and group_type = 'edu_community'
    order by group_name
    " {	
	append page_content "
	<li><a STYLE=\"text-decoration:none\" href=\"$base_url\">$group_name</a>"
	append page_content " - [capitalize $role]"
	append page_content "
	- \[<a STYLE=\"text-decoration:none\" href=\"/education/drop-confirm?[export_url_vars group_id return_url]\">Drop Membership</a>\]"
    }
    

    return $page_content
}

ad_proc -public edu_my_groups_portlet {} {
    @return returns html segment for my groups portlet.
            my groups portlet hierarchically lists links to portals of all groups and subgroups that user belongs to.
    @author Tarik Alatovic
    @date 01/25/2001
} {
    if {[portals_info type]!="user"} {
	error "edu_my_groups_portlet: my groups portlet can only be used for user portals"	
    }
    set user_id [ad_verify_and_get_user_id]

    if ![edu_user_has_limited_access_p $user_id] {
	append portlet_content "
	<a href=\"/education/manage-memberships\">Join/Drop a Class or Community Group</a>
	<br><br>
	"
    }

    set top_level_group_ids_sql "
    select group_id
    from (select group_id
          from user_groups 
          where group_id in (select group_id 
                             from user_group_map
                             where user_id = :user_id)
          and parent_group_id is null
          order by group_type, lower(group_name))"

    append portlet_content [edu_subportal_html_links -show_only_user_subportals_p 1 $top_level_group_ids_sql]

    return $portlet_content
}

ad_proc -public edu_subgroups_portlet {} {
    @return returns html segment for subgroup portlet.
            subgroups portlet hierarchically lists links to portals of all subgroups of portal's group.
    @author Tarik Alatovic
    @date 01/25/2001
} {
    if {[portals_info type]!="group"} {
	error "edu_subgroups_portlet: subgroups portlet can only be used for group portals"	
    }
    set user_id [ad_verify_and_get_user_id]
    set group_id [portals_info group_id]

    if ![edu_user_has_limited_access_p $user_id] {
	append portlet_content "
	<a href=\"/education/manage-memberships?[export_url_vars group_id]\">Join/Drop a Subgroup</a>
	<br><br>
	"
    }

    set portlet_content_list [edu_display_subgroups_in_a_group $group_id $user_id]

    if { [lindex $portlet_content_list 0] == 0 } {
	return ""
	#don't do nothing so portlet doesn't show up
    } else {
	append portlet_content [lindex $portlet_content_list 1]	
	return $portlet_content
    }
}    

ad_proc -public FAQ_administration_links {group_id} {
    Produces the links for control panels to create and manage FAQs.
} {
    set short_name [db_string short_name_select "select short_name from user_groups where group_id = $group_id"]

    return "      <ul>
       <li><a href=\"/groups/admin/$short_name/faq/faq-add\">Add a new FAQ</a> 
       <li><a href=\"/groups/admin/$short_name/faq\">Manage FAQs</a>
      </ul> "
}



ad_proc -public survey_administration_links {group_id} {
    Produces the links for control panels to create and manage Surveys.
} {
    return "<ul>
       <li><a href=/survey/admin/survey-create?scope=group&group_id=$group_id>Add a New Survey</a>
       <li><a href=/survey/admin/?scope=group&group_id=$group_id>Manage Surveys</a>
      </ul>
    <br>
    "
}



ad_proc -public toggle_public_p_links {group_id} {
    Produces the link to toggle existance_public_p. Not currently in use
} {
    db_1row get_group_info {
	select existence_public_p, short_name from user_groups where group_id = :group_id
    }

    set toggle_link "/admin/education/existence-public-p-toggle.tcl?[export_url_vars group_id return_url]"
    if { $existence_public_p == "t" } {
	set toggle_html "<li> Portal Viewable By Guests (<a href=\"$toggle_link\">toggle</a>)"
    } else {
	set toggle_html "<li> Portal Not Viewable By Guests (<a href=\"$toggle_link\">toggle</a>)"
    }
    return $toggle_html
}



