# /packages/education/www/class/admin/edit-class-info.tcl

ad_page_contract {
    Form allowing professors to edit their class information.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 17, 2000
    @cvs-id $Id: edit-class-info.tcl,v 1.1.1.1 2001/01/24 18:03:21 tarik Exp $
} {
    group_id:integer,notnull
    return_url:notnull
} -validate {
    accessible_p -requires {group_id} {
	if {![ad_administrator_p] && ![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $group_id]} {
	    ad_complain "You do not have permission to access this page"
	}
    }
}

set user_id [ad_verify_and_get_user_id]

db_1row get_class_info {
    select group_name, NVL(c.description, s.description) as description
    from edu_classes c, edu_subjects s, user_groups ug
    where c.class_id=:group_id
    and s.subject_id=c.subject_id
    and ug.group_id = :group_id
}

set class_name $group_name

set document "
[ad_header "Edit Class Information for $class_name"]

<h2>Edit Class Information for $class_name</h2>

[ad_context_bar_ws [list "$return_url" "$class_name"] "Edit Class Information"]

<hr>
<blockquote>
<form method=GET action=\"edit-class-info-2.tcl\">
<b>Class Information</b>
<br>
<i>(html allowed)</i>
<br><br>

<textarea rows=20 cols=80 name=description wrap=on>
$description
</textarea>
<br><br>
[export_form_vars group_id return_url]
<input type=submit value=\"Update Class Info\">
</form>
</blockquote>

[ad_footer]"

doc_return 200 text/html $document
