# /packages/education/www/class/admin/edit-enrollment-policy-2.tcl

ad_page_contract {
    Processes input from edit-enrollment-policy.tcl
    Allows a class admin / professor to change the enrollment policy between "open," "wait," and "closed"

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date August 2, 2000
    @cvs-id $Id: edit-enrollment-policy-2.tcl,v 1.1.1.1 2001/01/24 18:03:21 tarik Exp $
} {
    group_id:integer,notnull
    return_url:notnull
    new_member_policy:notnull
} -validate {
    accessible_p -requires {group_id} {
	if {![ad_administrator_p] && ![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $group_id]} {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_id {Valid Class ID not specified}
    return_url {Return URL not specified}
    new_member_policy {New member policy not specified}
}

db_dml update_ug {
    update user_groups
    set new_member_policy = :new_member_policy
    where group_id = :group_id
}

ad_returnredirect $return_url
