# /packages/education/www/class/admin/users/add-2.tcl

ad_page_contract {
    Processes add.tcl, adding a user to a class in a specified role.

    @author multiple
    @creation-date Jul 20 2000
    @cvs-id $Id: add-2.tcl,v 1.1.1.1 2001/01/24 18:03:23 tarik Exp $
} {
    group_id:integer,notnull
    role:notnull
    {return_url "/education/class/admin/users/index.tcl?section_id=$group_id"}
    user_id_from_search:integer,notnull
} -validate {
    accessible_p -requires {group_id} {
	if {![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $group_id]} {
	    ad_complain "You do not have permission to access this page"
	}
    }
    already_member_p -requires {user_id_from_search group_id} {
	db_1row check_if_user_in_group {
	    select count(*) as count
	    from user_group_map
	    where user_id = :user_id_from_search
	    and group_id = :group_id
	}
	if $count {
	    ad_complain "That person is already a member of the group"
	}
    }
    valid_role_p -requires {role} {
	if { [lsearch -exact "[edu_get_student_role_string] [edu_get_ca_role_string] [edu_get_ta_role_string] [edu_get_professor_role_string] [edu_get_dropped_role_string] [edu_get_admin_role_string]" $role] == -1} {
	    ad_complain "No such role: \"$role\""
	}
    }
}

set user_id [ad_verify_and_get_user_id]

set mapping_ip_address [ns_conn peeraddr]

db_dml insert_into_ugm {
    insert into user_group_map (group_id, user_id, role, mapping_user, mapping_ip_address)
    values (:group_id, :user_id_from_search, :role, :user_id, :mapping_ip_address)
}

db_release_unused_handles

ad_returnredirect $return_url