# /packages/education/www/class/admin/users/add.tcl

ad_page_contract {
    Add a user to a class in a given role.  If the role is not specified, the user is added as a "student."

    @author multiple
    @creation-date Jul 20 2000
    @cvs-id $Id: add.tcl,v 1.1.1.1 2001/01/24 18:03:23 tarik Exp $
} {
    group_id:integer,notnull
    {role [edu_get_student_role_string]}
    return_url:notnull
} -validate {
    accessible_p -requires {group_id} {
	if {![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $group_id]} {
	    ad_complain "You do not have permission to access this page."
	}
    }
    valid_role_p -requires {role} {
	if { [lsearch -exact [list [edu_get_student_role_string] [edu_get_ta_role_string] [edu_get_ca_role_string] [edu_get_professor_role_string] [edu_get_dropped_role_string] [edu_get_admin_role_string]] $role] == -1} {
	    ad_complain "No such role: \"$role\""
	}
    }
}

set user_id [ad_verify_and_get_user_id]

set group_name [db_string get_group_name {
    select group_name from user_groups where group_id = :group_id
}]
 
append doc "
[ad_admin_header [capitalize $role]]
<h2>Add [capitalize $role]</h2>

Back to <a href=$return_url>$group_name</a>
<hr>

Locate your new member by 

<form method=get action=\"/user-search\">
[export_entire_form]
<input type=hidden name=target value=\"/education/class/admin/users/add-2.tcl\">
<input type=hidden name=passthrough value=\"group_id role return_url\">
<table border=0>
<tr><td>Email address:<td><input type=text name=email size=40></tr>
<tr><td colspan=2>or by</tr>
<tr><td>Last name:<td><input type=text name=last_name size=40></tr>
</table>

<p>

<center>
<input type=submit value=\"Search\">
</center>
</form>

[ad_admin_footer]
"

doc_return 200 text/html $doc