# /packages/education/www/class/admin/users/change-role.tcl

ad_page_contract {
    Changes the role of a user in a class.

    @author (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: change-role.tcl,v 1.1.1.1 2001/01/24 18:03:23 tarik Exp $
} {
    user_id:notnull,integer
    class_id:notnull,integer
    new_role:notnull
    {return_url "index.tcl?section_id=$class_id"}
} -validate {
    authorized -requires {class_id} {
	if ![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $class_id] {
	    ad_complain "You are not authorized to perform that action."
	}
    }
    acceptable_role -requires {new_role} {
	if { [lsearch -exact {[edu_get_student_role_string] [edu_get_ta_role_string] [edu_get_professor_role_string] [edu_get_dropped_role_string] } $new_role] == -1} {
	    ad_complain "No such role: \"$new_role\""
	}
    }
} -errors {
    user_id {Valid user id not provided}
    class_id {Valid class id not provided}
    new_role {New role not provided}
}


db_dml update_ugm {
    update user_group_map
    set role=:new_role
    where user_id=:user_id and group_id=:class_id
}

ad_returnredirect $return_url
