# /packages/education/www/class/admin/users/remove-2.tcl

ad_page_contract {
    Removes a user from a class, after confirmation received.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: remove-2.tcl,v 1.1.1.1 2001/01/24 18:03:23 tarik Exp $
} {
    user_id:integer,notnull
    class_id:integer,notnull
    {return_url:optional "index?section_id=$class_id"}
} -validate {
    accessible_p -requires {class_id} {
	if ![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $class_id] {
	    ad_complain_p "You are not authorized to see this page."
	}
    }
    user_not_in_group_p -requires {user_id class_id} {
	if ![db_0or1row check_if_user_in_group {
	    select first_names, last_name, role, group_name
	    from user_group_map ugm, users u, user_groups ug
	    where u.user_id = :user_id
	    and ugm.user_id = :user_id
	    and ug.group_id = :class_id
	    and ugm.group_id = :class_id
	}] {
	    ad_complain "That person does not belong to this group."
	}
    }
}

db_dml delete_from_ugm {
    delete from user_group_map
    where user_id = :user_id
    and group_id = :class_id
}

db_release_unused_handles
ad_returnredirect "$return_url"
