# /packages/education/www/class/admin/users/remove.tcl

ad_page_contract {
    Prompts user for confirmation before removing a member from a group.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: remove.tcl,v 1.1.1.1 2001/01/24 18:03:23 tarik Exp $
} {
    user_id:integer,notnull
    class_id:integer,notnull
    {return_url:optional "index?section_id=$class_id"}
} -validate {
    accessible_p -requires {class_id} {
	if ![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $class_id] {
	    ad_complain "You are not authorized to see this page."
	}
    }
    user_already_in_group_p -requires {user_id class_id} {
	if ![db_0or1row check_if_user_in_group {
	    select first_names, last_name, role, group_name
	    from user_group_map ugm, users u, user_groups ug
	    where u.user_id = :user_id
	    and ugm.user_id = :user_id
	    and ug.group_id = :class_id
	    and ugm.group_id = :class_id
	}] {
	    ad_complain "That person does not belong to this group."
	}
    }
}

append doc "
[ad_header "$group_name"]
<h2>$group_name</h2>
[ad_context_bar [list "index?section_id=$class_id" Users] [list "one?[export_url_vars user_id class_id]" "One User"] "Remove User"]
<br>

<center>
<h3>Are you sure you want to remove $first_names $last_name ([capitalize $role]) from
<br>$group_name?</h3>
<a href=\"remove-2?[export_url_vars class_id user_id return_url]\">Yes, I'm sure</a> | <a href=\"$return_url\">No, I made a mistake!</a>
</center>
[ad_footer]"

doc_return 200 text/html $doc
