# /packages/education/class/admin/users/student-evaluation-add-edit-3.tcl

ad_page_contract {
    this page enters the evaluation into the database

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: student-evaluation-add-edit-3.tcl,v 1.1.1.1 2001/01/24 18:03:23 tarik Exp $
} {
    class_id:integer,notnull
    student_id:integer,notnull
    task_id:integer,notnull
    evaluation_id:integer,notnull
    evaluation_type:notnull
    {return_url ""}
    {grade ""}
    {comments ""}
    {show_student_p t}
} -validate {
    accessible_p -requires {class_id} {
	if ![ad_user_group_authorized_admin [ad_verify_and_get_user_id] $class_id] {
	    error "You are not authorized to see this page."
	}
    }
} -errors {
    class_id {Valid class ID not specified.}
}

# gets the class_id.  If the user is not an admin of the class, it
# displays the appropriate error message and returns so that this code
# does not have to check the class_id to make sure it is valid

#set id_list [edu_group_security_check $db edu_class "Manage Users"]
#set grader_id [lindex $id_list 0]
#set class_id [lindex $id_list 1]
#set class_name [lindex $id_list 2]

set grader_id [ad_verify_and_get_user_id]

if {[db_string check_if_new_id "select count(evaluation_id) from edu_student_evaluations where evaluation_id = :evaluation_id"] == 0} {
    # this is an add

    db_dml insert_ese "insert into edu_student_evaluations (
     evaluation_id,
     grader_id,
     student_id,
     class_id,
     task_id,
     evaluation_type,
     grade,
     comments,
     show_student_p,
     evaluation_date,
     last_modified,
     last_modifying_user,
     modified_ip_address)
  values (
     :evaluation_id,
     :grader_id,
     :student_id,
     :class_id,
     :task_id,
     :evaluation_type],
     :grade,
     :comments,
     :show_student_p,
     sysdate,
     sysdate,
     :grader_id,
     '[ns_conn peeraddr]')"

} else {
    # this is an edit.

    db_dml update_ese "update edu_student_evaluations 
     set grader_id = :grader_id,
         grade = :grade,
         comments = :comments,
         show_student_p = :show_student_p,
         evaluation_date = sysdate,
         evaluation_type = :evaluation_type
         last_modifying_user = :grader_id,
         last_modified = sysdate,
         modified_ip_address = '[ns_conn peeraddr]'
   where evaluation_id = :evaluation_id"
}

db_release_unused_handles

if {[info exists return_url] && ![empty_string_p $return_url]} {
    ad_returnredirect $return_url
} else {
    ad_returnredirect "student-info.tcl?student_id=$student_id"
}










