# /www/education/class/appointment-cancel.tcl
#
# allows a student to cancel an appointment
#
# aileen@mit.edu, randyg@mit.edu
#
# March 2000
#
# $Id: appointment-cancel-2.tcl,v 1.1.1.1 2001/01/24 18:03:20 tarik Exp $

ad_page_variables {
    appointment_id
    start_time_hour
    start_time_minute
    start_time_ampm
    appt_start_date
}


set db [ns_db gethandle]

set id_list [edu_user_security_check $db]
set user_id [lindex $id_list 0]
set class_id [lindex $id_list 1]
set class_name [lindex $id_list 2]

set class_exists [database_to_tcl_string $db "select count(*) from edu_current_classes where class_id=$class_id"]

if {!$class_exists} {
    ad_return_complaint 1 "<li> The class you have requested either does not exist or is not longer available to the public."
    return
}

# lets make sure the person has an appointment to cancel
# appointment for the given appointment_id

ns_db dml $db "delete from edu_appointments_scheduled sched
     where sched.appointment_id = $appointment_id
       and to_date('$appt_start_date $start_time_hour $start_time_minute $start_time_ampm', 'YYYY-MM-DD HH MI AM') = sched.start_time
       and (sched.user_id = $user_id
            or ad_group_member_p($user_id, sched.group_id) = 't')"


ns_db releasehandle $db

ns_returnredirect "/pvt/home.tcl"



