ad_page_contract {
    @Author: befekadu@mit.edu
} {
    group_id:naturalnum
    {orderby "last_name"}
}
        
set user_id [ad_verify_and_get_user_id]
if { ![ad_administrator_p $user_id] && ![ad_user_group_member $group_id $user_id]  } {
    ns_returnforbidden
    return
}

set return_url [ns_conn url]
append return_url ?group_id=$group_id


set html ""

if {$user_id!=""} {	
    
    # Where do we get office numbers????
    
    set table_def {
	{first_names {First name} {} {<td><a href=\"/shared/community-member?[export_url_vars user_id]\">$first_names</a></td>} }
	{last_name {Last name} {} {<td><a href=\"/shared/community-member?[export_url_vars user_id]\">$last_name</a></td>} }
	{email {Email} {} {<td><a href=\"mailto:$email\">$email</a></td>} }
    }
    
    set sql_query "
    select INITCAP(ugm.role) as role_cap,
    u.first_names, u.last_name, u.email, u.user_id
    from   users u, user_group_map ugm,
    user_groups ug, users_contact uc
    where  ugm.group_id = :group_id
    and    ugm.role = 'student'
    and    ugm.group_id = ug.group_id
    and    ugm.user_id = uc.user_id (+)
    and    ugm.user_id = u.user_id [ad_order_by_from_sort_spec $orderby $table_def]"

    set bind_vars [ns_set create]
    ns_set put $bind_vars group_id $group_id

    set table [ad_table -Torderby $orderby -Tmissing_text "<em>There are no persons with that role.</em>" -bind $bind_vars "user_class_roles_select" $sql_query $table_def]
    
    db_1row select_pretty_role_for_edu_class_roles "select pretty_role_plural from edu_role_pretty_role_map where role = 'student' and group_id = :group_id"
    
    append html "
    <b>$pretty_role_plural</b><blockquote>$table</blockquote>"
    
    
} else {
    append html ""
}

if [ad_user_group_authorized_admin $user_id $group_id] {
    append html "<blockquote><br><a href=/education/class/admin/users/add.tcl?[export_url_vars group_id return_url]&role=student>add student</a></blockquote>"
} 

set class_name [db_string class_name_select "select group_name from user_groups where group_id=:group_id"]

set return_string "
[ad_header "$class_name @ [ad_system_name]"]

<hr> $html
"
ns_return 200 text/html $return_string

    




















