# /www/education/class/exams-display.tcl
#
# displays the class exams
#
# aileen@mit.edu, randyg@mit.edu
#
# March 2000
#
# $Id: exams-display.tcl,v 1.1.1.1 2001/01/24 18:03:20 tarik Exp $

set db [ns_db gethandle]

set id_list [edu_user_security_check $db]
set user_id [lindex $id_list 0]
set class_id [lindex $id_list 1]
set class_name [lindex $id_list 2]

set exams_folder_id [database_to_tcl_string_or_null $db "select exams_folder_id from edu_classes where class_id=$class_id"]

set header "

[ad_header "Classes @ [ad_system_name]"]

<h2>Exams</h2>

[ad_context_bar_ws [list "" Classes] [list one.tcl "$class_name"] "Exams"]

<hr>
<table cellpadding=2>"


#################################
#                               #
#  Begin displaying exams       #
#                               #
#################################


set selection [ns_db select $db "select exam_name, 
             e.exam_id,
             ver.version_id,
             ver.file_extension,
             ver.url,
             ver.file_id,
             sol.version_id as sol_version_id,
             sol.file_extension as sol_file_extension,
             sol.url as sol_url,
             sol.file_id as sol_file_id
        from edu_exams e,
             (select * from fs_versions_latest 
              where ad_general_permissions.user_has_row_permission_p($user_id, 'read', version_id, 'FS_VERSIONS') = 't') ver,
             (select file_extension, url, version_id, task_id, ver.file_id 
                    from fs_versions_latest ver,
                         edu_task_solutions solutions
                   where ver.file_id = solutions.file_id
                     and ad_general_permissions.user_has_row_permission_p($user_id, 'read', version_id, 'FS_VERSIONS') = 't') sol
    where e.class_id = $class_id
    and e.exam_id = sol.task_id(+)
    and e.file_id = ver.file_id(+)"]
    
set n_exams 0

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    
    
    if {![empty_string_p $sol_url]} {
	append exam_text "<tr><Td><a href=\"$sol_url\">solutions</a></td>"
    } elseif {![empty_string_p $version_id]} {
	append exam_text "
	<tr><td><a href=\"/file-storage/download/$exam_name.$file_extension?version_id=$version_id\">$exam_name</a></td>"
    } else {
	append exam_text "<tr><td>$exam_name</a></td>\n"
    }
    
    append exam_text "<td><a href=\"task-info.tcl?task_id=$exam_id\">Details</a></td>\n"
    
    if {[empty_string_p $sol_url] && ![empty_string_p $sol_version_id]} {
	# there are already solutions - a file in the file system
	append exam_text "
	<td><a href=\"/file-storage/download/$exam_name.$sol_file_extension?version_id=$sol_version_id\">solutions</a></td>"
    } elseif {![empty_string_p $sol_url]} {
	# there are already solutions - a url
	append exam_text "<td><a href=\"$sol_url\">Solutions</a></td>"
    } else {
	append exam_text "<td>[ad_space]</td>"
    }
    incr n_exams
}

if {!$n_exams} {
    set exam_text ""
} 

ns_db releasehandle $db

ns_return 200 text/html "
$header
$exam_text
</table>
[ad_footer]
" 