# /www/education/class/handouts-display.tcl
#
# displays the class handouts
#
# aileen@mit.edu, randyg@mit.edu
#
# March 2000
#
# $Id: handouts-display.tcl,v 1.1.1.1 2001/01/24 18:03:20 tarik Exp $

set db [ns_db gethandle]

set id_list [edu_user_security_check $db]
set user_id [lindex $id_list 0]
set class_id [lindex $id_list 1]
set class_name [lindex $id_list 2]

set handouts_folder_id [database_to_tcl_string_or_null $db "select handouts_folder_id from edu_classes where class_id=$class_id"]

set header "

[ad_header "Classes @ [ad_system_name]"]

<h2>Handouts</h2>

[ad_context_bar_ws [list "" Classes] [list one.tcl "$class_name"] "Handouts"]

<hr>
<table cellpadding=2>"


#
#
#  Begin the code to generate Handouts
#
#



set handouts_text ""

set selection [ns_db select $db "select 
         version_id, 
         url,
         edu_handouts.file_id, 
         distribution_date, 
         handout_name
    from edu_handouts,
         fs_versions_latest ver
   where lower(handout_type) = lower('general') 
     and ver.file_id = edu_handouts.file_id
     and class_id = $class_id 
     and ad_general_permissions.user_has_row_permission_p($user_id, 'read', version_id, 'FS_VERSIONS') = 't'
order by distribution_date"]

set handouts_count 0
while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    incr handouts_count

    if {![empty_string_p $url]} {
	append handouts_text "<tr><td> <a href=\"$url\">$handout_name</a>"
    } elseif {![empty_string_p $version_id]} {
	append handouts_text "<tr><td> <a href=\"/file-storage/download/[join $handout_name "_"].$file_extension?version_id=$version_id\">$handout_name</a>"
    } else {
	append handouts_text "<tr><td> $handout_name"
    }
    
    append handouts_text "
    <td>Distributed: 
    [util_AnsiDatetoPrettyDate $distribution_date]
    </td></tr>"
}

if {$handouts_count == 0} {
    append handouts_text "<tr><td>There are currently no handouts.</td></tr>"
}

ns_db releasehandle $db

ns_return 200 text/html "
$header
$handouts_text
</table>
[ad_footer]
"
