# /www/education/class/lecture-notes-display.tcl
#
# displays the class lecture notes
#
# aileen@mit.edu, randyg@mit.edu
#
# March 2000
#
# $Id: lecture-notes-display.tcl,v 1.1.1.1 2001/01/24 18:03:20 tarik Exp $

set db [ns_db gethandle]

set id_list [edu_user_security_check $db]
set user_id [lindex $id_list 0]
set class_id [lindex $id_list 1]
set class_name [lindex $id_list 2]

set lecture_notes_folder_id [database_to_tcl_string_or_null $db "select lecture_notes_folder_id from edu_classes where class_id=$class_id"]

set header "

[ad_header "Classes @ [ad_system_name]"]

<h2>Lecture Notes</h2>

[ad_context_bar_ws [list "" Classes] [list one.tcl "$class_name"] "Lecture Notes"]

<hr>
<table cellpadding=2>"



#
#
#  Begin the code to generate lecture notes
#
#



set lecture_notes_text ""

# we join with fs_versions_latest to make sure that
# they have permission to view the handout

set selection [ns_db select $db "select handout_id, 
         edu_handouts.file_id, 
         distribution_date, 
         handout_name,
         url,
         version_id
    from edu_handouts,
         fs_versions_latest ver
   where lower(handout_type) = lower('lecture_notes') 
     and class_id = $class_id 
     and ver.file_id = edu_handouts.file_id
     and ad_general_permissions.user_has_row_permission_p($user_id, 'read', version_id, 'FS_VERSIONS') = 't'
order by distribution_date"]


set lecture_notes_count 0
while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    incr lecture_notes_count

    if {![empty_string_p $url]} {
	append lecture_notes_text "<tr><td> <a href=\"$url\">$handout_name</a>"
    } elseif {![empty_string_p $version_id]} {
	append lecture_notes_text "<tr><td> <a href=\"/file-storage/download/[join $handout_name "_"].$file_extension?version_id=$version_id\">$handout_name</a>"
    } else {
	append lecture_notes_text "<tr><td> $handout_name"
    }
    
    append lecture_notes_text "
    <td>Distributed: 
    [util_AnsiDatetoPrettyDate $distribution_date]
    </td></tr>"
}

if {$lecture_notes_count == 0} {
    append lecture_notes_text "<tr><td>There are currently no lecture notes.</td></tr>"
}

append lecture_notes_text "</ul>"

ns_db releasehandle $db
ns_return 200 text/html "
$header
$lecture_notes_text
</table>
[ad_footer]"