# /packages/education/www/community/approve-community.tcl

ad_page_contract {
    Allows admin to approve request for community.
    Sets approved_p for the user group to true,
    then creates the portal, file system, and whatever else needs to be created.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: approve-community.tcl,v 1.4 2001/02/25 23:15:30 tarik Exp $
} {
    group_id:notnull,integer
    return_url:optional
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_id {You have not provided a valid group_id.}
}

if ![info exists return_url] {
    set return_url "[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name community]]]/"
}

set user_id [ad_verify_and_get_user_id]

#lets check and make sure that it is not a double click
if [db_0or1row check_if_group_id_exists {
    select group_id as old_id, short_name as old_short_name from user_groups
    where group_id = :group_id
    and lower(approved_p) = 't'
}] {
    ad_returnredirect "[portals_get_portal_property base_url [portals_get_portal_id group $old_id [portals_domain_id_from_domain_name community]]]/"
    return
}

# if not, get all the needed information about the group
db_1row get_group_info {
    select short_name, group_name, existence_public_p as public_p
    from user_groups
    where group_id = :group_id
}

db_transaction {

    db_dml update_user_groups {
	update user_groups
	set approved_p = 't'
	where group_id = :group_id
    }
}


ad_returnredirect $return_url


