# /packages/education/www/community/create-community-2.tcl

ad_page_contract {
    Asks user for confirmation before creating community.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: create-community-2.tcl,v 1.3 2001/02/02 22:46:22 tarik Exp $
} {
    group_name:notnull
    {public_p t}
    {description [db_null]}
    {return_url "/education/manage-memberships.tcl"}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_name {You must name your community.}
}


append doc "
[ad_header "Create a new community"]
<h2>Create a new community</h2>
[ad_context_bar_ws [list "/education/manage-memberships.tcl" "Add/Drop Memberships"] "Create a new community"]
<hr>"

# now that we know we have valid input, we display the confirmation page

set group_id [db_string get_user_group_seq_nextval "select user_group_sequence.nextval from dual"]

if {[empty_string_p $description]} {
    set pretty_description "None"
} else {
    set pretty_description "$description"
}

append doc "
<blockquote>
<table>
<tr><th align=left>Community Name:</th>
<td>$group_name</td>
</tr>

<tr><th align=left>Community Description</th>
<td align=top>$pretty_description</td>
</tr>

<tr><th colspan=2 align=left>Will the community web page and documents be open to the public?</th></tr>

<tr><td></td>
<td valign=top>[util_PrettyBoolean $public_p]</td>
</tr>

</td>
</tr>

<tr>
<td colspan=2 align=center>
<br>
<form method=post action=\"create-community-3.tcl\">
[export_form_vars group_name public_p description group_id return_url]

<input type=submit value=\"Create a New Community\"></td>

</form>
</td>
</tr>
</table>



</blockquote>
[ad_footer]
"

doc_return 200 text/html $doc