# /packages/education/www/community/create-community-3.tcl

ad_page_contract {
    Creates a community, with values passed in from create-community-2.tcl

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: create-community-3.tcl,v 1.6 2001/02/15 02:18:52 caroline Exp $
} {
    group_name:notnull
    group_id:integer,notnull
    {public_p t}
    {description ""}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_name {You must name your community.}
    group_id {Group ID not provided.}
}

set user_id [ad_verify_and_get_user_id]

# let's check and make sure that it is not a double click
if [db_0or1row check_if_group_id_exists {
    select group_id as old_id from user_groups
    where group_id = :group_id
}] {
    ad_returnredirect "[portals_get_portal_property base_url [portals_get_portal_id group $old_id [portals_domain_id_from_domain_name community]]]/"
    return
}

create_community -approved_p t -public_p $public_p -new_member_policy open -description $description $group_id $group_name


ad_returnredirect "[portals_get_portal_property base_url [portals_get_portal_id group $group_id [portals_domain_id_from_domain_name community]]]/"


