# /packages/education/www/create-community.tcl

ad_page_contract {
    Allows user to create a community, i.e. club, athletic team, whatever, with its own portal!
    User must be site-wide admin to create a community.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 24, 2000
    @cvs-id $Id: create-community.tcl,v 1.2 2001/02/02 22:46:22 tarik Exp $
} {
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
}

append doc "
[ad_header "Create a new community"]
<h2>Create a new community</h2>
[ad_context_bar_ws [list "/education/manage-memberships.tcl" "Add/Drop Memberships"] "Create a new community"]
<hr>
<blockquote>

<form method=post action=\"create-community-2\">

<table>
<tr><th align=left>Community Name</th>
<td><input type=text size=60 name=group_name maxlength=100></td>
</tr>

<tr><th align=left>Community Description</th>
<td><textarea wrap name=description rows=4 cols=50></textarea></td>
</tr>

<tr><th align=left colspan=2>Will the community web page and documents be open to the public?</th></tr>
<tr><td colspan=2 align=center><input type=radio name=public_p value=t>Yes &nbsp;<input type=radio checked name=public_p value=f>No
</td></tr>

<tr><td colspan=2 align=center><input type=submit value=\"Continue\"></td>
</tr>
</table>
</form>

</blockquote>
[ad_footer]
"

doc_return 200 text/html $doc

