# /packages/education/www/remove-community.tcl

ad_page_contract {
    Allows site-wide admin to remove a community.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date August 18, 2000
    @cvs-id $Id: remove-community-2.tcl,v 1.2 2001/02/25 23:15:30 tarik Exp $
} {
    group_id:integer,notnull
    {return_url "/admin/education/"}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_id {You must provide a group_id.}
}

set user_id [ad_maybe_redirect_for_registration]

db_transaction {
    db_dml delete_from_ugm "delete from user_group_map where group_id=:group_id"
    db_dml update_ug "update user_groups set approved_p='f' where group_id=:group_id"
}

ad_returnredirect $return_url

