# /packages/education/www/remove-community.tcl

ad_page_contract {
    Allows site-wide admin to remove a community.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date August 18, 2000
    @cvs-id $Id: remove-community.tcl,v 1.2 2001/02/25 23:15:30 tarik Exp $
} {
    group_id:integer,notnull
    {return_url "/admin/education/"}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_id {You must provide a group_id.}
}


set user_id [ad_maybe_redirect_for_registration]

db_1row get_comm_info {
    select group_name
    from user_groups
    where group_id = :group_id
}

doc_return 200 text/html "
[ad_header "Are you sure?"]
<h2>Are you sure?</h2>
<hr>
<blockquote>
Are you sure that you want to drop this community: $group_name?<p>
All current members will lose their membership and no one will be able to join.  This is a \"safe\" way to delete the group.  Any content entered for the group will remain, but there will be no record of who the members were.
</blockquote>
<center>
<table>
<td>
<form action=remove-community-2>
[export_form_vars group_id return_url]
<input type=submit value=\"Yes, disapprove it\">
</form>
<td>
<form action=$return_url>
<input type=submit value=\"No, don't disapprove it\" >
</form>
</table>
</center>
[ad_footer]
"
