# /packages/education/www/community/request-community-2.tcl

ad_page_contract {
    Asks user for confirmation before sending request for community.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @creation-date July 26, 2000
    @cvs-id $Id: request-community-2.tcl,v 1.2 2001/02/15 02:18:53 caroline Exp $
} {
    group_name:notnull
    {public_p t}
    {description [db_null]}
    {return_url "/education/manage-memberships"}
} -errors {
    group_name {You must name your community.}
}

# must be a registered user to request community
ad_maybe_redirect_for_registration

append doc "
[ad_header "Request a new community"]
<h2>Request a new community</h2>
[ad_context_bar_ws [list $return_url "Add/Drop Memberships"] "Request a new community"]
<hr>
<blockquote>"

# now that we know we have valid input, we display the confirmation page

set community_group_id [db_string get_ug_nextval "select user_group_sequence.nextval from dual"]

set pretty_description $description
if {[empty_string_p $pretty_description]} {
    set pretty_description "None"
}

append doc "
<table>
<tr><th align=left>Community Name:</th>
<td>$group_name</td>
</tr>

<tr><th align=left>Community Description</th>
<td align=top>$pretty_description</td>
</tr>

<tr><th colspan=2 align=left>Will the community web page and documents be open to the public?</th></tr>

<tr><td></td>
<td valign=top>[util_PrettyBoolean $public_p]</td>
</tr>

</td>
</tr>

<tr>
<td colspan=2 align=center>
<br>
<form method=post action=\"request-community-3\">
[export_form_vars group_name public_p description community_group_id return_url]

<input type=submit value=\"Request a New Community\"></td>

</form>
</td>
</tr>
</table>



</blockquote>
[ad_footer]
"

doc_return 200 text/html $doc