# /packages/education/www/department/admin/department-edit.tcl

ad_page_contract {
    This page allows the user to edit information about a department.

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: department-edit.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:integer,notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
}

# set the user and group information
#set id_list [edu_group_security_check $db edu_department]
#set user_id [lindex $id_list 0]
#set department_id [lindex $id_list 1]
#set department_name [lindex $id_list 2]

set user_id [ad_verify_and_get_user_id]

if ![db_0or1row get_dept_info {
    select department_name, 
    department_number, 
    NVL(external_homepage_url, 'http://') as external_homepage_url,
    mailing_address,
    phone_number,
    fax_number,
    inquiry_email,
    description,
    mission_statement
    from edu_departments
    where department_id = :department_id
}] {
    ad_complain "invalid department id"

    # this should never, ever happen because of the call to edu_group_security_check
    #    ad_return_complaint 1 "<li> The group that you are logged in as is not a department.  Please return to <a href=\"/pvt/home.tcl\">your home page</a> and try again."
    #    return
}

doc_return 200 text/html "
[ad_header "Edit a Department @ [ad_system_name]"]
<h2>Edit Department</h2>


[ad_context_bar_ws [list "" "Department Administration"] [list "one?[export_url_vars department_id]" "$department_name"] "Edit Department Information"]

<hr>
<blockquote>

<form method=post action=\"department-edit-2\">
[export_form_vars department_id]
<table>

<tr>
<th align=left valign=top>
Department Name
</td>
<td>
<input type=text name=group_name value=\"$department_name\" size=50 maxlength=100>
</td>
</tr>

<tr>
<th align=left valign=top>
Department Number
</td>
<td>
<input type=text name=department_number value=\"$department_number\" size=20 maxlength=100>
</td>
</tr>

<tr>
<th align=left valign=top>
External Homepage URL
</td>
<td>
<input type=text name=external_homepage_url value=\"$external_homepage_url\" size=40 maxlength=200>
</td>
</tr>

<tr>
<th align=left valign=top>
Mailing Address
</td>
<td>
<input type=text name=mailing_address value=\"$mailing_address\" size=40 maxlength=200>
</td>
</tr>


<tr>
<th align=left valign=top>
Phone Number
</td>
<td>
<input type=text name=phone_number value=\"$phone_number\" size=15 maxlength=20>
</td>
</tr>

<tr>
<th align=left valign=top>
Fax Number
</td>
<td>
<input type=text name=fax_number value=\"$fax_number\" size=15 maxlength=20>
</td>
</tr>

<tr>
<th align=left valign=top>
Inquiry Email Address
</td>
<td>
<input type=text name=inquiry_email value=\"$inquiry_email\" size=25 maxlength=50>
</td>
</tr>


<tr>
<th align=left valign=top>
Description
</td>
<td>
<textarea wrap cols=45 rows=5 name=description>$description</textarea>
</td>
</tr>


<tr>
<th align=left valign=top>
Mission Statement
</td>
<td>
<textarea wrap cols=45 rows=5 name=mission_statement>$mission_statement</textarea>
</td>
</tr>

<tr>
<td colspan=2 align=center>
<input type=submit value=Continue>
</td>
</tr>

</table>

</form>

</blockquote>
[ad_footer]
"









