# /packages/education/www//department/admin/index.tcl

ad_page_contract {
    This page lists the departments.
 
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: index.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    {orderby "department_name"}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
}

set return_string "

[ad_header "[ad_system_name] Administration"]

<h2>[ad_system_name] Departments</h2>

[ad_context_bar_ws Departments]

<hr>
<blockquote>
"

set user_id [ad_verify_and_get_user_id]

set count 0

# do use an on-the-fly view so that we know if the user is a member
# of the given deparment

set table_def {
    {department_name {Department} {} {<td><a href=\"[edu_url]department/admin/one?[export_url_vars department_id]\">$department_name</a>
	[if ![empty_string_p $external_homepage_url] {
	    return "\[<a href=\"$external_homepage_url\">homepage</a>\]"
	}] </td>
	}
    }
    {department_number {Dept. Number} {} c}
    {mailing_address {Mailing Address} {} l}
    {phone_number {Phone} {} c}
    {fax_number {Fax} {} c}
    {inquiry_email {Email} {} {<td><a href=\"mailto:$inquiry_email\">$inquiry_email</a></td>} }
}

set sql "
select department_id, 
department_name,
department_number,
external_homepage_url,
mailing_address,
phone_number,
fax_number,
inquiry_email
from edu_departments dept
[ad_order_by_from_sort_spec $orderby $table_def]
"

set dept_table [ad_table -Torderby $orderby -Tmissing_text "" dept_table $sql $table_def]

if [empty_string_p $dept_table] {
    append return_string "<h3>There are currently no departments in the system.</h3>"
} else {
    append return_string "
    <h3>Departments</h3>
    <blockquote>
    $dept_table
    </blockquote>"
}

append return_string "
</blockquote>
[ad_footer]
"

doc_return 200 text/html $return_string










