# /packages/education/www/department/admin/subject-add-existing-2.tcl

ad_page_contract {
    This page allows the admin to add an existing subject to the department.
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: subject-add-existing-2.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:integer,notnull
    subject_id:integer,notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
    subject_id_already_mapped_to_dept_p {
	if [db_string check_if_subject_exists {
	    select count(department_id)
	    from edu_subject_department_map
	    where subject_id = :subject_id
	    and department_id = :department_id
	}] {
	    ad_complain "The subject you are trying to add already exists in this department."
	}
    }
} -errors {
    subject_id {You must include a subject identification number.}
}


# set the user and group information
#set id_list [edu_group_security_check $db edu_department]
#set user_id [lindex $id_list 0]
#set department_id [lindex $id_list 1]
#set department_name [lindex $id_list 2]


db_1row get_info {
    select subject_name, department_name
    from edu_subjects, edu_departments
    where subject_id = :subject_id
    and department_id = :department_id
}

doc_return 200 text/html "

[ad_header "Add an Existing Subject @ [ad_system_name]"]
<h2>Add an Existing Subject</h2>


[ad_context_bar_ws [list "" "Department Administration"] [list "one?[export_url_vars department_id]" "$department_name"] "Add a Subject"]


<hr>

<blockquote>

Please provide a subject number and graduate status for $subject_name.  Examples of subject numbers include CS101 and 6.001.

<form method=post action=\"subject-add-existing-3\">
<b>Subject Number:</b> [ad_space] <input type=text size=15 maxlength=20 name=subject_number>
[export_form_vars subject_id department_id]
<p>

<b>Is this a Graduate Class?</b> [ad_space] 

<input type=radio name=grad_p value=t> Yes
<input type=radio name=grad_p value=f checked> No

<p>
<input type=submit value=\"Continue\">
</form>


</blockquote>
[ad_footer]
"














