# /packages/education/www/department/admin/subject-add-existing-4.tcl

ad_page_contract {
    This page allows the admin to add an existing subject to the department
    This does the actual insert
       
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: subject-add-existing-4.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:integer,notnull
    subject_id:integer,notnull
    {subject_number [db_null]}
    {grad_p f}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
    subject_id_already_mapped_to_dept_p {
	if [db_string check_if_subject_exists {
	    select count(department_id)
	    from edu_subject_department_map
	    where subject_id = :subject_id
	    and department_id = :department_id
	}] {
	    ad_complain "The subject you are trying to add already exists in this department."
	}
    }
} -errors {
    subject_id {You must include a subject identification number.}
}

# set the user and group information
#set id_list [edu_group_security_check $db edu_department]
#set user_id [lindex $id_list 0]
#set department_id [lindex $id_list 1]
#set department_name [lindex $id_list 2]


# lets make sure that the subject_id provided maps to the departments

if [catch {
    db_dml insert_into_esdm {
	insert into edu_subject_department_map (
	subject_id,
	subject_number,
	grad_p,
	department_id)
	values (
	:subject_id,
	:subject_number,
	:grad_p,
	:department_id)
    }
} errmsg] {
    # something went wrong.  
    if [db_string check_if_mapping_exists {
	select count(subject_id)
	from edu_subject_department_map
	where subject_id = :subject_id
	and department_id = :department_id
    }] {
	# mapping was already in the tables
	db_release_unused_handles
	ad_returnredirect "?[export_url_vars department_id]"
    } else {
	ad_return_error "database choked" "The database choked on your insert:
	<blockquote>
	<pre>
	$errmsg
	</pre>
	</blockquote>
	You can back up, edit your data, and try again"
    }
    return
}

# insert went OK

db_release_unused_handles

ad_returnredirect "one?[export_url_vars department_id]"
