# /packages/education/www/department/admin/subject-add.tcl

ad_page_contract {
    This allows an admin to add a subject to the department
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: subject-add.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:integer,notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
}

# set the user and group information
#set id_list [edu_group_security_check $db edu_department]
#set user_id [lindex $id_list 0]
#set department_id [lindex $id_list 1]
#set department_name [lindex $id_list 2]

set user_id [ad_verify_and_get_user_id]
set department_name [db_string get_dept_name {
    select department_name
    from edu_departments
    where department_id = :department_id
}]

doc_return 200 text/html "

[ad_header "Add a New Subject @ [ad_system_name]"]
<h2>Add a New Subject</h2>

[ad_context_bar_ws [list "" "Department Administration"] [list "one?[export_url_vars department_id]" "$department_name"] "Add a New Subject"]

<hr>
<blockquote>

<form method=post action=\"subject-add-2\">

<table>

<tr>
<th align=left valign=top>
Subject Name:
</td>
<td>
<input type=text name=subject_name size=40 maxlength=100>
</td>
</tr>

<tr>
<td valign=top align=left>
<b>Subject Number: </b>
</td><td align=left>
<input type=text name=subject_number size=10 maxlength=20>
</td>
</tr>

<tr>
<th align=left valign=top>
Description:
</td>
<td>
[edu_textarea description]
</td>
</tr>

<tr>
<th align=left valign=top>
Credit Hours:
</td>
<td>
<input type=text name=credit_hours size=10 maxlength=50>
</td>
</tr>

<tr>
<th align=left valign=top>
Prerequisites:
</td>
<td>
[edu_textarea prerequisites "" 60 4]
</td>
</tr>

<tr>
<th align=left valign=top>
Professor(s) in Charge:
</td>
<td>
<input type=text name=professors_in_charge size=40 maxlength=200>
</td>
</tr>

<tr>
<td align=left colspan=2 valign=top>
<b>Is this a Graduate Class?</b>
<input type=radio name=grad_p value=t> Yes
<input type=radio name=grad_p value=f checked> No
</td>
</tr>

<tr>
<th align=center valign=top colspan=2>
<input type=submit value=Continue>
</td>
</tr>

</table>
[export_form_vars department_id]
</form>

</blockquote>
[ad_footer]
"














