# /packages/education/www/department/admin/subject-edit-3.tcl

ad_page_contract {
    This page allows the admin to change the subject number and 
    graduate status of the class
    This page does the actual insert    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: subject-edit-3.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:integer,notnull
    subject_id:integer,notnull
    subject_number:notnull
    grad_p:notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    subject_id {You must include a subject identification number.}
    subject_number {You must include a subject number.}
    grad_p {You must include the graduate status of the class.}
}

# set the user and group information
#db_with_handle db {
#    set id_list [edu_group_security_check $db edu_department]
#}
#set department_id [lindex $id_list 1]

db_dml update_esdm {
    update edu_subject_department_map 
    set subject_number = :subject_number,
    grad_p = :grad_p
    where subject_id = :subject_id 
    and department_id = :department_id
}

ad_returnredirect "one?[export_url_vars department_id]"












