# /packages/education/www/department/subject-unlink-2.tcl

ad_page_contract {
    This page removes a subject form the deparement/subject
    mapping table
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: subject-unlink-2.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:integer,notnull
    subject_id:integer,notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
    subject_id_not_mapped_to_dept_p {
	if ![db_string check_if_subject_exists {
	    select count(department_id)
	    from edu_subject_department_map
	    where subject_id = :subject_id
	    and department_id = :department_id
	}] {
	    ad_complain "The subject you are trying to delete does not belong to the department $department_name."
	}
    }
} -errors {
    subject_id {You must include a subject identification number.}
}

# set the user and group information
#set id_list [edu_group_security_check $db edu_department]
#set department_id [lindex $id_list 1]

# let's delete the subject from the mapping table

db_dml delete_from_map {
    delete from edu_subject_department_map
    where subject_id = :subject_id
    and department_id = :department_id
}

db_release_unused_handles

ad_returnredirect "one?[export_url_vars department_id]"
