# /packages/education/www/join.tcl

ad_page_contract {
    This page allows a user to add him/herself to a group, i.e. class or community.
    If the group is of type class, the user gets added as a "student."
    Otherwise the user gets added as a "member."

    @author Eric J. Cholankeril
    @creation-date August 18, 2000
    @cvs-id $Id: join.tcl,v 1.1.1.1 2001/01/24 18:03:19 tarik Exp $
} {
    group_id:integer,notnull
    {return_url "manage-memberships"}
} -errors {
    group_id {You must provide the Group ID of the group the user is being added to.}
}

set user_id [ad_maybe_redirect_for_registration]

db_1row get_group_info "select group_type, new_member_policy from user_groups where group_id = :group_id"

if ![string compare $group_type "edu_class"] {
    set role "student"
} else {
    set role "member"
}

# don't need to do a double-click check because the proc below does it 
# for us

if {![string compare $new_member_policy "open"] || [ad_administrator_p]} {
    ad_user_group_user_add $user_id $role $group_id
} else {
    ad_complain "You do not have permission to add yourself to that group."
}

ad_returnredirect $return_url
