ad_page_contract {
    Allows class adminstrators to create a subgroup associated with a class.
    User must be class administrator in order to create a subgroup.

    @author Tarik Alatovic (tarik@alatovic.com)
    @creation-date January 22, 2000
    @cvs-id $Id: create.tcl,v 1.5 2001/02/02 22:46:29 tarik Exp $
} {
    group_id:notnull,naturalnum
    parent_domain_id:notnull,naturalnum
} -validate {
    accessible_p {
	set user_id [ad_get_user_id]
	if ![ad_user_group_authorized_admin $user_id $group_id] {
	    ad_complain "You do not have permission to access this page"
	}
    }
}

set subgroup_domain_id [portals_domain_id_from_domain_name subgroup]
set portal_id [portals_get_portal_id group $group_id $parent_domain_id]
set subgroup_group_id [db_string get_user_group_seq_nextval "select user_group_sequence.nextval from dual"]


append doc "
[ad_header "Create a new subgroup"]
<h2>Create a new subgroup</h2>
<hr>
<blockquote>

<form method=post action=\"create-2\">
[export_form_vars group_id parent_domain_id subgroup_group_id]
<table>
<tr><th align=left>Subgroup Name</th>
<td><input type=text size=60 name=group_name maxlength=100></td>
</tr>

<tr><td colspan=2 align=center><input type=submit value=\"Continue\"></td>
</tr>
</table>
</form>

</blockquote>
[ad_footer]
"

doc_return 200 text/html $doc


