# /packages/education/www/subject/admin/class-add.tcl

ad_page_contract {
    this page gives the user a form to fill out class information
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: class-add.tcl,v 1.2 2001/02/02 19:53:16 tarik Exp $
} {
    subject_id:integer,notnull
    user_id_from_search:integer,notnull
    {term_id ""}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
    valid_subject_id_p -requires {subject_id} {
	if ![db_0or1row check_valid_id "select subject_name, description, credit_hours, prerequisites, professors_in_charge from edu_subjects where subject_id = :subject_id"] {
	    ad_complain "The subject identification number you have entered is not valid."
	}
    }
} -errors {
    subject_id {You must specify a subject.}
    user_id_from_search {You must specify an instructor.}
}

set instructor_id $user_id_from_search

#set user_id [edu_subject_admin_security_check $db $subject_id]

set user_id [ad_verify_and_get_user_id]

db_1row get_subj_info {
    select subject_name, description,
    first_names || ' ' || last_name as instructor_name
    from edu_subjects, users
    where subject_id = :subject_id
    and user_id = :instructor_id
}

set term_select_string [edu_term_select_widget term_id $term_id]
set date_widget_string [ad_dateentrywidget end_date [db_string help_date_widget "select add_months(sysdate,12) from dual"]]

doc_return 200 text/html "
[ad_header "Add a Class @ [ad_system_name]"]

<h2>Add a $subject_name Class</h2>

[ad_context_bar_ws [list "/subject/" "Subjects"] [list "index.tcl?subject_id=$subject_id" "Subject Administration"] "Add a Class"]

<hr>
<blockquote>

<form method=post action=\"class-add-2\">
[export_form_vars instructor_id subject_id]

<table>
<tr><th align=left>Instructor</th>
<td>$instructor_name</td>
</tr>

<tr><th align=left>Class Title</th>
<td><input type=text size=60 name=group_name maxlength=100 value=\"$subject_name\"></td>
</tr>

<tr><th align=left>Class Description</th>
<td ><textarea wrap name=description rows=4 cols=50>$description</textarea></td>
</tr>

<tr><th align=left>Term: </th>
<td>
$term_select_string</td>
</tr>

<tr><th align=left colspan=2>Will the class web page and documents be open to the public?</th></tr>
<tr><td colspan=2 align=center><input type=radio name=public_p checked value=t>Yes &nbsp;<input type=radio name=public_p value=f>No
</td></tr>

<tr><td colspan=2 align=center><input type=submit value=\"Continue\"></td>
</tr>
</table>
</form>

</blockquote>
[ad_footer]
"

#this is taken out for now it maybe usefull if you want to add grades.
#Be warned that the html is lousy
set unused_html "
<br>(e.g. Lecture: TR10 (10-250) Recitation: WF10 (13-4101) or WF11 (13-4101))</th>
<td>[edu_textarea where_and_when]</td>
</tr>




<tr><th align=right>Do students recieve grades?
<td><input type=radio name=grades_p value=t checked>Yes &nbsp;<input type=radio name=grades_p value=f>No
</tr>

<tr><th align=right>Will the class have teams?
<td><input type=radio name=teams_p value=t>Yes &nbsp;<input type=radio name=teams_p value=f checked>No
</tr>

<tr><th align=right>Will the class have exams?
<td><input type=radio name=exams_p value=t checked>Yes &nbsp;<input type=radio name=exams_p value=f>No
</tr>

<tr><th align=right>Will the class have a final exam?
<td><input type=radio name=final_exam_p value=t checked>Yes &nbsp;<input type=radio name=final_exam_p value=f>No
</tr>"



