# /packages/education/www/subject/admin/department-add-3.tcl
#
# by randyg@arsdigita.com, aileen@arsdigita.com January 2000
#
# this page finally puts the departmental data into the database

ad_page_contract {
    this page allows the user to add more departments to the given subject
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: department-add-3.tcl,v 1.1.1.1 2001/01/24 18:03:26 tarik Exp $
} {
    subject_id:integer,notnull
    department_list:notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
    valid_subject_id_p -requires {subject_id} {
	if ![db_0or1row check_valid_subject_id "select subject_name from edu_subjects where subject_id = :subject_id"] {
	    ad_complain "The subject identification number you have entered is not valid."
	}
    }
} -errors {
    subject_id {You must provide a subject identification number.}
    department_list {You must provide a department list.}
}


# department_list is a list of lists.
# the first element is the department id, the second element is the subject_name
# within the department and the third item is the department_name


#set user_id [edu_subject_admin_security_check $db $subject_id]

set user_id [ad_verify_and_get_user_id]

db_transaction {
    foreach department $department_list {
	set department_id [lindex $department 0]
	set subject_number [lindex $department 1]
	set grad_p [lindex $department 3]
	
	db_dml insert_into_esdm {
	    insert into edu_subject_department_map (
	    department_id, 
	    subject_id,
	    grad_p,
	    subject_number)
	    values (
	    :department_id,
	    :subject_id,
	    :grad_p,
	    :subject_number)
	}
    }
}

db_release_unused_handles

ad_returnredirect "index.tcl?subject_id=$subject_id"


