# /packages/education/www/subject/admin/edit-2.tcl

ad_page_contract {
    this is a confirmation page to allow the user to review their proposed
    changes to the subject properties
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: edit-2.tcl,v 1.1.1.1 2001/01/24 18:03:26 tarik Exp $
} {
    subject_id:integer,notnull
    subject_name:notnull
    {description [db_null]}
    {long_description:html [db_null]}
    {long_description_html_p "f"}
    {credit_hours [db_null]}
    {prerequisites [db_null]}
    {professors_in_charge [db_null]}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    subject_id {You must provide the subject you wish to edit.}
    subject_name {You must provide a name for the new subject.}
}

# set the user_id

#set user_id [edu_subject_admin_security_check $db $subject_id]

set user_id [ad_verify_and_get_user_id]

doc_return 200 text/html "

[ad_header "Subject Administration - Edit"]

<h2>Confirm Subject Information</h2>

[ad_context_bar_ws [list "../" "Subjects"] [list "index.tcl?subject_id=$subject_id" "$subject_name Administration"] "Edit Subject"]

<hr>
<blockquote>

<table>

<tr>
<th align=left valign=top>
Subject Name:
</td>
<td>
$subject_name
</td>
</tr>

<tr>
<th align=left valign=top>
Description:
</td>
<td>
[address_book_display_as_html $description]
</td>
</tr>

<tr>
<th align=left valign=top>
Detailed Description:
</td>
<td>
[util_maybe_convert_to_html $long_description $long_description_html_p]
</td>
</tr>

<tr>
<th align=left valign=top>
Credit Hours:
</td>
<td>
$credit_hours
</td>
</tr>

<tr>
<th align=left valign=top>
Prerequisites:
</td>
<td>
[address_book_display_as_html $prerequisites]
</td>
</tr>

<tr>
<th align=left valign=top>
Professors in Charge:
</td>
<td>
[edu_maybe_display_text $professors_in_charge]
</td>
</tr>

<tr>
<td align=center valign=top colspan=2>

<form method=post action=\"edit-3.tcl\">
[export_form_vars subject_name subject_id description credit_hours prerequisites professors_in_charge long_description_html_p long_description]

<br>
<input type=submit value=\"Edit Subject\">
</form>

</td>
</tr>

</table>

</blockquote>
[ad_footer]
"









