# /packages/education/www/subject/admin/edit-3.tcl

ad_page_contract {
    this is a confirmation page to allow the user to review their proposed
    changes to the subject properties
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: edit-3.tcl,v 1.1.1.1 2001/01/24 18:03:26 tarik Exp $
} {
    subject_id:integer,notnull
    subject_name:notnull
    {description [db_null]}
    {credit_hours [db_null]}
    {prerequisites [db_null]}
    {professors_in_charge [db_null]}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    subject_id {You must provide the subject you wish to edit.}
    subject_name {You must provide a name for the new subject.}
}

# set the user_id

#set user_id [edu_subject_admin_security_check $db $subject_id]

set user_id [ad_verify_and_get_user_id]

db_dml update_edu_subjects {
    update edu_subjects 
    set subject_name = :subject_name,
    description = :description,
    credit_hours = :credit_hours,
    prerequisites = :prerequisites,
    professors_in_charge = :professors_in_charge,
    last_modified = sysdate,
    last_modifying_user = :user_id,
    modified_ip_address = '[ns_conn peeraddr]'
    where subject_id = :subject_id
}


db_release_unused_handles

ad_returnredirect "index.tcl?subject_id=$subject_id"




