# /packages/education/www/subject/admin/edit.tcl

ad_page_contract {
    this page allows the user to edit the properties of the passed in subject
    
    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: edit.tcl,v 1.1.1.1 2001/01/24 18:03:26 tarik Exp $
} {
    subject_id:integer,notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
    valid_subject_id_p -requires {subject_id} {
	if ![db_0or1row check_valid_id "select subject_name, description, credit_hours, prerequisites, professors_in_charge from edu_subjects where subject_id = :subject_id"] {
	    ad_complain "The subject identification number you have entered is not valid."
	}
    }
} -errors {
    subject_id {You must provide a subject identification number.}
}

#set user_id [edu_subject_admin_security_check $db $subject_id]

set user_id [ad_verify_and_get_user_id]
db_1row get_info "select subject_name, description, credit_hours, prerequisites, professors_in_charge from edu_subjects where subject_id = :subject_id"

doc_return 200 text/html "

[ad_header "[ad_system_name] Administration - Edit Subject"]

<h2>Edit Subject</h2>

[ad_context_bar_ws [list "../" "Subjects"] [list "index.tcl?subject_id=$subject_id" "$subject_name Administration"] "Edit Subject"]

<hr>
<blockquote>
<form method=post action=\"edit-2.tcl\">
[export_form_vars subject_id]
<table>

<tr>
<th align=right>Subject Name</th>
<td><input type=text size=40 name=subject_name value=\"$subject_name\"></td>
</tr>

<tr>
<th align=right>Description</th>
<td>[edu_textarea description $description]</td>
</tr>
<tr>
<th align=right>Number of Units</th>
<td><input type=text name=credit_hours size=8 value=\"$credit_hours\"></td>
</tr>

<tr>
<th align=right>Prerequisites</th>
<td>[edu_textarea prerequisites $prerequisites 60 4]</td>
</tr>

<tr>
<th align=right>Professor(s) in Charge</th>
<td><input type=text name=professors_in_charge size=40 maxlength=200 value=\"$professors_in_charge\">
</tr>

[edu_empty_row]
<tr>
<th></th>
<td><input type=submit value=Continue></td>
</tr>

</table>
</form>
</blockquote>

[ad_footer]
"

