# /packages/education/www/subject/admin/remove-class.tcl

ad_page_contract {
    Removes a class.

    @author Eric J. Cholankeril (ejc@arsdigita.com)
    @author Basel Al-Naffouri (basel@arsdigita.com)
} {
    subject_id:integer,notnull
    group_id:integer,notnull
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    group_id {You must provide a group ID number.}
    subject_id {You must provide a subject ID number.}
}

set user_id [ad_maybe_redirect_for_registration]
set return_url "index?[export_url_vars subject_id]"

doc_return 200 text/html "
[ad_header "Are you sure?"]
<h2>Are you sure?</h2>
<hr>
Are you sure that you want to drop this class?
<center>
<table>
<td>
<form action=remove-class-2>
[export_form_vars group_id return_url]
<input type=submit value=\"Yes, delete it\">
</form>
<td>
<form action=index>
[export_form_vars subject_id]
<input type=submit value=\"No, don't delete it\" >
</form>
</table>
</center>
[ad_footer]
"
