# /packages/education/www/subject/admin/users.tcl

ad_page_contract {
    this page allows the person to select a user to lead a class

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: users.tcl,v 1.1.1.1 2001/01/24 18:03:26 tarik Exp $
} {
    subject_id:integer,notnull
    {target_url /education/subject/admin/class-add.tcl}
    {browse_type ""}
} -validate {
    accessible_p {
	if ![ad_administrator_p] {
	    ad_complain "You do not have permission to access this page"
	}
    }
} -errors {
    subject_id {You must provide a subject identification number.}
}

set user_id [ad_verify_and_get_user_id]

if {[string compare [string tolower $browse_type] select_instructor] == 0} {
    set header "Select an Instructor/Moderator for the Class"
    set nav_bar_value "Select Instructor"
    set footer ""
    
} else {
    set header "Users"
    set nav_bar_value "Site Wide Users"
    set footer "<br><li><a href=user-add.tcl>Add a User</a>"
}

set return_string "
[ad_header "Add a Class @ [ad_system_name]"]

<h2> $header</h2>

[ad_context_bar_ws [list "../" "Subjects"] [list index.tcl?subject_id=$subject_id "Subject Administration"] $nav_bar_value]

<hr>
<blockquote>
"

set passthrough {browse_type subject_id}
set target $target_url
append return_string "
<ul>
<form method=get action=/user-search.tcl>

<li>Search through all registered [ad_system_name] users:
<p>
<table>
[export_form_vars target browse_type subject_id passthrough]
<tr><td align=right>by Email Address</td>
<td><input type=text maxlength=100 size=30 name=email><BR></td>
</td>
<tr><td align=right>by Last Name </td>
<td><input type=text maxlength=100 size=30 name=last_name><BR></td>
</tr>
<tr>
<td colspan=2>
<center><input type=submit value=\"Search For a User\"></center>
</td>
</table>
</form>
"

append return_string "
$footer
</ul>
</blockquote>
   
[ad_footer]
"

doc_return 200 text/html $return_string







