# /packages/education/www/subject/index.tcl

ad_page_contract {
    this page displays a list of subjects

    @author Randy Graebner (randyg@arsdigita.com)
    @author Aileen Tang (aileen@mit.edu)
    @creation-date January 2000
    @cvs-id $Id: index.tcl,v 1.1.1.1 2001/01/24 18:03:25 tarik Exp $
} {
    department_id:optional
    {orderby ""}
}

# optionally takes department_id.  If there is a department_id 
# defined then it only lists subjects in that department

set return_string "

[ad_header "[ad_system_name] - Subjects"]
<h2>Subjects</h2>

[ad_context_bar_ws "Subjects"]

<hr>
<blockquote>
"

set table_def {
    {subject_name {Subject Name} {} {<td><a href=\"one.tcl?subject_id=$subject_id\">$subject_name</a></td>} }
}

if [info exists department_id] {
    set sql "select subject_id,
        subject_name,
        subject_number
   from edu_subjects,
        edu_subject_department_map map
  where map.department_id = :department_id
    and map.subject_id = edu_subjects.subject_id
    group by subject_id, subject_name, subject_number
    [ad_order_by_from_sort_spec $orderby $table_def]"
} else {
    # they want all subjects, not just one for particular departments

    set sql "select subject_id,
        subject_name
   from edu_subjects
    group by subject_id, subject_name [ad_order_by_from_sort_spec $orderby $table_def]"
}

# now, we have all of the values set for the first row

set table [ad_table -Torderby $orderby table_query $sql $table_def] 

append return_string "
$table
</blockquote>
[ad_footer]
"

doc_return 200 text/html $return_string










