#
# /www/education/util/group-select.tcl

ad_page_contract {
    by randyg@arsdigita.com, aileen@mit.edu, January 2000
    This page allows the user to select which group to log in as
} {
    return_url
    group_type
}

set user_id [ad_verify_and_get_user_id]
   
if { $user_id == 0 } {
    ns_returnredirect /register.tcl?return_url=[ad_urlencode $return_url]
    return
}

if {[empty_string_p $group_type]} {
    ns_return_complaint 1 "<li>You must provide the type of the group you want to select for"
    return
}

if {[string compare $group_type edu_department] == 0} {
    set suffix Department
} else {
    set suffix Class
}

# show them a group if they are a member 

if {[ad_administrator_p $user_id]} {
    set query "select unique(group_id), group_name from user_groups where lower(group_type) = :group_type and active_p = 't' order by lower(group_name)"
} else {
    set query "select unique(ug.group_id), ug.group_name
    from user_group_map map, user_groups ug
    where (map.group_id = ug.group_id
    and map.user_id = :user_id)
    and active_p = 't'
    and lower(group_type) = :group_type
    order by ug.group_name"
}

set counter 0
set html ""

db_foreach "group_info_select" $query {
    append html "<li><a href=\"group-login.tcl?[export_url_vars group_type group_id return_url]\">$group_name</a>\n"
    incr counter
}

if { $counter == 1 } {
    set url "group-login.tcl?[export_url_vars group_type group_id return_url]"
    ad_returnredirect $url
    return
}


set return_string "

[ad_header "Select $suffix"]

<h2>[ad_system_name] Departments</h2>

[ad_context_bar_ws_or_index Departments]

<hr>
<ul>
"


if { $counter == 0 } {
    append return_string "<li>You are not listed as a member of any ${suffix}es."
} else {
    append return_string "$html"
}

append return_string "
</ul>
[ad_footer]"

db_release_unused_handles

ns_return 200 text/html $return_string