ad_page_contract {
    This page inserts the new evaluation.
    @author basel@arsdigta.com
} {
    group_id:integer
    student_id:integer
    task_id:integer
    {grade:optional ""}
    {comments:optional ""}
    show_student_p:notnull
}

set user_id [ad_maybe_redirect_for_registration]

page_validation {
    if ![ad_user_group_authorized_admin $user_id $group_id] {
	error "You are not allowed to view evaluations"
    }
    if {[db_string check_class_against_student "select 1 from user_group_map where user_id=:student_id and group_id=:group_id" -default 0] == 0} {
	error "The student does not belong to this class"
    }
    
    if {[db_string check_class_against_task "select class_id from edu_student_tasks where task_id=:task_id" -default ""] != $group_id} {
	error "The evaluation does not belong to this class"
    }
    if { $show_student_p!="t" && $show_student_p!="f" } {
	error "Show student should be t or f"
    }
}

set ip [ns_conn peeraddr]

if {[db_string insert_or_update "select 1 from edu_student_evaluations where task_id=:task_id and student_id=:student_id 
and class_id=:group_id" -default 0]==0} {
    #insert
    db_dml insert_new_evaluation "insert into edu_student_evaluations 
    (evaluation_id,class_id,student_id,task_id,grader_id,grade,comments,show_student_p,evaluation_date,modified_ip_address,
    last_modifying_user)
    values
    (edu_evaluation_id_sequence.nextval,:group_id,:student_id,:task_id,:user_id,:grade,:comments,:show_student_p,sysdate,:ip,:user_id)"

} else {
    #update 
    db_dml update_old_evaluation "update edu_student_evaluations set grade=:grade,comments=:comments,show_student_p=:show_student_p,
    last_modified=sysdate,modified_ip_address=:ip,last_modifying_user=:user_id where student_id=:student_id and 
    task_id=task_id and class_id=:group_id"
}
ns_returnredirect index.tcl?group_id=$group_id
