ad_page_contract {
    This page shows one evaluation
    @author basel@arsdigta.com
} {
    group_id:integer
    evaluation_id:integer
}

set user_id [ad_maybe_redirect_for_registration]

page_validation {
    if ![ad_user_group_authorized_admin $user_id $group_id] {
	error "You are not allowed to view evaluations"
    }
    if {[db_string check_class_against_evaluation "select class_id from edu_student_evaluations where evaluation_id=:evaluation_id" -default ""] != $group_id} {
	error "The evaluation does not belong to this class"
    }
}

if [db_0or1row get_evaluation {
    select grade,
    task_id, 
    comments,
    student_id,
    show_student_p,
    first_names || ' ' || last_name as name
    from edu_student_evaluations,
    users
    where evaluation_id = :evaluation_id 
    and users.user_id = student_id
    and class_id = :group_id } ] {

	if {$show_student_p=="t"} { 
	    set a "Yes"
	} else {
	    set a "No"
	}

	set page "[ad_header "Evaluation for $name"]
	<h2>Evaluation for $name</h2>
	<hr>
	\[<a href=evaluate?[export_url_vars group_id student_id task_id]>Edit</a> | <a href=evaluation-delete?[export_url_vars group_id evaluation_id]>Delete</a>\]
	<table>
	<tr><th align=right>Name:<td>$name
	<tr><th align=right>Grade:<td>$grade
	<tr><th align=right>Comments:<td>$comments
	<tr><th align=right>Show Student: <td>$a
	</table>
	[ad_footer]"
} else {
    set page ""
}

doc_return 200 text/html $page






