ad_page_contract {
    This page displayes the evaluations of studens that have already been evaluated, and lists the ones that have not been evaluted yet (in order to evaluate them)
    @author basel@arsdigta.com
} {
    group_id:integer
    task_id:integer
}

set user_id [ad_maybe_redirect_for_registration]

page_validation {
    if ![ad_user_group_authorized_admin $user_id $group_id] {
	error "You are not allowed to view evaluations"
    }
    if {[db_string check_class_against_task "select class_id from edu_student_tasks where task_id=:task_id" -default ""] != $group_id} {
	error "The evaluation does not belong to this class"
    }
}

set evaluated_students [list]
set page "[ad_header "Student List"] 
<hr> <h3>Evaluated Students:</h3> <ul>"

#getting evaluated students
db_foreach get_evaluated_students {
    select evaluation_id,student_id,first_names||' '||last_name as name from edu_student_evaluations,users 
    where class_id=:group_id
    and user_id=student_id

} {
    if ![empty_string_p $student_id] {
	lappend evaluated_students $student_id 
    }
    append page "<li><a href=show-evaluation?[export_url_vars evaluation_id group_id]>$name</a>"
} if_no_rows {
    append page "There are no students evaluated"
}


#getting students which were not evaluated
append page "</ul><h3>Students Not Evaluated:</h3> <ul>"

set evaluated_students [join $evaluated_students ,]

if ![empty_string_p $evaluated_students] {
    set added_string "and user_group_map.user_id not in ($evaluated_students)"
} else {
    set added_string ""
}

set sql "select first_names||' '||last_name as name,users.user_id from user_group_map,users 
    where group_id=:group_id
    and users.user_id=user_group_map.user_id
    and role='student'
    $added_string"

db_foreach get_evaluated_students $sql {
    append page "<li><a href=evaluate?student_id=$user_id&[export_url_vars group_id task_id]>$name</a>"
} if_no_rows {
    append page "There are no students not evaluated"
}

append page "</ul>[ad_footer]"

doc_return 200 text/html $page

