# /file-storage/download.tcl

ad_page_contract {
    see if this person is authorized to read the file in question
    guess the MIME type from the original client filename
    have the Oracle driver grab the BLOB and write it to the connection

    @author aure@arsdigita.com
    @creation-date July 1999
    @cvs-id download.tcl,v 3.4.2.3 2000/07/27 21:22:13 jwong Exp

    modified by randyg@arsdigita.com, January 2000 to use the general
    permissions module
} {
    version_id:naturalnum,notnull
} -errors {
    version_id:notnull {No file was specified}
    version_id:naturalnum {The version_id specified doesn't look like an integer.}
}

set user_id [ad_maybe_redirect_for_registration]

set group_id [ad_get_group_id]
if {$group_id == 0} {
    set group_id ""
}

db_transaction {

    if {![portals_fs_check_read_p $user_id $version_id $group_id]} {
	ad_return_complaint 1 "You can't read this file"
	return 0
    }
    
    db_1row file_type "select file_type, client_file_name, file_extension
    from fs_versions 
    where version_id = :version_id"
} on_error {
    ad_return_complaint 1 "Error occurred while retrieving file version $version_id."
}

if [empty_string_p $client_file_name] {
    set client_file_name "filename"
}

#db_write_blob write_blob 

db_with_handle db {
    ns_ora blob_get_file $db "select version_content 
    from   fs_versions
    where  version_id=$version_id" ./temp/$client_file_name
}

ad_returnfile 200 $file_type ./temp/$client_file_name

file delete ./temp/$client_file_name

db_release_unused_handles
