# /file-storage/file-edit-2.tcl

ad_page_contract {
    updates information for a file and then recalculates order

    @author dh@arsdigita.com
    @creation-date July 1999

    modified by randyg@arsdigita.com January 2000 to use the general permissions system
} {
    {file_id}
    {file_title}
    {version_id}
    {return_url}
    {group_id ""}
    {parent_id}
    {object_type}
    {file_type ""}
} -validate {
    permission_to_edit_p -requires {file_id version_id} {
	set user_id [ad_maybe_redirect_for_registration]

	if { [empty_string_p $version_id]} {
	    ad_complain "The file you have requested does not exist."
	} elseif {![portals_fs_check_edit_p $user_id $version_id]} {
	    ad_complain "You are not allowed to edit this file\n"
	}
    }
    cannot_leave_type_unspecified {
	if { $object_type == "File" && (![info exists file_type] || [empty_string_p $file_type]) } {
	    ad_complain "You cannot leave the type unspecified.\n"
	}
    }
} -errors {
    file_id {You did not provide a file_id}
    file_title {You cannot leave the type unspecified.}
    version_id {You must provide a version for this file you wish to update.}
}


set public_p [db_string permission "select ad_general_permissions.user_has_row_permission_p ( :user_id, 'read', :version_id, 'FS_VERSIONS' ) from dual"]

db_transaction {

    if {[info exists parent_id] && ![empty_string_p $parent_id] && $parent_id != $file_id} {

	db_dml file_info_update {
	    update fs_files
	    set    file_title = :file_title,
	    parent_id = :parent_id
	    where  file_id = :file_id
	}

    } else {
	db_dml file_location_update {
	    update fs_files
	    set    file_title = :file_title
	    where  file_id = :file_id
	}
    }

    if { [info exists object_type] && $object_type == "File" && [info exists file_type] && ![empty_string_p $file_type] } {

	db_dml unused {
	    update fs_versions
	    set    file_type = :file_type
	    where  file_id = :file_id
	    and    superseded_by_id is null
	}
    }
    fs_order_files   
}

ad_returnredirect $return_url


