# /file-storage/url-delete-2.tcl

ad_page_contract {
    marks a file deleted (but does not actually remove anything 
    from the database); if a folder, marks the entire subtree deleted

    @author aure@arsdigita.com
    @creation-date July 1999
    @cvs-id url-delete-2.tcl,v 3.7.2.2 2000/07/21 22:05:17 mdetting Exp

    modified by randyg@arsdigita.com, January, 2000 to use the 
    general permissions module
} {
    {file_id}
    {ower_id ""}
    {group_id ""}
    return_url
    {source ""}
} -validate {
    permission_to_delete_p -requires {file_id} {
	set user_id [ad_maybe_redirect_for_registration]

	set version_id [db_string unused "
	select version_id from fs_versions_latest where file_id = :file_id"]

	if {![portals_fs_check_edit_p $user_id $version_id]} {
	    ad_complain "You are not allowed to delete this file\n"
	}
    }
} -errors {
    file_id {You did not provide a file_id}
}

# Determine if we are working in a Group, or our personal space
# this is based if no group_id was sent - then we are in
# our personal area - otherwise the group defined by group_id

db_dml url_delete "update fs_files set deleted_p = 't' where file_id = :file_id"

db_release_unused_handles

#switch $source {
#    "private_individual" {
#	set return_url "private-one-person?[export_url_vars owner_id]"
#    }
#    "private_group" { 
#	set return_url "private-one-group?[export_url_vars group_id]"
#    }
#    "public_individual" {
#	set return_url "public-one-person?[export_url_vars owner_id]"
#    }
#    "public_group" {
#	set return_url "public-one-group?[export_url_vars group_id]"
#    }
#    default {
#	set return_url ""
#    }
#}

ad_returnredirect $return_url
