# /file-storage/url-edit-2.tcl

ad_page_contract {
    updates information for an URL and then recalculates order

    @author Mark Dettinger <dettinger@arsdigita.com>
    @creation-date May 2000
    @cvs-id url-edit-2.tcl,v 1.1.2.1 2000/07/25 05:36:53 bquinn Exp
} {
    {file_id:naturalnum}
    {file_title}
    {return_url}
    {group_id:naturalnum ""}
    {parent_id:naturalnum}
    {object_type}
} -validate {
    permission_to_edit_p -requires {file_id} {
	set user_id [ad_maybe_redirect_for_registration]

	set version_id [db_string unused "
	select version_id from fs_versions_latest where file_id = :file_id" -default ""]

	if { [empty_string_p $version_id]} {
	    ad_complain "The file you have requested does not exist."
	} elseif {![portals_fs_check_edit_p $user_id $version_id]} {
	    ad_complain "You are not allowed to edit this file\n"
	}
    }
} -errors {
    file_id {You did not provide a file id.}
    file_title {You must give a title to the URL.}
}


set user_id [ad_maybe_redirect_for_registration]

db_transaction {
    db_dml url_update {  
	update fs_files
	set    file_title = :file_title,
               parent_id  = :parent_id
	where  file_id = :file_id
    }
    fs_order_files
}

ad_returnredirect $return_url
