ad_page_contract {
    @cvs-id user-add.tcl,v 3.5.2.3.2.3 2000/09/22 01:36:25 kevin Exp
} {
    group_id:integer,notnull
} -validate {
    accessible_p -requires {group_id} {
	if ![ad_user_group_authorized_admin_or_site_admin [ad_verify_and_get_user_id] $group_id] {
	    ad_complain "You are not allowed to access this page."
	}	
    }
} -errors {
    group_id {Class ID not specified.}
} 


set class_name [db_string class_name_select "select group_name from user_groups where group_id = :group_id"]

set admin_user_id [ad_verify_and_get_user_id]

if { $admin_user_id == 0 } {
    ad_returnredirect /register.tcl?return_url=[ad_urlencode "/admin/users/"]
    return
}



append whole_page "[ad_header "$class_name @ [ad_system_name]"]

<h2>Add a user</h2>

<hr>"



# generate unique key here so we can handle the "user hit s" case
set user_id [db_string admin_users_user_add_new_user_id_seq "
    select user_id_sequence.nextval from dual"]

append whole_page "
<form action=user-add-2 method=post>
[export_form_vars user_id group_id]
<table>
<tr><td>Email:</td><td><input type=text name=email size=20 maxlength=40></td></tr>
<tr><td>Full Name:</td><td><input type=text name=first_names size=25 maxlength=40> <input type=text name=last_name size=25 maxlength=40></td></tr>
<input type=hidden name=password value=\"\">
<input type=hidden name=password_confirmation value=\"\">
<tr><td colspan=2><blockquote><font size=-1><em>(A random password will be generated.)</em></font></blockquote></td></tr>
</table>
<P>
<center>
<input type=submit value=\"Add User\">
</center>

</form>
<p>

[ad_admin_footer]
"



doc_return  200 text/html $whole_page












