

ad_page_contract {
    main site-wide admin page of the news package

    @author lin@arsdigita.com
    @creation-date 2000-12-18
} {
    {orderby scope} 
    {newsgroups "enabled"}
}

set return_url "/admin/news/index?newsgroups=$newsgroups"
set newsgroup_admin_str " | <a href=/news/admin/>Administer Newsgroups</a>"

set dimensional {
   {newsgroups "Newsgroups" enabled {
       {enabled "enabled only" {where "enabled_p = 't'"}}
       {all "all" {}}
   }}
}

set table_def {
    {scope "News Group"
    {scope}
    {<td>$scope (<a href=newsgroup-ae?function=edit&newsgroup_id=$newsgroup_id>Edit</a>)</td>}}
    {approval_policy "Approval Policy"
    {approval_policy}
    {<td>[news_ap_display $approval_policy $newsgroup_id $return_url]
    </td>}}
    {enabled_p "Enabled?"
    {enabled_p}
    {<td>[news_decode $enabled_p]
    (<a href=/news/admin/toggle?proc=news_enabled_toggle&[export_url_vars newsgroup_id return_url]>
     toggle</a>)</td>}}
    {notify_admin_p "Notify Admin on New Items?"
    {notify_admin_p}
    {<td align=center>[news_decode $notify_admin_p]
    (<a href=/news/admin/toggle?proc=news_na_toggle&[export_url_vars newsgroup_id return_url]>
     toggle</a>)</td>}}
}

set sql " select nvl(ug.group_name, scope) as scope,
            approval_policy, newsgroup_id,
            nvl((select group_name
                 from user_groups
                 where group_id = admingroup_id), 'Group Admins') 
            as admin_group, '$return_url' as return_url,
            enabled_p, notify_admin_p
            from newsgroups ng, user_groups ug
            where ng.group_id = ug.group_id(+)
            [ad_dimensional_sql $dimensional where]
            [ad_order_by_from_sort_spec $orderby $table_def]"

set page_title "Administer News"
set context_bar [ad_admin_context_bar $page_title]

set page_content "
[ad_header $page_title]
<h2>$page_title</h2>
$context_bar


<blockquote>
<p align=right>
<a href=newsgroup-ae>Add a Newsgroup</a>
$newsgroup_admin_str
</p>

[ad_dimensional $dimensional]
[ad_table \
        -Tband_colors {{} {\"\#cccccc\"}} \
        -Ttable_extra_html { cellpadding=3 } \
        rep_index_table $sql $table_def ]

<!--
<p>
Note: <br>
* If a newsgroup doesn't have any administrators, then the approval policy
can only be <b>open</b>.<br>
To change the policy to \"wait\" or \"closed\", please add an admin group with 
at least one member first.
</p>
-->

<p>
<a href=newsgroup-ae>Add a Newsgroup</a>
</p>

</blockquote>

[ad_footer]
"
doc_return  200 text/html $page_content


