# /packages/news/admin-www/newsgroup-ae-2.tcl

ad_page_contract {
    To handle the form in newsgroup-ae.tcl page

    @author lin@arsdigita.com
    @creation-date 2000-12-19
} {
    {admin_short_name}
    {newsgroup_id:integer, notnull}
    {approval_policy:notnull}
    {enabled_p:notnull}
    {notify_admin_p:notnull}
    {newsgroup_name:notnull}
    {return_url ""}
}

set scope "group"

# trim the strings
set admin_short_name [string trim $admin_short_name]
set newsgroup_name [string trim $newsgroup_name]

set count [db_0or1row group_id "select group_id from user_groups
    where short_name = :newsgroup_name"]
if { $count == 0 } {
    ad_return_error "Wrong Newsgroup Name" "The group (with short_name
    $newsgroup_name) doesn't exist. Please back your browse and correct 
    it."
}

if [empty_string_p $admin_short_name] {
    set admingroup_id [db_null]
} else {
    set count [db_0or1row group_id "
    select group_id as admingroup_id
    from user_groups
    where short_name = :admin_short_name"]
    if { $count == 0 } {
	ad_return_error "Wrong Admin group Name" "The group (with short_name
    $admin_short_name) doesn't exist. Please back your browse and correct 
    it."
    }
}

# Now we have good group_id and admingroup_id

set edit_sql "update newsgroups
              set scope = :scope,
                  approval_policy = :approval_policy,
                  enabled_p = :enabled_p,
                  notify_admin_p = :notify_admin_p,
                  group_id = :group_id,
                  admingroup_id = :admingroup_id
              where newsgroup_id = :newsgroup_id"

set add_sql "insert into newsgroups
             (newsgroup_id, scope, group_id, approval_policy, 
              admingroup_id, enabled_p, notify_admin_p)
             values
             (:newsgroup_id, :scope, :group_id, :approval_policy, 
              :admingroup_id, :enabled_p, :notify_admin_p)"

db_transaction {
    set count [db_string count_select "select count(newsgroup_id)
    from newsgroups where newsgroup_id = :newsgroup_id"]

    if { $count == 0 } {
	# new record
	set sql $add_sql
    } else {
	set sql $edit_sql
    }

    db_dml update_newsgroups $sql
}

ad_returnredirect $return_url
