# /packages/news/admin-www/newsgroup-ae.tcl

ad_page_contract {
    Add/Edit a newsgroup

    @author lin@arsdigita.com
    @creation-date 2000-12-19
} {
    {function "add"}
    {newsgroup_id:optional}
    {return_url ""}
}

if { $function == "add" } {
    set page_title "Add a Newsgroup"
    set newsgroup_id [db_nextval newsgroup_id_sequence]
    set newsgroup_name ""
    set admin_short_name ""
    set o_checked ""
    set w_checked ""
    set c_checked "checked"
    set e_t_checked "checked"
    set e_f_checked ""
    set n_t_checked ""
    set n_f_checked "checked"
} else {
    set page_title "Edit a Newsgroup"
    set count [db_0or1row detail_select "
    select nvl(ug.short_name, scope) as newsgroup_name,
    nvl((select short_name from user_groups ug
     where ug.group_id = admingroup_id ), '') as admin_short_name,
    enabled_p, notify_admin_p,
    approval_policy
    from newsgroups ng, user_groups ug
    where ng.group_id = ug.group_id(+)
    and newsgroup_id = :newsgroup_id"]

    if { $enabled_p == "t" } {
	set e_t_checked "checked"
	set e_f_checked ""
    } else {
	set e_f_checked "checked"
	set e_t_checked ""
    }

    if { $notify_admin_p == "t" } {
	set n_t_checked "checked"
	set n_f_checked ""
    } else {
	set n_f_checked "checked"
	set n_t_checked ""
    }

    set o_checked ""
    set w_checked ""
    set c_checked ""

    switch $approval_policy {
	"open" {
	    set o_checked "checked"
	}
	"wait" {
	    set w_checked "checked"
	}
	"closed" {
	    set c_checked "checked"
	}
    }
}

set context_bar [ad_admin_context_bar [list "/admin/news" "Administer News"] $page_title]

set page_content "
[ad_header $page_title]
<h2>$page_title</h2>
$context_bar


<blockquote>
<form action=newsgroup-ae-2 method=post>
[export_form_vars newsgroup_id]
<table>
<tr>
<th align=right>Group Short Name:</th>
<td><input type=text size=30 name=newsgroup_name value=$newsgroup_name></td>
</tr>
<tr>
<th align=right>Approval Policy:</th>
<td><input type=\"radio\" name=approval_policy value=\"open\" $o_checked> Open 
    <input type=\"radio\" name=approval_policy value=\"wait\" $w_checked> Wait
    <input type=\"radio\" name=approval_policy value=\"closed\" $c_checked> Closed
</td>
</tr>
<tr>
<th align=right>Enabled ?:</th>
<td><input type=\"radio\" name=enabled_p value=\"t\" $e_t_checked> Yes 
    <input type=\"radio\" name=enabled_p value=\"f\" $e_f_checked> No
</td>
</tr>
<tr>
<th align=right>Notify Admin via E-mail<br>on New Items ?:</th>
<td><input type=\"radio\" name=notify_admin_p value=\"t\" $n_t_checked> Yes 
    <input type=\"radio\" name=notify_admin_p value=\"f\" $n_f_checked> No
</td>
</tr>
<tr>
<th align=right>Admin Group Short Name:</th>
<td><input type=text size=30 name=admin_short_name value=$admin_short_name></td>
</tr>
</table>
<center>
<input type=submit value=$function>
</center>
</form>
</blockquote>

[ad_footer]
"
doc_return  200 text/html $page_content
