# /packages/news/www/admin/admingroup-ae-2.tcl

ad_page_contract {
    To handle the form in admingroup-ae.tcl page

    @author lin@arsdigita.com
    @creation-date 2000-12-19
} {
    {admin_short_name}
    {newsgroup_id}
    {newsgroup_name}
    {return_url ""}
}

# trim the string
set admin_short_name [string trim $admin_short_name]
set approval_policy [db_string ap_select "select approval_policy 
    from newsgroups where newsgroup_id = :newsgroup_id"]

if { ![empty_string_p $admin_short_name] } {
    if {0 == [db_0or1row id_select "
    select group_id as admingroup_id, group_name as admin_group_name
    from user_groups
    where short_name = :admin_short_name"] } {
	ad_return_error "Error" "The group short name is not valid. Please
	back you browser and correct it."
    }
    
    set sql "select first_names, last_name, email, u.user_id
         from users u, user_group_map ugm
         where u.user_id = ugm.user_id
         and ugm.group_id = :admingroup_id"

    set admin_str "This following people are members of group 
    <b>$admin_group_name</b> ($admin_short_name), and will be sololy 
    responsible for the news
    admin work of newsgroup <b>$newsgroup_name</b>:<ul>"
} else {
    set sql "select first_names, last_name, email, u.user_id
         from users u, user_group_map ugm, newsgroups ng
         where u.user_id = ugm.user_id
         and ng.group_id = ugm.group_id
         and ng.newsgroup_id = :newsgroup_id
         and lower(ugm.role) = 'administrator' "
 
    set admin_str "You have chosen to have NO admin group. Then the
    following administrators (role)
    of the newsgroup and will do the news
    admin work for <b>$newsgroup_name</b>:<ul>"
    
    set admingroup_id [db_null]
}

set count 0    
db_foreach admin_members $sql {
    append admin_str "<li>
    <a href=/shared/community-member?user_id=$user_id>$first_names 
    $last_name</a> (<a href=mailto:$email>$email</a>)"
    incr count
}

if { $count == 0 } {
    set admin_str "You choose not to have ANY admins for 
    <b>$newsgroup_name</b>. The approval policy will be changed to 
    <b>open</b> if it's wait or closed."
    set approval_policy "open"
} else {
    append admin_str "</ul>"
}

set page_title "Confirm"
set context_bar [ad_admin_context_bar [list "/admin/news" "AdministerNews"] $page_title]

set page_content "
[ad_header $page_title]
<h2>$page_title</h2>
$context_bar

<blockquote>
<h3>$newsgroup_name</h3>

<p>
$admin_str
</p>

<form action=admingroup-ae-3 method=post>
[export_form_vars newsgroup_id return_url admingroup_id approval_policy]

<center>
<input type=submit value=Confirm>
</center>
</form>
</blockquote>

[ad_footer]
"
doc_return  200 text/html $page_content
