# /packages/news/www/admin/post-edit.tcl
#

ad_page_contract {
    edit form for a news item

    @author jkoontz@arsdigita.com
    @author lin@arsdigita.com
    @creation-date March 8, 2000
    @cvs-id post-edit.tcl,v 3.3.2.9 2000/09/22 01:38:59 kevin Exp
} {
    news_item_id:integer,notnull
    {return_url "/news/admin"}
}

set user_id [ad_get_user_id]

db_0or1row news_item_get "
select title, body, html_p, release_date, expiration_date, html_p,
       newsgroup_id, subtitle
from news_items 
where news_items.news_item_id = :news_item_id"


# only admin can view this page
if { ![news_is_admin_p $user_id $newsgroup_id] } {
    ad_return_error "Error" "Sorry, but you are not authorized."
    return
}

db_release_unused_handles

if { ![info exists title] || [empty_string_p $title] } {
    ad_return_error "Can't find news item" "Can't find news item $news_item_id"
    return
}

set sql "select distinct(nvl(group_name, scope)) as scope, newsgroup_id
         from newsgroups ng, user_groups ug
         where ng.group_id = ug.group_id(+)
           and ng.newsgroup_id in (
          [join [news_newsgroup_id_list_admin $user_id] ","])
        "
set scope_widget [ad_db_select_widget -default $newsgroup_id scope_select $sql newsgroup_id]


set page_content "
[ad_header "Edit a News Item"]

<h2>Edit a News Item</h2>
[ad_context_bar_ws [list "/news" "News"] [list "/news/admin" "Administer News"] "Edit an Item"]
<hr>


<blockquote>

<form method=post action=\"post-edit-2\">
[export_form_vars return_url news_item_id]
<table>
<tr><th align=right>Scope</th><td>$scope_widget</td></tr>
<tr><th align=right>Title</th> 
<td><input type=text size=40 name=title value=\"[ns_quotehtml $title]\"></td>
</tr>
<tr><th align=right>Subtitle</th> 
<td><input type=text size=40 name=subtitle value=\"[ns_quotehtml $subtitle]\"></td>
</tr>
<tr><th align=right>Full Story <td><textarea cols=60 rows=6 wrap=soft name=body>[ns_quotehtml $body]</textarea></td></tr>
<tr><th align=right>Text above is</th>
<td><select name=html_p>
[ad_generic_optionlist {"Plain Text" "HTML"} {"f" "t"} $html_p]
</select></td>
</tr>
<tr><th align=right>Release Date</th>
<td>[ad_dateentrywidget releasedate $release_date]</td></tr>
<tr><th align=right>Expire Date</th>
<td>[ad_dateentrywidget expirationdate $expiration_date]</td></tr>
</table>
<br>
<center>
<input type=\"submit\" value=\"Edit\">
</center>
</form>

</blockquote>

[ad_footer]
"



doc_return  200 text/html $page_content
