# /packages/news/www/admin/toggle-approval-p.tcl
#

ad_page_contract {
    toggle the approval status for the new item

    @author jkoontz@arsdigita.com
    @author lin@arsdigita.com
    @creation-date March 8, 2000
    @cvs-id toggle-approved-p.tcl,v 3.5.2.8 2000/08/16 20:50:33 luke Exp
} {
    news_item_id:integer,notnull
    {return_url "/news/admin"}
}


set user_id [ad_get_user_id]

# only admin can use this page
set newsgroup_id [db_string ng_id "
select newsgroup_id
from news_items
where news_item_id = :news_item_id"]

if { ![news_is_admin_p $user_id $newsgroup_id] } {
    ad_return_error "Error" "Sorry, but you are not authorized."
    return
}

db_transaction {
    db_dml news_item_update "update news_items set approval_state = decode(approval_state, 'approved', 'disapproved', 'approved'), approval_user = :user_id, approval_date = sysdate, approval_ip_address = '[DoubleApos [ns_conn peeraddr]]' where news_item_id = :news_item_id"
}

ad_returnredirect $return_url

