# /packages/news/www/post-new.tcl
#

ad_page_contract {
    posts new news item

    @author jkoontz@arsdigita.com
    @author lin@arsdigita.com
    @creation-date March 8, 2000
} {
    {newsgroup_id 0}
    {return_url ""}
    {group_id "0"}
    {scope "public"}
}

set user_id [ad_get_user_id]

if { $newsgroup_id == 0} {
    if { $group_id } {
	set newsgroup_id [db_string newsgroup_id_from_group {select newsgroup_id from newsgroups where group_id =:group_id}]
    } else {
    # default to public 
	set newsgroup_id [db_string newsgroup_select "select
	newsgroup_id from newsgroups
	where scope = 'public'"]
    }
}

if {[info exists group_id] && $group_id > 0} {
   set scope_widget "[db_string "group name" {select group_name from user_groups where group_id = :group_id}] [export_form_vars newsgroup_id]"

} else {
   set sql "select distinct(nvl(group_name, scope)) as scope, newsgroup_id
    from newsgroups ng, user_groups ug
    where ng.group_id = ug.group_id(+)
    and ng.newsgroup_id in (
    [join [news_newsgroup_id_list_post $user_id] ","])
    "

    set scope_widget [ad_db_select_widget -default $newsgroup_id scope_select $sql newsgroup_id]
 
}

set page_content "
[ad_header "Post a News Item"]

<h2>Post a News Item</h2>
[ad_context_bar_ws [list "/news" "News"] "Post an Item"]

<blockquote>

<form method=post action=\"post-new-2\">
[export_form_vars return_url scope group_id]
<table>
<tr><th align=right>Scope</th><td>$scope_widget</td></tr>
<tr><th align=right>Title</th> <td><input type=text size=40 name=title></td></tr>
<tr><th align=right>Subtitle</th> <td><input type=text size=40 name=subtitle></td></tr>
<tr><th align=right>Full Story <td><textarea cols=60 rows=6 wrap=soft name=body></textarea></td></tr>
<tr><th align=right>Text above is</th>
<td><select name=html_p><option value=f>Plain Text<option value=t>HTML</select></td></tr>
<tr><th align=right>Release Date</th><td>[ad_dateentrywidget releasedate [db_string news_sysdate_get "select sysdate from dual"]]</td></tr>
<tr><th align=right>Expire Date</th><td>[ad_dateentrywidget expirationdate [db_string news_expire_get "select sysdate + [ad_parameter DefaultStoryLife news 30] from dual"]]</td></tr>
</table>
<br>
<center>
<input type=\"submit\" value=\"Submit\">
</center>
</form>

</blockquote>

[ad_footer]
"
 


doc_return  200 text/html $page_content

