--
-- portals-calendar.sql
--
-- Originally by Eric J. Cholankeril <ejc@arsdigita.com>
-- Packageified by Ian Baker <ian@sonic.net>
--
-- initializes portals enabled by calendar system
-- make sure portals package has been installed first!
--
-- $Id: portals-calendar.sql,v 1.2 2001/01/26 00:45:20 tarik Exp $

-- Add the calendar data feeds.  All of these call the public calendar API,
-- so there's no corresponding Tcl library for this package.

execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar Upcoming Week Items', v_content_source_type => 'tcl', v_content_source => 'calendar_display_upcoming 7 1 30');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar New Items', v_content_source_type => 'tcl', v_content_source => 'calendar_display_new 7');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar List View', v_content_source_type => 'tcl', v_content_source => 'calendar_display_list_view');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar Day View', v_content_source_type => 'tcl', v_content_source => 'portals_calendar_display_day_views');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar Week View', v_content_source_type => 'tcl', v_content_source => 'portals_calendar_display_week_view');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar Month View', v_content_source_type => 'tcl', v_content_source => 'calendar_display_month_view');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar Year View', v_content_source_type => 'tcl', v_content_source => 'calendar_display_year_view');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Full Calendar', v_content_source_type => 'tcl', v_content_source => 'calendar_display_full');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Mini Calendar', v_content_source_type => 'tcl', v_content_source => 'mini_calendar_widget [ad_conn url]');
execute portal_install.add_predefined_portlet(v_portlet_name => 'Calendar Group Schedule', v_content_source_type => 'tcl', v_content_source => 'cal_group_schedule');

commit;


