-- by tarik@alatovic.com (November 2000)
--
-- $Id: 10-portal-domain-api-spec.sql,v 1.2 2001/01/30 20:52:06 tarik Exp $

-- portal domain package contains PL/SQL API for manipulation of portal domains
create or replace package portal_domain
as

-- creates new portal domain
procedure create_new (
	v_domain_name		in varchar,
	v_url_root		in varchar,
	v_type			in varchar default 'user',
	v_group_type		in portal_domains.group_type%TYPE default NULL
);

procedure set_parent_domain (
	v_child_domain_id	in integer,
	v_parent_domain_id	in integer
);

-- sets property identified by v_property_name for domain identified with v_domain_id
-- properties are: (portlet_header_color, td_header_html, control_panel_portlet_id)
procedure set_property (
	v_domain_id 		in integer, 
	v_property_name 	in varchar, 
	v_property_value 	in varchar
);

-- delete portal domain identified by v_domain_id
procedure remove (
	v_domain_id		in integer
);

-- if domain identified by domain_name exists, this function returns domain_id of that domain.
-- otherwise, it returns 0.
function id_from_domain_name (
	v_domain_name		in varchar
)
return integer;

procedure revert_domain_portlets (
	v_domain_id		in integer
);

end portal_domain;
/
show errors
