-- by tarik@alatovic.com (November 2000)
--
-- $Id: 12-portal-page-api-spec.sql,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $

-- portal page  contains PL/SQL API for manipulation of portal pages
create or replace package portal_page
as

-- create new portal page
function create_new (
	v_portal_id		in integer,
	v_page_name		in varchar default null, 
	v_page_number		in integer
) 
return integer;

-- if page identified by portal_id and page_number is found
-- corresponding page_id is returned. otherwise, 0 is returned. 
function id_from_page_number (
	v_portal_id		in integer default null,
	v_page_number		in integer
)
return integer;

-- if page identified by portal_id and page_number exists
-- returns 1. otherwise, 0 is returned. 
function exists_p (
	v_portal_id		in integer default null,
	v_page_number		in integer
)
return integer;

-- makes page numbers sequential for given portal pages
procedure make_page_numbers_sequential (
	v_portal_id		in integer
);

-- delete portal page identified by v_page_id
procedure remove (
	v_page_id		in integer
);

-- creates new portal page for portal identified by page_id 
-- by copying all portal page - portlet mappings from page identified by source_page_id
-- returns page_id of newly created portal page
function copy (
	v_portal_id		in integer,
	v_source_page_id	in integer
)
return integer;

end portal_page;
/
show errors


