-- by tarik@alatovic.com (November 2000)
--
-- $Id: 13-portal-portlet-api-spec.sql,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $

-- portal portlet feed package contains PL/SQL API for manipulation of portal portlets
create or replace package portal_portlet
as

-- creates new portlet and returns portlet_id of newly created portlet
function create_new (
	v_content_source_type	in varchar,
	v_content_source	in varchar,
	v_admin_link_type	in varchar default 'html',
	v_admin_link_source	in varchar default null
)
return integer;

-- creates predefined portlet and returns corresponding portlet_id
function create_predefined (
	v_portlet_name		in varchar,
	v_content_source_type	in varchar,
	v_content_source	in varchar,
	v_admin_link_type	in varchar default 'html',
	v_admin_link_source	in varchar default null
)
return integer;

-- creates new domain portlet and returns corresponding portlet_id
function create_domain_portlet (
	v_portlet_name		in varchar,
	v_domain_id		in integer,
	v_content_source_type	in varchar,
	v_content_source	in varchar,
	v_admin_link_type	in varchar default 'html',
	v_admin_link_source	in varchar default null,
	v_control_panel_p	in char default 'f',
        v_required_p		in char default 'f'
)
return integer;

-- creates domain portlet from predefined portlet specified by v_predefined_portlet_id
function create_from_predefined_portlet (
	v_predefined_portlet_id	in integer,
	v_portlet_name		in varchar,
	v_domain_id		in integer,
	v_control_panel_p	in char default 'f',
        v_required_p		in char default 'f'
)
return integer;

-- updates domain portlet properties
procedure update_domain_portlet (
	v_portlet_id		in integer,	
	v_predefined_portlet_id in integer,
	v_portlet_name		in varchar,
	v_content_source_type	in varchar,
	v_content_source	in varchar,
	v_admin_link_type	in varchar,
	v_admin_link_source	in varchar
);

-- deletes portlet
procedure delete (
	v_portlet_id		in integer
);

-- copies domain portlet
function copy_domain_portlet (
	v_source_portlet_id	in integer
)
return integer;

-- returns 1 if portlet identified by v_portlet_id is a control panel for domain identified by v_domain_id.
-- otherwise it returns 0
function control_panel_p (
	v_portlet_id	in integer,
	v_domain_id	in integer
)
return integer;

-- places the portlet identified by portlet id onto the page 
-- identified by page_id
procedure move (
	v_portlet_id		in integer,
	v_page_id		in integer,
	v_sort_key		in integer,
	v_page_side		in char
);

-- deletes data feed specified by v_portlet_id 
procedure remove (
	v_portlet_id		in integer
);

end portal_portlet;
/
show errors
