-- by tarik@alatovic.com (November 2000)
--
-- $Id: 20-portal-domain-api-body.sql,v 1.2 2001/01/30 20:52:07 tarik Exp $

create or replace package body portal_domain as

procedure create_new (
	v_domain_name		in varchar,
	v_url_root		in varchar,
	v_type			in varchar default 'user',
	v_group_type		in portal_domains.group_type%TYPE default NULL
)
is
begin
	insert into portal_domains
	(domain_id, domain_name, type, group_type, url_root)
	values
	(portal_id_sequence.nextval, v_domain_name, v_type, v_group_type, v_url_root);
end create_new;

procedure set_parent_domain (
	v_child_domain_id	in integer,
	v_parent_domain_id	in integer
)
is 
begin
	insert into portal_domain_hierarchy
	(child_domain_id, parent_domain_id)
	values
	(v_child_domain_id, v_parent_domain_id);
end set_parent_domain;

procedure set_property (
	v_domain_id 		in integer, 
	v_property_name 	in varchar, 
	v_property_value 	in varchar
)
is
	v_property_set_p	integer;
begin
	if v_property_name='control_panel_portlet_id' then
		if v_property_value=0 then 
			delete from portal_domain_c_panel_map where domain_id=v_domain_id;
			return;
		end if;

		select count(*) into v_property_set_p 
		from portal_domain_c_panel_map pdcpm
		where pdcpm.domain_id=v_domain_id;

		if v_property_set_p=0 then
			insert into portal_domain_c_panel_map
			(portlet_id, domain_id)
			values
			(v_property_value, v_domain_id);
		else
			update portal_domain_c_panel_map
			set portlet_id=v_property_value
			where domain_id=v_domain_id;
		end if;
		
		return;
	end if;

	select count(*) into v_property_set_p 
	from portal_domain_properties pp
	where pp.domain_id=v_domain_id;

	if v_property_set_p=0 then
		execute immediate 
		'insert into portal_domain_properties
		(domain_id, ' || v_property_name || ')
		values
		(:v_domain_id, ''' || v_property_value || ''')'
		using v_domain_id;
	else 
		execute immediate
		'update portal_domain_properties set ' || v_property_name || ' = ''' || v_property_value || '''
		where domain_id=:v_domain_id'
		using v_domain_id;
	end if;
end set_property;

procedure remove (
	v_domain_id		in integer
)
is
begin
	delete from portal_domains 
	where domain_id=v_domain_id;
end remove;

function id_from_domain_name (
	v_domain_name		in varchar
)
return integer
is
	v_domain_id	integer;	

	cursor c1 is 
	select domain_id from 
	portal_domains
	where domain_name=v_domain_name;
begin
	open c1;
	fetch c1 into v_domain_id;

	if c1%NOTFOUND then
		close c1;
		return 0;
        else	
		close c1;
		return v_domain_id;
	end if;
end id_from_domain_name;

procedure revert_domain_portlets (
	v_domain_id		in integer
)
is
	v_portal_id		integer;
	cursor c1 is 
	select portal_id
	from portals
	where domain_id=v_domain_id
	and default_p='f';
begin
	open c1;
	loop
		fetch c1 into v_portal_id;
		exit when c1%NOTFOUND;
		portal.set_to_default_configuration(v_portal_id => v_portal_id);
	end loop;
	close c1;
	return;
end revert_domain_portlets;

end portal_domain;
/
show errors
