-- Note:  The following will be deprecated with ACS 4:
-- For backward compatibility with ACS 3.4.5 (3.4.6?) and down,
-- portal_pages.group_id and the portal_table_page_map table have to exist
-- for the user groups package (and a few other things) to function
-- properly.
-- Add them back here, but only if there was a previous installation.
-- Ian Baker <ibaker@arsdigita.com>

declare
  v_old_data_model_p     char(1);
begin
  -- was there a leftover old data model?  If so, there will be a table
  -- called portal_pages_old.
  select 't'
  into v_old_data_model_p
  from user_tables
  where table_name = 'PORTAL_PAGES_OLD';

  -- The control flow here isn't immediately obvious, but if the above query
  -- fails to return data (which it will in the case that there is no
  -- portal_pages_old table), control is transferred to the 'exception'
  -- section, bypassing the following code.  The if statement isn't really
  -- necessary, but it makes the intention clearer.
  if v_old_data_model_p = 't' then
    execute immediate 'alter table portal_pages add group_id number';
    execute immediate 'create table portal_table_page_map (
      page_id                 integer,
      table_id                integer,
      sort_key                integer,
      page_side               char(1),
      this_table_exists       char(1),
      only_for_backward       char(1),
      compatibility_with      char(1),
      acs_3_4_x               char(1)
    )';
  end if;
exception
  when no_data_found then null;
end;
/


