--
-- 04-portals-default.sql
--
-- Ian Baker <ibaker@arsdigita.com> Thu Sep 28 16:25:11 PDT 2000
-- Tarik Alatovic <tarik@alatovic.com>
-- Setup some data feeds, and populate the users portal with a
-- few example portlets.
--
-- $Id: 50-load-default.sql,v 1.4 2001/02/16 02:45:20 caroline Exp $

---------------------------------------------------------
--              CREATE PREDEFINED PORTLETS             --
---------------------------------------------------------

execute portal_install.add_predefined_portlet(v_portlet_name => 'Announcements', v_content_source_type => 'tcl', v_content_source => 'portals_news_portlet', v_admin_link_type => 'tcl', v_admin_link_source => 'portals_news_administration_link'); 

execute portal_install.add_predefined_portlet(v_portlet_name => 'Address Book', v_content_source_type => 'tcl', v_content_source => 'portals_address_book_portlet', v_admin_link_type => 'html', v_admin_link_source => 'address_book_add_link');

execute portal_install.add_predefined_portlet(v_portlet_name => 'Bookmarks', v_content_source_type => 'tcl', v_content_source => 'portals_bookmarks_portlet', v_admin_link_type => 'html', v_admin_link_source => 'bookmarks_add_link');

execute portal_install.add_predefined_portlet(v_portlet_name => 'Chat', v_content_source_type => 'tcl', v_content_source => 'portals_chat_portlet', v_admin_link_type => 'html', v_admin_link_source => 'chat_link');

execute portal_install.add_predefined_portlet(v_portlet_name => 'Wimpy Point', v_content_source_type => 'tcl', v_content_source => 'portals_wp_portlet', v_admin_link_type => 'html', v_admin_link_source => 'wimpy_point_add_link');

execute portal_install.add_predefined_portlet(v_portlet_name => 'FAQs', v_content_source_type => 'tcl', v_content_source => 'portlets_faq_portlet', v_admin_link_type => 'tcl', v_admin_link_source => 'portals_faq_administration_link');

---------------------------------------------------------
--                  CREATE USER DOMAIN                 --
---------------------------------------------------------

execute portal_domain.create_new(v_domain_name => 'users', v_url_root => 'home', v_type => 'user');

---------------------------------------------------------
--              CREATE USER DOMAIN PORTLETS            --
---------------------------------------------------------

execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'FAQs');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Announcements');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Wimpy Point');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Chat');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Address Book');
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'users', v_predefined_portlet_name => 'Bookmarks');

execute portal_install.add_html_domain_portlet(v_domain_name => 'users', v_portlet_name => 'My Tools', v_content_source => '<script language=javascript>' || CHR(10) || CHR(10) || '<!--//' || CHR(10) || 'function spawn_aim() {' || CHR(10) || 'remote = window.open("http://toc.oscar.aol.com/aimexpress/index.html", "TICTOC",''width=270,height=570,directories=0,location=0,menubar=0,resizable=1,scrollbars=0,status=0,titlebar=0,toolbar=0'');' || CHR(10) || 'if (remote.opener == null) remote.opener = window;' || CHR(10) || 'remote.opener.name = "TICINFO";' || CHR(10) || '}' || CHR(10) || '//-->' || CHR(10) || CHR(10) || '</script>' || CHR(10) || CHR(10) || '<ul>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/address-book">Address Book</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/directory">User Directory</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/wp">WimpyPoint</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/file-storage">File Storage</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/homepage">Homepage</a><br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="/bookmarks">Bookmarks</a> <br>' || CHR(10) || '<li><a STYLE="text-decoration:none" href="javascript:spawn_aim();">AOL Instant Messenger Express</a>' || CHR(10) || '</ul>');

execute portal_install.add_html_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Search The Web', v_content_source => '<table width="100%">' || CHR(10) || '    <tr>' || CHR(10) || '    <td width="25%" align=center valign=top> <font face=arial,helvetica size=-1>' || CHR(10) || '    <a href="http://www.aol.com/netfind/">AOL Netfind</a><br>' || CHR(10) || '    <a href="http://www.altavista.com/">AltaVista</a><br>' || CHR(10) || '    <a href="http://www.dogpile.com/">Dogpile</a><br>' || CHR(10) || '    <a href="http://www.excite.com/">Excite</a><br>' || CHR(10) || '    </td>' || CHR(10) || '    <td width="25%" align=center valign=top> <font face=arial,helvetica size=-1>' || CHR(10) || '    <a href="http://www.google.com/">Google</a><br>' || CHR(10) || '    <a href="http://www.goto.com/">GoTo</a><br>' || CHR(10) || '    <a href="http://www.hotbot.com/">HotBot</a><br>' || CHR(10) || '    <a href="http://www.infoseek.com/">Infoseek</a><br>' || CHR(10) || '    </td>' || CHR(10) || '    <td width="25%" align=center valign=top> <font face=arial,helvetica size=-1>' || CHR(10) || '    <a href="http://www.iaf.net/">IAF e-mail</a><br>' || CHR(10) || '    <a href="http://www.lycos.com/">Lycos</a><br>' || CHR(10) || '    <a href="http://magellan.excite.com/">Magellan</a><br>' || CHR(10) || '    <a href="http://www.search.com/">Search.com</a><br>' || CHR(10) || '    </td>' || CHR(10) || '    <td width="25%" align=center valign=top> <font face=arial,helvetica size=-1>' || CHR(10) || '    <a href="http://www.snap.com/">Snap</a><br>' || CHR(10) || '    <a href="http://www2.switchboard.com/">Switchboard</a><br>' || CHR(10) || '    <a href="http://www.webcrawler.com/">WebCrawler</a><br>' || CHR(10) || '    <a href="http://www.yahoo.com/">Yahoo!</a><br>' || CHR(10) || '    </td>' || CHR(10) || '</table>');

---------------------------------------------------------
--     CREATE DEFAULT PORTAL PAGES FOR USER DOMAIN     --
---------------------------------------------------------

execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'Home', v_page_number => 1);
execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'Address Book', v_page_number => 2);
execute portal_install.set_default_page(v_domain_name => 'users', v_page_name => 'Bookmarks', v_page_number => 3);


---------------------------------------------------------
--   PLACE PORTLETS ON USER'S DOMAIN DEFAULT PORTAL    --
---------------------------------------------------------

-- PAGE 1 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'My Tools', v_page_number => 1, v_page_side => 'l', v_sort_key => 1);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Announcements', v_page_number => 1, v_page_side => 'l', v_sort_key => 2);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Wimpy Point', v_page_number => 1, v_page_side => 'l', v_sort_key => 3);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Search The Web', v_page_number => 1, v_page_side => 'r', v_sort_key => 1);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'FAQs', v_page_number => 1, v_page_side => 'r', v_sort_key => 2);
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Chat', v_page_number => 1, v_page_side => 'r', v_sort_key => 3);

-- PAGE 2 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Address Book', v_page_number => 2, v_page_side => 'l', v_sort_key => 1);

-- PAGE 3 --
execute portal_install.place_domain_portlet(v_domain_name => 'users', v_portlet_name => 'Bookmarks', v_page_number => 3, v_page_side => 'l', v_sort_key => 1);

---------------------------------------------------------
--                   COMMIT CHANGES                    --
---------------------------------------------------------

commit;





