# packages/portals/address-book-procs.tcl
#
# Procs that provide an interface between portals and the address-book module.
#
# Ian Baker <ibaker@arsdigita.com> Thu Oct  5 11:17:49 PDT 2000
# Tarik Alatovic <tarik@alatovic.com>
#
# $Id: address-book-procs.tcl,v 1.1.1.1 2001/01/24 18:03:33 tarik Exp $

ad_library {
    Address Book procs used by the portal system.

    @creation-date July 2000
    @author caroline@arsdigita.com
    @cvs-id $Id: address-book-procs.tcl,v 1.1.1.1 2001/01/24 18:03:33 tarik Exp $
}

ad_proc -public portals_address_book_portlet {} {
    @creation-date July 2000
    @author caroline@arsdigita.com
    @cvs-id $Id: address-book-procs.tcl,v 1.1.1.1 2001/01/24 18:03:33 tarik Exp $
} {
    set user_id [ad_verify_and_get_user_id]
    set content ""                                                           
    
    set n_records [db_string address_n_recordsf "select count(*) from address_book where user_id=:user_id"]
    set return_url [ad_conn url]

    # ad_conn doesn't support this parameter. -ib
    set query [ns_conn query]
    if ![empty_string_p $query] {
	append return_url ?$query
    }

    if {[portals_info type]=="group"} {
	return ""
    } else {
	
	if { $n_records == 0 } {
	    append content "
	    <center>
	    You currently have no addresses in your address book.<p>
	    <a href=\"/address-book/record-add?[export_url_vars return_url]\">Add</a>
	    </center>"
	} else {
            set sql "select last_name || ', ' || first_names as name, rowid from address_book where user_id=:user_id order by last_name"
            append address_contacts [ad_db_optionlist -bind [ad_tcl_vars_to_ns_set user_id] address_contacts $sql]

            append content "<table>
            <tr><td>
            <center>
            <FORM method=post action=\"/portals/address-book-redirect\">
            <select name=rowid size=10>
            $address_contacts
            </SELECT><BR>
            [export_form_vars return_url]
            <INPUT TYPE=submit NAME=\"View\" VALUE=View>
            <INPUT TYPE=submit NAME=\"Edit\" VALUE=Edit>
            <INPUT TYPE=submit NAME=\"Delete\" VALUE=Delete>
            <INPUT TYPE=submit NAME=\"Add\" VALUE=Add>
            </FORM>
            </center>
            </td>
            
            <td>
            <table>
            <tr>
            <form method=post action=/address-book/record-search>
            [export_form_vars return_url]
            [philg_hidden_input "search_by" "last_name"]
            <td align=right>
            Last Name: 
            </td>
            <td><input type=text name=search_value size=20></td>
            <td><input type=submit value=\"Search\"></td>
            </form>
            <tr>
            
            <form method=post action=/address-book/record-search>
            [philg_hidden_input "search_by" "first_names"]
            [export_form_vars return_url]
            <td align=right>
            First Name:
            </td>
            <td><input type=text name=search_value size=20></td>
            <td><input type=submit value=\"Search\"></td>
            </form>
            </tr>
            
            <tr>
            <form method=post action=/address-book/record-search>
            [philg_hidden_input "search_by" "city"]
            [export_form_vars return_url]
            <td align=right>
            City:
            </td><td><input type=text name=search_value size=20></td>
            <td><input type=submit value=\"Search\"></td>
            </form>
            </tr>
            <tr> <a href=/address-book/birthdays?[export_url_vars return_url]>View all birthdays</a>
            </table>
            </table>
            "
	}
	return $content
    }
}

