ad_page_contract {
    adding a new portal domain

    @author tarik@arsdigita.com
    @creation-date Sat Aug  5 02:44:14 2000
    @cvs-id $Id: add-3.tcl,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $

} {
    type:notnull
    domain_name:notnull
    url_root:notnull
    top_level_domain_p:notnull,boolean
    {group_type [db_null]}
} -validate {
    type_checks {
	switch $type {
	    user {
	    }
	    group {
		if [empty_string_p $group_type] {
		    ad_complain "Group type must be specified for defining group portal domain"
		}
	    }
	    default {
		ad_complain "$type is invalid portal type"
	    }
	}
    }
    url_root_validation {
	### make sure the url_root doesn't conflict with something in www/
	set www_path "[ad_parameter PathToACS]/www"
	set glob_pattern "$www_path/$url_root/"
	if [llength [glob -nocomplain $glob_pattern]] {
	    ad_complain "The directory $www_path/$url_root already exists.  Either you need to move it, or use a different url root."
	}
	set glob_pattern "$www_path/$url_root.*"
	if [llength [glob -nocomplain $glob_pattern]] {
	    error "A file in $www_path conflicts with the url root you provided.  Either you need to move the file, or use a different url root."
	}
    }
    domain_name_unique {
	if [db_0or1row domain_name_unique "select 1 from portal_domains where domain_name=:domain_name"] {
	    ad_complain "Domain name \"$domain_name\" is already taken. Please go back and choose another domain name."
	}
    }
}

db_dml insert_portal_domain "
insert into portal_domains
(domain_id, domain_name, type, group_type, url_root, top_level_domain_p)
values
(:new_domain_id, :domain_name, :type, :group_type, :url_root, decode(:top_level_domain_p, 1, 't', 'f'))
"

if $top_level_domain_p {
    ad_register_proc * /$url_root portals_process_request
}

ad_returnredirect /admin/portals/


