ad_page_contract {
    adding a new portal domain

    @author tarik@arsdigita.com
    @creation-date Sat Aug  5 02:44:14 2000
    @cvs-id $Id: add.tcl,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $

} {
}

db_foreach domains "
select domain_name, type 
from (select 'users' as domain_name, 'user' as type, 1 as priority 
      from dual
      where not exists (select 1 from portal_domains where type='user')
      union
      (select group_type as domain_name, 'group' as type, 2 as priority 
       from user_group_types
       minus
       select group_type as domain_name, 'group' as type, 2 as priority
       from portal_domains
       where type='group')
) order by priority, domain_name" {
    switch $type {
	user {
	    set portal_domain_url_vars "type=user"
	}
	group {
	    set portal_domain_url_vars "type=group&group_type=[ad_urlencode $domain_name]"
	}
    }
    append portal_domains_html "
    <li><a href=add-2?$portal_domain_url_vars>$domain_name</a>    
    "
}

if { [exists_and_not_null portal_domains_html] } {
    append page_content "
    <blockquote>
    <h3>Choose domain to add:</h3>
    <ul>
    $portal_domains_html
    </ul>
    </blockquote>
    "
} else {
    append page_content "
    <blockquote>
    <p>You already have portal domains for all group types.
    <p>To create a new group type, go to <a href=/admin/ug/group-type-new>/admin/ug/group-type-new</a>.
    </blockquote>
"
}

doc_return 200 text/html "
[ad_admin_header "Portals Admin"]
<h2>Add Portal Domain</h2>
[ad_admin_context_bar [list "index" "Portals"] "Add Portal Domain"]
<hr>
$page_content
[ad_admin_footer]
"




