# /packages/portals/admin-www/domain/manage.tcl
ad_page_contract {
    managing portal domain

    @param domain_id
    @param set_control_panel_p

    @author tarik@arsdigita.com
    @creation-date Sat Aug  5 02:44:14 2000
    @cvs-id $Id: manage.tcl,v 1.2 2001/02/01 17:46:46 tarik Exp $

} {
    domain_id:naturalnum
    {set_control_panel_p:boolean 0}
}

set domain_name [portals_get_domain_property domain_name $domain_id]
set domain_type [portals_get_domain_property type $domain_id]
set url_root [portals_get_domain_property url_root $domain_id]

if $set_control_panel_p {
    set table_def {
	{table_name "Portlets" {} "<td>$portlet_name </td>"}
	{required "Required?" no_sort "<td align=center>[ad_decode $required_p t Yes f No No] 
	(<a href=portlet/require?[export_url_vars portlet_id]>toggle</a>)</td>"} 
	{actions "Actions" no_sort "<td><a href=portlet/edit?[export_url_vars portlet_id]>Edit</a> /
	<a href=portlet/delete?[export_url_vars portlet_id]>Delete</a></td>"}
	{control_panel_p "Control Panel" no_sort "<td align=center><input type=radio name=portlet_id value=$portlet_id [ad_decode $control_panel_p 1 checked {}]> </td>"}
    }
} else {
    set table_def {
	{table_name "Portlets" {} "<td>$portlet_name [ad_decode $control_panel_p 1 {<font color=red>(control panel)</font>} {}] </td>"}
	{required "Required?" no_sort "<td align=center>[ad_decode $required_p t Yes f No No] 
	(<a href=portlet/require?[export_url_vars portlet_id]>toggle</a>)</td>"} 
	{actions "Actions" no_sort "<td><a href=portlet/edit?[export_url_vars portlet_id]>Edit</a> /
	<a href=portlet/delete?[export_url_vars portlet_id]>Delete</a></td>"}
    }
}

set sql "
select pp.portlet_id, pdp.required_p, pdp.portlet_name, pdp.domain_id, portal_portlet.control_panel_p(pp.portlet_id, $domain_id) as control_panel_p
from     portal_portlets pp, portal_domain_portlets pdp
where    pp.portlet_id= pdp.portlet_id
and      pdp.domain_id = $domain_id
order by lower(pdp.portlet_name)
"

set portlet_table [ad_table -Tmissing_text "No portlets defined yet" -Textra_vars domain_name portlets $sql $table_def]

set return_url "/admin/portals/domain/manage?domain_id=$domain_id"
set domain_action "edit"  ;# for the url-root-verify page

# portal_id of domain's default portal
set portal_id [portals_get_domain_property default_portal_id $domain_id]
if {$portal_id==0} {
    # default portal does not exist. go ahead and create default portal.
    set portal_id [portals_create_default_portal $domain_id]
}

append page_content "
<blockquote>
<table>
<tr>
    <th align=left>Portal Domain</th>
    <td>$domain_name</td>
</tr> </table>
<table>
<tr>
    <th>Root URL </th>
    <td> <form method=post action=url-root-verify>
        [export_form_vars domain_id domain_action domain_name]
        <input type=text name=url_root value=\"$url_root\" maxlength=200 size=10>
        <input type=submit value=Update>       
        </form>
    </td>
</tr>
</table>

<table>
<tr>
    <th align=left>Settings</th>
</tr>
<tr>
    <td>
    <ul>
    <li><a href=\"/portals/customize?[export_url_vars portal_id return_url]\">Default Portal Configuration</a>
    <li><a href=\"properties?[export_url_vars domain_id]\">Display Properties</a>
    </ul>
    </td>
</tr>
<tr>
    <th align=left><br>Portlets</th>
</tr>
<tr>
    <td>
    <ul>
"

if $set_control_panel_p {
    append page_content "
    <form method=post action=portlet/set-control-panel>
    [export_form_vars domain_id]
    $portlet_table
    <input type=submit value=\"Confirm Control Panel Selection\">       
    </form>"

    if [portals_get_domain_property control_panel_exists_p $domain_id] {
	append page_content "
        OR
	
	<form method=post action=portlet/set-control-panel>
	[export_form_vars domain_id]
	<input type=submit value=\"Remove Control Panel\">       
	</form>    
	" 
    }
} else {
    append page_content "
    $portlet_table
    <li><a href=\"manage?[export_url_vars domain_id]&set_control_panel_p=1\">Set Control Panel</a>"
}

append page_content "
    <li><a href=\"portlet/create?[export_url_vars domain_id]\">Create a New Portlet</a>
    </td>
</tr>
<tr>
    <th align=left><br>Extreme Actions</th>
</tr>
<tr>
    <td>
    <ul>
    <li><a href=\"javascript:if(confirm('Are you sure you want to revert all portals in \\\'$domain_name\\\' domain ?')) location.href='revert?domain_id=$domain_id'\">Revert all portals in \"$domain_name\" domain</a>
    </ul>
    </td>
</tr>
</table>
</blockquote>
"

set title "Manage Portal Domain"

doc_return 200 text/html "
[ad_admin_header "Manage Portal Domain"]
<h2>$title</h2>
[ad_admin_context_bar [list "/admin/portals/" "Admin Portals"] $title]
<hr>
$page_content
[ad_admin_footer]
"















