ad_page_contract {
    Page that displays the new portal portlet and prompts the user to confirm
    
    @author aure@arsdigita.com 
    @author dh@arsdigita.com
    @author Ian Baker (ibaker@arsdigita.com)
    @author Tarik Alatovic (tarik@alatovic.com)
    @param domain_id
    @param portlet_name
    @param content_source
    @param predefined_portlet_id
    @param portlet_link_option
    @param portlet_link
    
    @creation-date 10/8/1999
    @cvs-id $Id: create-2.tcl,v 1.1.1.1 2001/01/24 18:03:35 tarik Exp $
} {
    domain_id:notnull,naturalnum
    portlet_name:notnull
    content_source:allhtml
    predefined_portlet_id:naturalnum
    portlet_link_option:notnull
    portlet_link:allhtml
} -validate {
    portlet_source_exists {
	if { ($predefined_portlet_id==0) && [empty_string_p $content_source] } {
	    ad_complain "You must either specify a predefined portal or enter your own HTML."
	}
    }
    portlet_is_either_predefined_or_custom_html {
	if { ($predefined_portlet_id>0) && ![empty_string_p $content_source] } {
	    ad_complain "Portlet is built using either predefined portlet source or using your custom HTML"
	}
    }
    only_predefined_portlets_can_have_default_portal_link {
	if { ($predefined_portlet_id==0) && ($portlet_link_option=="default") } {
	    ad_complain "Only predefined portlets can have default portal link."
	}
    }
}

append page_content "
[ad_header "Preview / Confirm"]
<h3>Preview / Confirm</h3>
[ad_admin_context_bar [list "/admin/portals/" "Portals"] [list "/admin/portals/domain/manage?domain_id=$domain_id" "Manage [portals_get_domain_property domain_name $domain_id] Domain"] "Create Portlet"]
<hr>
<blockquote>
"

if { [catch {
    set portlet_html [portals_preview_domain_portlet $domain_id $portlet_name $predefined_portlet_id $content_source [ad_decode $portlet_link_option default 1 0] $portlet_link]
} errMsg] } {
    append page_content "
    Portlet cannot be previewed because there are no portals in the [portals_get_domain_property domain_name $domain_id] domain. 
    "
} else {
    append page_content "
    <table>
    <tr><td>
    $portlet_html
    </td></tr>
    </table>
    "
}

append page_content "
<form action=create-3 method=post>
"

set default_link_p [ad_decode $portlet_link_option default 1 0]
if { $predefined_portlet_id > 0 } {
    append page_content "
    [export_form_vars domain_id portlet_name predefined_portlet_id default_link_p]
    "
} else {
    append page_content "
    [export_form_vars domain_id portlet_name content_source admin_link_source]
    "
}

append page_content "
<input type=submit value=Create>
</form>
</blockquote>
[ad_footer]"

doc_return 200 text/html $page_content






