ad_page_contract {
    @author aure@arsdigita.com 
    @author dh@arsdigita.com
    @author tarik@alatovic.com
    
    @param domain_id
    @param portlet_name
    @param predefined_portlet_id
    @param default_link_p
    @param content_source
    @param admin_link_source

    @creation-date 10/8/1999
    @cvs-id $Id: create-3.tcl,v 1.1.1.1 2001/01/24 18:03:35 tarik Exp $
} {
    domain_id:naturalnum,notnull
    portlet_name:notnull
    {predefined_portlet_id:naturalnum 0}
    {default_link_p 0}
    {content_source:allhtml ""}
    {admin_link_source:allhtml ""}
} -validate {
    portlet_source_exists {
	if { ($predefined_portlet_id==0) && [empty_string_p $content_source] } {
	    error "packages/portals/admin-www/domain/portlet/create-3.tcl: both predefined_portlet_id and content_source are empty"
	}
    }
    portlet_is_either_predefined_or_custom_html {
	if { ($predefined_portlet_id>0) && ![empty_string_p $content_source] } {
	    error "packages/portals/admin-www/domain/portlet/create-3.tcl: both predefined_portlet_id and content_source are non empty"
	}
    }
    portlet_name_unique {
	if [db_string portlet_name_unique "select 1 from portal_domain_portlets where domain_id=:domain_id and portlet_name=:portlet_name" -default 0] {
	    ad_complain "Portlet \"$portlet_name\" is already taken. Please choose another portlet name."
	}
    }
}

if { $predefined_portlet_id>0 } {
    if $default_link_p {
	portals_create_domain_portlet_from_predefined_portlet $portlet_name $domain_id $predefined_portlet_id
    } else {
	db_transaction {
	    portals_create_domain_portlet_from_predefined_portlet $portlet_name $domain_id $predefined_portlet_id
	    portals_set_portlet_property admin_link_type html
	    portals_set_portlet_property admin_link_source $admin_link_source
	}
    }
} else {
	portals_create_domain_portlet $portlet_name $domain_id html $content_source html $admin_link_source
}

ad_returnredirect /admin/portals/domain/manage?domain_id=$domain_id




