ad_page_contract {
    Previews the portlet and prompts the user to confirm the delete

    @author aure@arsdigita.com
    @author dh@arsdigita.com
    @author tarik@alatovic.com
    @param portlet_id
    @creation-date 10/8/1999
    @cvs-id delete-table.tcl,v 3.3.2.4 2000/07/21 04:03:30 ron Exp
} {
    portlet_id:notnull,naturalnum
}

set domain_id [portals_get_portlet_property domain_id $portlet_id]
set portlet_name [portals_get_portlet_property portlet_name $portlet_id]

append page_content "
[ad_header "Confirm Deletion of \"$portlet_name\" portlet"]
<h3>Confirm Deletion of \"$portlet_name\" portlet</h3>
[ad_admin_context_bar [list "/admin/portals/" "Portals"] [list "/admin/portals/domain/manage?domain_id=$domain_id" "Manage \"[portals_get_domain_property domain_name $domain_id]\" Domain"] "Delete Portlet"]
<hr>
<blockquote>
<p>If you really want to delete \"$portlet_name\" portlet, click the Confirm Delete below.
<p>
"

if { [catch {
    set portlet_html [portals_preview_domain_portlet $domain_id $portlet_name [portals_get_portlet_property predefined_portlet_id $portlet_id] [portals_get_portlet_property content_source $portlet_id] [ad_decode [portals_get_portlet_property admin_link_type $portlet_id] html 0 1] [portals_get_portlet_property admin_link_source $portlet_id]]
} errMsg] } {
    append page_content "
    Portlet cannot be previewed because there are no portals in the [portals_get_domain_property domain_name $domain_id] domain. 
    "
} else {
    append page_content "
    <table>
    <tr><td>
    $portlet_html
    </td></tr>
    </table>
    "
}

append page_content "
<form action=delete-2 method=post>
[export_form_vars portlet_id]
<input type=submit value=\"Confirm Delete\">
</center>
</blockquote>
[ad_footer]"

doc_return 200 text/html $page_content



