ad_page_contract {
    @author aure@arsdigita.com 
    @author dh@arsdigita.com
    @author tarik@alatovic.com
    
    @param portlet_id
    @param portlet_name
    @param predefined_portlet_id
    @param default_link_p
    @param content_source
    @param admin_link_source

    @creation-date 10/8/1999
    @cvs-id $Id: edit-3.tcl,v 1.1.1.1 2001/01/24 18:03:35 tarik Exp $
} {
    portlet_id:naturalnum,notnull
    portlet_name:notnull
    {predefined_portlet_id:naturalnum 0}
    {default_link_p 0}
    {content_source:allhtml ""}
    {admin_link_source:allhtml ""}
} -validate {
    portlet_source_exists {
	if { ($predefined_portlet_id==0) && [empty_string_p $content_source] } {
	    error "packages/portals/admin-www/domain/portlet/edit-3.tcl: both predefined_portlet_id and content_source are empty"
	}
    }
    portlet_is_either_predefined_or_custom_html {
	if { ($predefined_portlet_id>0) && ![empty_string_p $content_source] } {
	    error "packages/portals/admin-www/domain/portlet/edit-3.tcl: both predefined_portlet_id and content_source are non empty"
	}
    }
    portlet_name_unique {
	set domain_id [portals_get_portlet_property domain_id $portlet_id]
	if [db_string portlet_name_unique "select 1 from portal_domain_portlets where domain_id=:domain_id and portlet_id!=:portlet_id and portlet_name=:portlet_name" -default 0] {
	    ad_complain "Portlet \"$portlet_name\" is already taken. Please choose another portlet name."
	}
    }
}

if { $predefined_portlet_id>0 } {
    if $default_link_p {
	portals_update_domain_portlet $portlet_id $predefined_portlet_id $portlet_name [portals_get_portlet_property content_source_type $portlet_id] [portals_get_portlet_property content_source $portlet_id] [portals_get_portlet_property admin_link_type $portlet_id] [portals_get_portlet_property admin_link_source $portlet_id]
    } else {
	portals_update_domain_portlet $portlet_id $predefined_portlet_id $portlet_name [portals_get_portlet_property content_source_type $portlet_id] [portals_get_portlet_property content_source $portlet_id] html $admin_link_source
    }    
} else {
    portals_update_domain_portlet $portlet_id [db_null] $portlet_name html $content_source html $admin_link_source
}

ad_returnredirect /admin/portals/domain/manage?domain_id=[portals_get_portlet_property domain_id $portlet_id]








