ad_page_contract {
    first step in creation of a portal portlet prompting the user for name, html, and an optional administration URL
    
    @author aure@arsdigita.com 
    @author dh@arsdigita.com

    @param portlet_id

    @creation-date 10/8/1999
    @cvs-id $Id: edit.tcl,v 1.1.1.1 2001/01/24 18:03:35 tarik Exp $
} {
    portlet_id:notnull,naturalnum
}

set domain_id [portals_get_portlet_property domain_id $portlet_id]

append page_content "
[ad_header "Edit Portlet"]

<script language=javascript>
function updatePortletName(form) {
    // Update portlet name if user changes predefined portlet
    if (form.predefined_portlet_id.options\[form.predefined_portlet_id.selectedIndex\].value != 0) {
        form.portlet_name.value = form.predefined_portlet_id.options\[form.predefined_portlet_id.selectedIndex\].text;
        form.portlet_link_option\[0\].click();
    } else {
        form.portlet_link_option\[1\].click();
	form.portlet_name.value=''
    }
}
</script>

<h3>Edit Portlet \"[portals_get_portlet_property portlet_name $portlet_id]\"</h3>
[ad_admin_context_bar [list "/admin/portals/" "Portals"] [list "/admin/portals/domain/manage?domain_id=$domain_id" "Manage \"[portals_get_domain_property domain_name $domain_id]\" Domain"] "Edit Portlet"]
<hr>

<form method=POST action=edit-2>
[export_form_vars portlet_id] 

<table>

<th valign=top align=right>Portlet Source</th>
<td>
<table>
"

set select_options [db_html_select_value_options -select_option [portals_get_portlet_property predefined_portlet_id $portlet_id] predefined_portlets "
select 0, '----------------' from dual
union
select portlet_id, portlet_name
from portal_predefined_portlets
order by 2"]

if ![empty_string_p $select_options] {
    append page_content "
    <tr>
    <td align=right>
    Predefined:
    </td>
    <td>
    <select name=predefined_portlet_id onChange=\"updatePortletName(this.form)\">
    $select_options
    </select>
    </td>
    </tr>
    <tr>
    <td valign=top align=right>
    <i>OR</i>
    <br><br>
    </td>
    </tr>
    "
}

append page_content "
<tr><td valign=top align=right>Your HTML:</td>
<td><textarea rows=20 cols=70 name=portlet_html_source>[ad_decode [portals_get_portlet_property predefined_portlet_id $portlet_id] "" [portals_get_portlet_property content_source $portlet_id] ""]</textarea>
<br>
<font size=1 face=\"verdana, arial, helvetica\">Your HTML will be embedded within an HTML table.</font> 

</td></tr>
</table>
</td>
</tr>

<tr>
<th align=right>Portlet Name</th>
<td><input type=text name=portlet_name maxlength=20 size=20 value=\"[ad_quotehtml [portals_get_portlet_property portlet_name $portlet_id]]\"></td>
</tr>

<tr>
<th align=right valign=top>Portlet Link</th>
<td><table>
    <tr><td>
"


set admin_link_source [portals_get_portlet_property admin_link_source $portlet_id]
if [empty_string_p $admin_link_source] {
    set portlet_link_option html_link
} else {
    if {[portals_get_portlet_property admin_link_type $portlet_id]=="html"} {
	set portlet_link_option html_link
    } else {
	set portlet_link_option default
    }
}

append page_content "
    <br><input type=radio name=portlet_link_option [ad_decode $portlet_link_option default checked ""] value=default>Default
    <br><input type=radio name=portlet_link_option [ad_decode $portlet_link_option html_link checked ""] value=html_link>HTML Link
    [ad_space 4]
    <input type=text size=70 name=portlet_link value=[ad_decode $portlet_link_option html_link \"[ad_quotehtml $admin_link_source]\" ""]>
    <br>
    <font size=1 face=\"verdana, arial, helvetica\">
    Portlet link is an optional link to the customization page for this portlet.
    It is shown in the upper right corner of the portlet.
    </font>
    </td></tr>
    </table>
</td>

</tr>
</table>

<center>
<p>
<input type=submit value=Preview>
</form>

</center>

[ad_footer]
"

doc_return 200 text/html $page_content
