# packages/portals/chat-procs.tcl
#
# Proc(s) that provide(s) an interface between portals and the chat module.
#
# Created during a breakup of module-portal-procs.tcl, which was created
# during a breakup of education-portal-procs.tcl by caroline@arsdigita.com
# on July 18, 2000.
#
# Ian Baker <ibaker@arsdigita.com> Thu Oct  5 11:17:49 PDT 2000
# Tarik Alatovic <tarik@alatovic.com>
#
# $Id: chat-procs.tcl,v 1.1.1.1 2001/01/24 18:03:33 tarik Exp $

ad_library {
    Chat procs used by the portal system.

    @creation-date July 2000
    @author caroline@arsdigita.com
    @cvs-id $Id: chat-procs.tcl,v 1.1.1.1 2001/01/24 18:03:33 tarik Exp $
}

ad_proc -public portals_chat_portlet {} {
    Displays chat page.
} {
    set user_id [ad_verify_and_get_user_id]
    
    if {[portals_info type]=="group" } {
	set group_id [portals_info group_id]
	
	db_foreach chats "select count(nvl(msg_bowdlerized, msg)) as num,pretty_name,chat_rooms.chat_room_id
	from chat_msgs,chat_rooms
	where rownum<10
	and chat_msgs.approved_p(+) = 't'
	and chat_rooms.chat_room_id=chat_msgs.chat_room_id(+)
	and system_note_p(+) <> 't'
	and group_id=:group_id
	and chat_msgs.creation_date(+)>sysdate-1/(24*6)
	group by pretty_name,chat_rooms.chat_room_id,group_id" {
	    append page_content "<li><a href=/chat/chat?[export_url_vars chat_room_id group_id]&scope=group>$pretty_name</a> ($num new)"
	} if_no_rows {
	    append page_content "There are no chat rooms for this group"
	}
    } else {
	db_foreach chats "select count(nvl(msg_bowdlerized, msg)) as num,pretty_name,scope,chat_rooms.chat_room_id,group_id
	from chat_msgs,chat_rooms
	where rownum<10
	and chat_msgs.approved_p(+) = 't'
	and chat_rooms.chat_room_id=chat_msgs.chat_room_id(+)
	and system_note_p(+) <> 't'
	and (select count(1) from user_group_map where user_id=:user_id 
	                                         and user_group_map.group_id=nvl(chat_rooms.group_id,user_group_map.group_id)) <> 0
	and chat_msgs.creation_date(+)>sysdate-1/(24*6)
	group by pretty_name,scope,chat_rooms.chat_room_id,group_id" {
	    if {$scope=="public"} {
		append page_content "<li><a href=/chat/chat?[export_url_vars chat_room_id scope]>$pretty_name</a> ($num new)\n"
	    } else {
		append page_content "<li><a href=/chat/chat?[export_url_vars chat_room_id scope group_id]>$pretty_name</a> ($num new)\n"
	    }
	} if_no_rows {
	    append page_content "There are no chat rooms"
	}
    }
    return "
    <ul>
    $page_content
    </ul>
    "
}

