# packages/portals/wp-procs.tcl
#
# Proc(s) that provide(s) an interface between portals and WimpyPoint.
#
# Created during a breakup of module-portal-procs.tcl, which was created
# during a breakup of education-portal-procs.tcl by caroline@arsdigita.com
# on July 18, 2000.
#
# -Ian Baker <ibaker@arsdigita.com> Thu Oct  5 11:17:49 PDT 2000
# Tarik Alatovic <tarik@alatovic.com>
# $Id: wp-procs.tcl,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $

ad_library {
    Wimpy Point procs used by the portal system.

    @creation-date July 2000
    @author caroline@arsdigita.com
    @cvs-id $Id: wp-procs.tcl,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $
}

ad_proc -public portals_wp_portlet {} {
    Displays wimpy point portal page.

    @creation-date July 2000
    @author caroline@arsdigita.com
    @cvs-id $Id: wp-procs.tcl,v 1.1.1.1 2001/01/24 18:03:34 tarik Exp $
} {
    set user_id [ad_get_user_id]
    
    if {[portals_info type]=="group" } {
	set group_id [portals_info group_id]
	db_foreach wps "
	select presentation_id, title, creation_date, creation_user, 
	my_access, first_names, last_name
	from (select presentation_id, u.first_names, u.last_name, 
	title, creation_date, creation_user,
	wp_access(presentation_id, :user_id, 'read', public_p, 
	creation_user, group_id) my_access 
	from users u, wp_presentations wp
	where u.user_id = wp.creation_user and 
	wp_access(presentation_id, :user_id, 'write', public_p, 
	creation_user, group_id) is not null
	and group_id=:group_id
	order by wp.creation_date desc) WHERE ROWNUM < 10" {
	    append html "<li>$title"
	} if_no_rows {
	    set html "<li>none"
	}
	return $html
    } else {
	db_foreach wps "
	select presentation_id, title, creation_date, creation_user, 
	my_access, first_names, last_name
	from (select presentation_id, u.first_names, u.last_name, 
	title, creation_date, creation_user,
	wp_access(presentation_id, :user_id, 'read', public_p, 
	creation_user, group_id) my_access 
	from users u, wp_presentations wp
	where u.user_id = wp.creation_user and 
	wp_access(presentation_id, :user_id, 'write', public_p, 
	creation_user, group_id) is not null
	order by wp.creation_date desc) WHERE ROWNUM < 10" {
	    
	    set main_href "[wp_presentation_url]/$presentation_id/"
	    set edit_href "/wp/presentation-top?[export_url_vars presentation_id]"
	    
	    append html "<li><a href=\"$main_href\">[ns_striphtml \"$title\"]</a>"
	    
	    if { $creation_user != $user_id } {
		append html "<br>created by <a href=\"/shared/community-member?user_id=$creation_user\">$first_names $last_name</a> "
	    } else {
		append html " (<a href=$edit_href>edit</a>) <br>created on "
	    }
	    
	    append html "[util_IllustraDatetoPrettyDate $creation_date]"
	    
	} if_no_rows {
	    append html "<li><em>none</em>\n"
	}
	append html "<br><a href=/wp/presentation-edit>Add a presentation</a>"
	
	return "<ul>$html</ul>\n"
    }
}

