#
# packages/portals/www/address-book-redirect.tcl
#
# Redirect the user to the appropriate part of address-book from the
# address-book portlet.  This facilitates the use of a single select list
# with multiple submit buttons.
#
# I have no idea who wrote this, but I added it to the portals distribution
# and modified it to use ad_page_contract.
# -Ian Baker <ibaker@arsdigita.com> Thu Oct  5 13:02:17 PDT 2000

ad_page_contract {
    Redirect a user to the appropriate address-book function from the
    address-book portlet.

    @author Unknown (i@dont.know)
    @author Ian Baker (ibaker@arsdigita.com)
    @creation-date 10/5/2000
    @cvs-id $Id: address-book-redirect.tcl,v 1.1.1.1 2001/01/24 18:03:36 tarik Exp $
} {
    {rowid ""}
    {View ""}
    {Edit ""}
    {Delete ""}
    {Add ""}
    {return_url index}
}

page_validation {
    if {[empty_string_p $rowid]&&[empty_string_p $Add]} {
	error "You must select a record."
    }
    if {[empty_string_p $View]&&[empty_string_p $Edit]&&[empty_string_p $Delete]&&[empty_string_p $Add]} {
	error "You must select view, add, edit, or delete."
    }
}

set user_id [ad_maybe_redirect_for_registration]
if ![empty_string_p $Add] {
    ns_returnredirect "/address-book/record-add?[export_url_vars return_url]"
} else {
    set address_book [db_string get_address_book_id "select address_book_id from address_book where rowid='$rowid'"]
    
    if ![empty_string_p $View] {
	ns_returnredirect "/address-book/record?scope=user&user_id=$user_id&address_book_id=$address_book&contact_info_only=f&return_url=$return_url"
    } elseif ![empty_string_p $Edit] {
	ns_returnredirect "/address-book/record-edit?scope=user&user_id=$user_id&address_book_id=$address_book&return_url=$return_url"
    } elseif ![empty_string_p $Delete] {
	ns_returnredirect "/address-book/record-delete?scope=user&[export_url_vars user_id return_url]&address_book_id=$address_book"
    }
}
