# www/portals/admin/index.tcl

ad_page_contract {
    Main index page for the portals administration pages, which will
    redirect non-super-administrators to index-manager.tcl

    @author Aure aure@arsdigita.com 
    @author Dave Hill dh@arsdigita.com
    @cvs-id index.tcl,v 3.4.2.5 2000/07/28 18:51:31 psu Exp
} {
}

### this page doesn't make much sense any more -sklein
#ad_returnredirect /admin/portals
#return

# Verify user
set user_id [ad_verify_and_get_user_id]
set site_admin_p [ad_administrator_p $user_id]

# ---------------------------------------------------------------

# Get generic display information
portals_display_info

# show all portals this user is a group admin for

set return_url "/portals/admin/"
set portals_html ""

set last_group_type ""
db_foreach get_portal_groups "select ug.short_name, ug.group_id, 
       ug.group_type, pd.url_root, pd.domain_id
          from user_groups ug, portal_domains pd where
           pd.group_type = ug.group_type and
           ug.group_type in (select group_type from portal_domains)
            [ad_decode $site_admin_p 0 "
            and ug.group_id in (select group_id from user_group_map ugm 
                   where ugm.group_id = ug.group_id and user_id = :user_id 
                   and role in ('administrator', 'all') )"  ""]
       order by ug.group_type, ug.short_name " {
	   if {[string compare $last_group_type $group_type]} {
	       set last_group_type $group_type
	       lappend l_group_types $group_type
               set l_group_html($group_type) [ad_decode $site_admin_p 0 $group_type "<a href=\"/admin/portals/domain-manage?domain_id=$domain_id\">$group_type</a>"]
           } 
	   lappend group_edit_hrefs($group_type) "<a href=\"/portals/customize?[export_url_vars portal_id return_url]\">edit</a>"
	   lappend group_view_hrefs($group_type) "<a href=\"/[ad_urlencode $url_root]/[ad_urlencode $short_name]/\">view</a>"
	   lappend group_names($group_type) "$short_name" 
} if_no_rows {
    if {!$site_admin_p} {
	portals_return_unauthorized
	ad_script_abort
    }
    doc_return 200 text/html "
    [ad_admin_header "Portals Admin"]
    <h2>No group portals exist yet</h2>
    <hr>
    No group portals exist yet.  You can go to <a href=\"/admin/portals\">/admin/portals</a> to create portal domains, and add groups for a portal domain.
    [ad_footer]
    "

    # For some reason, it only works intermittently to return directly from
    # here (could it be that this is executed in the caller's namespace by
    # db_foreach?  It should still work...  Is it some Tcl bug?) Anyway, it
    # turns out to work this way... -Ian Baker <ibaker@arsdigita.com>
    set freaky_namespace_consideration_or_something 1
}

if {[info exists freaky_namespace_consideration_or_something]} {
    return
}

set portal_table_html "
<table border=1>
<tr bgcolor=#cc0000>
 <th bgcolor=#cc0000><font color=white> Portal Domain </th>
 <th bgcolor=#cc0000><font color=white> Group </th>
</tr>
"

foreach gtype $l_group_types {
    append portal_table_html "
<tr>
 <td valign=top>$l_group_html($gtype) </td>
 <td> <table>"

   foreach name $group_names($gtype) editlink $group_edit_hrefs($gtype) viewlink $group_view_hrefs($gtype) {
     append portal_table_html "
        <tr>
         <td> $name </td>
         <td> ($viewlink / $editlink) </td>
        </tr>"
   }
     append portal_table_html "
 </table> </td>
</tr>
"
}
append portal_table_html "
</table>
"

db_release_unused_handles

set page_content "
[ad_header "[ad_parameter SystemName portals] Administration"]
<h3>[ad_parameter SystemName portals] Administration</h3>
[ad_context_bar_ws [list /portals/ "Portals"] "Administration"]

<hr>
<br>
Below are groups whose portals you have rights to edit.

<p>

$portal_table_html

<p>[ad_decode $site_admin_p 1 "Manage portal domains at <a href=\"/admin/portals/\">/admin/portals</a> .  <p> " ""]

[ad_footer]

"

doc_return 200 text/html $page_content
