ad_page_contract {
    Javascript for customize.tcl

    @author aure@arsdigita.com
    @author dh@arsdigita.com
    @author ibaker@arsdigita.com
    @author tarik@alatovic.com
    @cvs-id $Id: customize-js.tcl,v 1.2 2001/02/11 00:15:29 tarik Exp $
} {
    {num_portlets:naturalnum,optional ""}
    {num_pages:naturalnum,optional ""}
}

append page_content "

// Key for functions:
//  down = 0: move up
//  down = 1: move down
    
function movePortlet(direction,side,page) {
    // move a portlet up or down.  slidePortlet moves side-to-side.
    selectbox = side + page;
    
    selected_index = document.theForm\[selectbox].selectedIndex;
    if (selected_index != -1) {
	oldText = document.theForm\[selectbox].options\[selected_index].text;
	oldValue = document.theForm\[selectbox].options\[selected_index].value;
    }
    if (selected_index != -1 && oldValue != \"null\") {
	if (direction == \"up\") {
	    // move portlet up
	    if (selected_index > 0) {
		// the portlet was in the interior of a page, so moving up means swapping with the portlet above
		document.theForm\[selectbox].options\[selected_index].text = document.theForm\[selectbox].options\[selected_index-1].text;
		document.theForm\[selectbox].options\[selected_index].value = document.theForm\[selectbox].options\[selected_index-1].value;
		document.theForm\[selectbox].options\[selected_index-1].text = oldText;
		document.theForm\[selectbox].options\[selected_index-1].value = oldValue;
		document.theForm\[selectbox].selectedIndex--;
	    } else  if (selected_index == 0 && page > 1) {
		// the portlet was at the top of the page already, so we now place it at the end of the previous page 
		newpage = page-1;
		newselectbox = side + newpage;


		// calculate where to move the portlet to (length of the current select box + 1)
		real_length = 0
		x = \"continue\"
		while ( x == \"continue\" ) {
		    if (document.theForm\[newselectbox].options\[real_length].value==\"null\") {
			x = \"stop\"
		    } else {
			real_length++;
		    }
		}

		// Moves text/value to the bottom of one page up
		document.theForm\[newselectbox].options\[real_length].text = oldText;
		document.theForm\[newselectbox].options\[real_length].value = oldValue;

		// erase the portlet from the original page
		document.theForm\[selectbox].options\[selected_index].text = \"\";
		document.theForm\[selectbox].options\[selected_index].value = \"null\";
		
		// move everything in the originating page shift up
		counter = 0
		while (counter < $num_portlets-1) {
		    oldText = document.theForm\[selectbox].options\[counter].text
		    oldValue = document.theForm\[selectbox].options\[counter].value
		    document.theForm\[selectbox].options\[counter].text = document.theForm\[selectbox].options\[counter+1].text;
		    document.theForm\[selectbox].options\[counter].value = document.theForm\[selectbox].options\[counter+1].value;
		    document.theForm\[selectbox].options\[counter+1].text = oldText;
		    document.theForm\[selectbox].options\[counter+1].value = oldValue;
		    counter++;
		}
		return false;
	    }
	} else if (direction == \"down\") {
	    // move portlet down

	    // calculate the index of the last element in the current page (needed to check for interior moves or moves to new pages)
	    real_length = 0
	    x = \"continue\"
	    while (x == \"continue\" ) {
		if (document.theForm\[selectbox].options\[real_length].value==\"null\") {
		    x = \"stop\"
		    real_length--;
		} else {
		    real_length++;
		}
	    }

	    if (selected_index < real_length) {
		// move within the page, so just swap values with the portlet below
		document.theForm\[selectbox].options\[selected_index].text = document.theForm\[selectbox].options\[selected_index+1].text;
		document.theForm\[selectbox].options\[selected_index].value = document.theForm\[selectbox].options\[selected_index+1].value;
		document.theForm\[selectbox].options\[selected_index+1].text = oldText;
		document.theForm\[selectbox].options\[selected_index+1].value = oldValue;
		document.theForm\[selectbox].selectedIndex++;
		
	    } else if (selected_index == real_length && page < $num_pages + 1) {
		// move portlet down to the next page
		newpage = page+1;
		newselectbox = side + newpage;
		
		// shuffle everyone down one (from the top) to make room for the new portlet which will appear at the top
		counter = document.theForm\[newselectbox].options.length-2;
		while (counter > -1) {
		    oldText = document.theForm\[newselectbox].options\[counter].text
		    oldValue = document.theForm\[newselectbox].options\[counter].value
		    document.theForm\[newselectbox].options\[counter].text = document.theForm\[newselectbox].options\[counter+1].text;
		    document.theForm\[newselectbox].options\[counter].value = document.theForm\[newselectbox].options\[counter+1].value;
		    document.theForm\[newselectbox].options\[counter+1].text = oldText;
		    document.theForm\[newselectbox].options\[counter+1].value = oldValue;
		    counter = counter - 1;
		}
		
		// move portlet into top place on new page
		document.theForm\[newselectbox].options\[0].text = document.theForm\[selectbox].options\[selected_index].text;
		document.theForm\[newselectbox].options\[0].value = document.theForm\[selectbox].options\[selected_index].value;

		// erase the portlet from the original page
		document.theForm\[selectbox].options\[selected_index].text = \"\";
		document.theForm\[selectbox].options\[selected_index].value = \"null\";
	    }
	}
    } else {
	// nothing was selected 
	alert(\"Please select a portlet first.\");
    }
    return false;
}  

function slidePortlet(side,page) {
    // move portlet from one side to the other side of the page
    selectbox = side + page;
    if (side == \"left\") {
	newselectbox = \"right\"+page;
    } else {
	newselectbox = \"left\"+page;
    }
    
    selected_index = document.theForm\[selectbox].selectedIndex;
    if (selected_index != -1) {
	oldText = document.theForm\[selectbox].options\[selected_index].text;
	oldValue = document.theForm\[selectbox].options\[selected_index].value;
    } else {
	alert(\"Please select a portlet first.\");
	return false;
    }
    
    if ( oldValue==\"null\") {
	alert(\"Please select a portlet first.\");
	return false;
    }
    
    real_length = 0
    x = \"continue\"
    while ( x == \"continue\" ) {
	// calculate the last entry in the destination page
	if (document.theForm\[newselectbox].options\[real_length].value==\"null\") {
	    x = \"stop\"
	} else {
	    real_length++;
	}
    }
	
    // portlet to the bottom of other side of page
    document.theForm\[selectbox].options\[selected_index].text = document.theForm\[newselectbox].options\[real_length].text;
    document.theForm\[selectbox].options\[selected_index].value = document.theForm\[newselectbox].options\[real_length].value;
    document.theForm\[newselectbox].options\[real_length].text = oldText;
    document.theForm\[newselectbox].options\[real_length].value = oldValue;
	
    // get the length of the originating page
    real_length = 1
    x = \"continue\"
    while ( x == \"continue\" ) {
	if (document.theForm\[selectbox].options\[real_length].value==\"null\") {
	    x = \"stop\"
	} else {
	    real_length++;
	}
    }
    // shift everything below the moved element up one in the original selectbox
    counter = selected_index
    while (counter < real_length) {
	oldText = document.theForm\[selectbox].options\[counter].text
	oldValue = document.theForm\[selectbox].options\[counter].value
	document.theForm\[selectbox].options\[counter].text = document.theForm\[selectbox].options\[counter+1].text;
	document.theForm\[selectbox].options\[counter].value = document.theForm\[selectbox].options\[counter+1].value;
	document.theForm\[selectbox].options\[counter+1].text = oldText;
	document.theForm\[selectbox].options\[counter+1].value = oldValue;
	counter++;
    }
    return false;
}


function deletePortlet(side, page) {
    selectbox = side + page;
    selected_index = document.theForm\[selectbox].selectedIndex;

    if (selected_index != -1) {
	oldText = document.theForm\[selectbox].options\[selected_index].text;
	oldValue = document.theForm\[selectbox].options\[selected_index].value;
    } else {
	alert(\"Please select a portlet first.\");
	return false;
    }


    if (oldValue != \"null\") {
	document.theForm\[selectbox].options\[selected_index].value=\"null\"; 
	document.theForm\[selectbox].options\[selected_index].text=\"\"; 
	
	real_length = 0
	x = \"continue\"
	while ( x == \"continue\" ) {
	    // calculate the number of elements in the target page after the move
	    if (document.theForm\[\"new\"].options\[real_length].value==\"null\") {
		x = \"stop\"
	    } else {
		real_length++;
	    }
	}
	// Moves text/value to the bottom of the unused portlet box
	document.theForm\[\"new\"].options\[real_length].text = oldText;
	document.theForm\[\"new\"].options\[real_length].value = oldValue;
	
    } else {
	// nothing selected
	alert(\"Please select a portlet first.\");
    }

    real_length = 1
    x = \"continue\"
    while ( x == \"continue\" ) {
	// calculate the number of elements in the 'from' selectbox (after the move?)
	if (document.theForm\[selectbox].options\[real_length].value==\"null\") {
	    x = \"stop\"
	} else {
	    real_length++;
	}
    }
    counter = selected_index
    // Adjusts for the blank on the old selectbox
    while (counter < real_length) {
	oldText = document.theForm\[selectbox].options\[counter].text
	oldValue = document.theForm\[selectbox].options\[counter].value
	document.theForm\[selectbox].options\[counter].text = document.theForm\[selectbox].options\[counter+1].text;
	document.theForm\[selectbox].options\[counter].value = document.theForm\[selectbox].options\[counter+1].value;
	document.theForm\[selectbox].options\[counter+1].text = oldText;
	document.theForm\[selectbox].options\[counter+1].value = oldValue;
	counter++;
    }
    return false;
}


function addPortlet(side, page) {
    selectbox = side + page;
    selected_index = document.theForm\[\"new\"].selectedIndex;
    if (selected_index != -1) {
	oldText = document.theForm\[\"new\"].options\[selected_index].text;
	oldValue = document.theForm\[\"new\"].options\[selected_index].value;
    } else {
	alert(\"Please select a portlet first.\");
	return false;
    }

    if (oldValue != \"null\") {
	 	
	real_length = 0
	x = \"continue\"
	while ( x == \"continue\" ) {
	    // calculate the number of elements in the target page after the move
	    if (document.theForm\[selectbox].options\[real_length].value==\"null\") {
		x = \"stop\"
	    } else {
		real_length++;
	    }
	}
	// Moves text/value to the bottom
	document.theForm\[selectbox].options\[real_length].text = oldText;
	document.theForm\[selectbox].options\[real_length].value = oldValue;
	
    } else {
	// nothing selected
	alert(\"Please select a portlet first.\");
    }

    real_length = 1
    x = \"continue\"
    while ( x == \"continue\" ) {
	// calculate the number of elements in the 'from' selectbox 
	if (document.theForm\[\"new\"].options\[real_length].value==\"null\") {
	    x = \"stop\"
	} else {
	    real_length++;
	}
    }

    // erase the portlet from the original page
    document.theForm\[\"new\"].options\[selected_index].text = \"\";
    document.theForm\[\"new\"].options\[selected_index].value = \"null\";

    counter = selected_index;
    // Adjusts for the blank on the old selectbox
    while (counter < real_length) {
	oldText = document.theForm\[\"new\"].options\[counter].text
	oldValue = document.theForm\[\"new\"].options\[counter].value
	document.theForm\[\"new\"].options\[counter].text = document.theForm\[\"new\"].options\[counter+1].text;
	document.theForm\[\"new\"].options\[counter].value = document.theForm\[\"new\"].options\[counter+1].value;
	document.theForm\[\"new\"].options\[counter+1].text = oldText;
	document.theForm\[\"new\"].options\[counter+1].value = oldValue;
	counter++;
    }
    return false;
}


function doSub() {
    // Loads the string of elements on a page into hidden variables .left and  .right
    // These are used on the latter page for the update.
"

append page_content "
document.theForm\[\"left\"].value = \"\";
document.theForm\[\"right\"].value = \"\";
document.theForm\[\"hiddennames\"].value = \"\";
"

set page_temp 1
while {$page_temp <= $num_pages + 1} {
	append page_content "
    document.theForm\[\"left\"].value += '{'+doSubSide(\"left$page_temp\")+'} ';
    document.theForm\[\"right\"].value += '{'+doSubSide(\"right$page_temp\")+'} ' ;
    document.theForm\[\"hiddennames\"].value += '{'+document.theForm.page_name$page_temp.value+'} '"    
	incr page_temp
    }
append page_content "
    return true;
}

function doSubSide(side) {
    // What does this function do?  -ib
    val = \"\";
    for (i=0;i<document.theForm\[side].length;i++) {
	newval = document.theForm\[side].options\[i].value;
	if (newval != \"null\") {
	    if (i!=0) { val += \" \"; }   
	    val += newval
	}
    } 
    return val;
}

"

doc_return 200 text/html $page_content
