ad_page_contract {
    Portal Customization

    @author aure@arsdigita.com 
    @author dh@arsdigita.com
    @author tarik@alatovic.com
    @cvs-id $Id: customize.tcl,v 1.4 2001/02/11 00:15:30 tarik Exp $
} {
    portal_id:naturalnum
}

if ![portals_user_has_permission_p $portal_id administer] {
    portals_return_unauthorized
    ad_script_abort
}

set domain_id [portals_get_portal_property domain_id $portal_id]
set portal_name [portals_get_portal_property portal_name $portal_id]
set portal_type [portals_get_portal_property type $portal_id]
set default_portal_p [ad_decode $portal_type default_portal 1 0]

# Get generic display information
portals_display_info

set num_pages [portals_get_portal_property page_count $portal_id]
set num_portlets [portals_get_domain_property portlet_count $domain_id]
    
append page_content "
<html>
<head>
<title>Portal Customization</title>

<script src=customize-js?[export_url_vars num_pages num_portlets]></script>
</head>
<body bgcolor=white text=black>
$font_tag
<h2>Customization of ${portal_name}'s portal</h2>

<table width=100% border=0 cellpadding=0 cellspacing=0>
<tr><td>This page enables you to manage current content.<br>
[ad_decode $default_portal_p 0 "Click here to <a href=\"revert?[export_url_vars portal_id]\">to revert portal to default settings</a>." "" ]</td></tr>"
   
if { $portal_type=="group" } {
    append page_content "
    <tr> <td valign=bottom><br><form action=edit-url-identifier method=get>
    [export_form_vars portal_id]
    URL Identifier: <input type=text size=20 name=url_identifier value=\"[portals_get_portal_property url_identifier $portal_id]\"> 
    <input type=submit value=Update></form> 
    </td></tr>"
}

append page_content "
<tr><td align=right>
<form action=customize-2 method=get name=theForm>
[export_form_vars portal_id]
<input type=hidden name=\"left\" value=\"\" >
<input type=hidden name=\"right\" value=\"\">
<input type=hidden name=\"hiddennames\" value=\"\">Click here when completed: 
<input type=submit value=\"Save and Exit\" onClick=\"return doSub();\"></td></tr>
</table><p>
"

set n_longest 30

set spaces ""

for {set i 0} {$i <=  $n_longest} {incr i} {
    append spaces "&nbsp;"
}

set x 0
set extra_options ""
while {$x <= $num_portlets} {
    if { $x == 0 } {
	append extra_options "<option value=\"null\">$spaces</option>\n"
    } else {
	append extra_options "<option value=\"null\">&nbsp;</option>\n"
    }
    incr x
}

for {set current_page 1} {$current_page <= [expr $num_pages + 1]} {incr current_page} {
    set left_select ""
    set right_select ""
    set page_name ""

    db_foreach portlet_list "
    select    pdp.portlet_id, pdp.portlet_name, pp.page_number, pp.page_name, pppm.page_side
    from      portal_pages pp, portal_portlet_page_map pppm, portal_domain_portlets pdp
    where     pp.portal_id=:portal_id
    and       pp.page_id=pppm.page_id
    and       pppm.portlet_id=pdp.portlet_id
    and       pp.page_number = :current_page
    order by  pppm.page_side, pppm.sort_key" {
	set portlet_name [string range [string toupper $portlet_name] 0 31]
	
	if {$page_side == "l"} {
	    append left_select "<option value=\"$portlet_id\">$portlet_name</option>\n"
	} else {
	    append right_select "<option value=\"$portlet_id\">$portlet_name</option>\n"
	}
    }

    regsub -all { } [string tolower $portal_name] {-} lower_user_name

    if !$default_portal_p { 
	if {$current_page != [expr $num_pages + 1]} {
	    set right_link "<td align=right>(<a target=_new href=[portals_get_portal_property base_url $portal_id]/page-$current_page/>view current version</a>)</td>"
	} else {
	    set right_link "<td align=right>(a new page if needed)</td>"
	}
    } else {
	set right_link ""
    }
	    
    append page_content "
	<table width=100% bgcolor=#000000 border=0 cellpadding=0 cellspacing=1><tr><td>
	    <table bgcolor=#cccccc cellspacing=1 cellpadding=4 width=100% border=0>
	       <tr>
	          <td colspan=2 bgcolor=#cccccc>
	             <table width=100% border=0 cellpadding=0 cellspacing=0>
	                <tr>
	                   <td>
                              Page \#$current_page
                              Title: <font face=arial,helvetica size=-1><input name=page_name$current_page type=text size=30 value=\"$page_name\">
                           </td>
                           <td align=right>
                              $right_link
                           </td>
                        </tr>
                     </table>
                  </td>
	       </tr>
	       <tr>
	       <td bgcolor=#dddddd valign=top align=center><table border=0 cellpadding=1 cellspacing=0>
	          <tr><td><table cellpadding=4>
	          <tr>
	             <td><a href=\"#\" onClick=\"return deletePortlet('left',$current_page)\"><img src=pics/x.gif width=18 height=15 border=0 alt=Delete></a></td>
	          </tr>
	       </table></td>
	             <td><font face=courier size=-1><select name=\"left$current_page\" size=6>$left_select $extra_options</select></td>
	             <td><table cellpadding=4>
	          <tr>
	             <td><a href=\"#\" onClick=\"return movePortlet('up','left',$current_page)\"><img src=pics/up.gif width=18 height=15 border=0 alt=\"Up\"></a></td>
	          </tr>
	          <tr>
	             <td><a href=\"#\" onClick=\"return slidePortlet('left',$current_page)\"><img src=pics/right.gif width=18 height=15 border=0 alt=\"Right\" hspace=10></a></td>
	          </tr>
    "

    if { $current_page <= $num_pages } {
	append page_content "
	          <tr>
	             <td><a href=\"#\" onClick=\"return movePortlet('down','left',$current_page)\"><img src=pics/down.gif width=18 height=15 border=0 alt=Down></a></td>
	          </tr>
	"
    } else {
	append page_content "
 	          <tr>
	             <td><a href=\"#\" onClick=\"return deletePortlet('left',$current_page)\"><img src=pics/down.gif width=18 height=15 border=0 alt=Down></a></td>
	          </tr>
	"
    }

    append page_content "
	       </table></td>
	    </tr></table></td>
	        <td bgcolor=#dddddd valign=top align=center width=50%><table border=0 cellpadding=1 cellspacing=0>
	           <tr>
	              <td><table cellpadding=4>
	           <tr>
	              <td align=right><a href=\"#\" onClick=\"return movePortlet('up','right',$current_page)\"><img src=pics/up.gif width=18 height=15 border=0 alt=\"Up\"></a></td>
	           </tr>
	           <tr>
	              <td><a href=\"#\" onClick=\"return slidePortlet('right',$current_page)\"><img src=pics/left.gif width=18 height=15 border=0 alt=\"Left\" hspace=10></a></td>
	           </tr>
    "

    if { $current_page <= $num_pages } {
	append page_content "
	           <tr>
	              <td align=right><a href=\"#\" onClick=\"return movePortlet('down','right',$current_page)\"><img src=pics/down.gif alt=Down width=18 height=15 border=0></a></td>
	           </tr>
	"
    } else {
	append page_content "
	           <tr>
	              <td align=right><a href=\"#\" onClick=\"return deletePortlet('right',$current_page)\"><img src=pics/down.gif alt=Down width=18 height=15 border=0></a></td>
	           </tr>
	"
    }
    
    append page_content "
	        </table></td>
	        <td><font face=courier size=-1><select name=\"right$current_page\" size=6>$right_select $extra_options</select></td>
	        <td><table cellpadding=4>
	           <tr>
	              <td><a href=\"#\" onClick=\"return deletePortlet('right',$current_page)\"><img src=pics/x.gif width=18 height=15 border=0 alt=Delete></a></td>
	           </tr>
	        </table></td>
	    </tr>
	    </table></td>
	    </tr>
	    </table></td>
	    </tr>
	    </table><br>
        "
}

# a list of all the portlets that haven't been placed in the portal.
append page_content "
	<table width=100% bgcolor=#0000 border=0 cellpadding=0 cellspacing=1><tr><td>
	    <table bgcolor=#cccccc cellspacing=1 cellpadding=4 width=100% border=0>
	       <tr>
	          <th bgcolor=#cccccc>Portlets that you don't currently use:</th>
               </tr>
               <tr><td width=100% bgcolor=#dddddd align=center><table><tr>
<td align=right valign=top><table cellpadding=4>
	           <tr>
	              <td><a href=\"#\" onClick=\"return addPortlet('left',[expr $num_pages + 1])\"><img src=pics/up.gif width=18 height=15 border=0 alt=\"Up\"></a></td>
	           </tr>
	        </table></td>
<td valign=top><font face=courier size=-1><select name=new size=5>"

db_foreach unused_portlets "
select   pdp.portlet_id, pdp.portlet_name
from     portal_domain_portlets pdp
where    pdp.domain_id=:domain_id
and      pdp.portlet_id not in (select    pppm.portlet_id
                                from      portal_pages pp, portal_portlet_page_map pppm
                                where     pp.portal_id=:portal_id
                        	and       pp.page_id=pppm.page_id)
and      portal_portlet.control_panel_p(pdp.portlet_id, :domain_id)=0
order by pdp.portlet_name" {
    set portlet_name [string toupper [util_striphtml $portlet_name]]
    append page_content "<option value=$portlet_id>$portlet_name</option>\n "
}

append page_content "$extra_options</select></td>
<td align=left valign=top><table cellpadding=4>
	           <tr>
	              <td><a href=\"#\" onClick=\"return addPortlet('right',[expr $num_pages +1])\"><img src=pics/up.gif width=18 height=15 border=0 alt=\"Up\"></a></td>
	           </tr>
	        </table></td></tr></table></center></td></tr></table></td></tr></table>
<p>

<table width=100% border=0 cellpadding=0 cellspacing=0><tr><td>
Key:<ul><img src=pics/x.gif width=18 height=15 border=0>  - Delete selected item
    <br><img src=pics/up.gif width=18 height=15 border=0> - Move item up 
    (to previous page if it is already at the top of the current page)
<br><img src=pics/right.gif width=18 height=15 border=0> - Move item from the left side of the page to the right
<br><img src=pics/left.gif width=18 height=15 border=0>  - Move item from the right side of the page to the left
<br><img src=pics/down.gif width=18 height=15 border=0>  - Move down 
    (to next page if it is already at the bottom of the current page)
</td>
<td valign=top align=right>Click here when completed: <input type=submit value=\"Save and Exit\" onClick=\"return doSub();\">
</td></tr>
</form>
</table>
[ad_footer]
"

doc_return 200 text/html $page_content










