# /packages/register/admin-www/delete-users.tcl

ad_page_contract {
    @cvs-id delete-users.tcl,v 3.5.2.6.2.4 2001/01/09
    @author befekadu ayenew (befekadu@mit.edu)
} {
    key_list:notnull
}

set admin_user_id [ad_verify_and_get_user_id]

set list_of_keys [split $key_list ":"]
set sql_key_list [join $list_of_keys ","]

db_dml delete_user "update users set deleted_date=sysdate,
deleting_user = :admin_user_id,
user_state = 'deleted'
where user_id in ($sql_key_list)"
set action_report "The following users have been deleted: <p>"

db_dml remove_users_from_groups "delete from user_group_map where user_id in ($sql_key_list)"

db_foreach select_deleted_users "select first_names || ' ' || last_name full_name from users where user_id in ($sql_key_list)" {
    append action_report "<li> $full_name"
}

doc_return  200 text/html "[ad_admin_header "Account deleted"]

<h2>Account Deleted</h2>

<hr>

$action_report.

[ad_admin_footer]
"











