# /register/admin-www/view.tcl

ad_page_contract {
    @cvs-id view.tcl,v 3.5.2.6.2.4 2000/09/22 01:36:26 kevin Exp
} {
    category_id:optional,integer
    country_code:optional 
    usps_abbrev:optional 
    intranet_user_p:optional 
    group_id:optional,integer
    last_name_starts_with:optional  
    email_starts_with:optional 
    expensive:optional 
    user_state:optional 
    sex:optional 
    age_above_years:optional  
    age_below_years:optional
    registration_during_month:optional  
    registration_before_days:optional 
    registration_after_days:optional 
    registration_after_date:optional 
    last_login_before_days:optional 
    last_login_after_days:optional 
    last_login_equals_days:optional  
    number_visits_below:optional 
    number_visits_above:optional 
    user_class_id:optional,integer
    sql_post_select:optional 
    crm_state:optional 
    curriculum_elements_completed:optional 
}

# Removed all of the code for order_by since it was broken and will
# never work the way this page is constructed.

# we get a form that specifies a class of user

set description [ad_user_class_description [ns_conn form]]

append whole_page "[ad_admin_header "Users who $description"]

<h2>Users</h2>

[ad_admin_context_bar "View Class"]

<hr>

<p>Class description:  users who $description.

<p>
"

if { [info exists group_id] } {
    set original_group_id $group_id
} else {
    set original_group_id ""
}

# we print out all the users all of the time

append whole_page "

<ul>
<form action=\"check-submit-value\" method=\"get\">
[export_form_vars original_group_id]
"

set query "
[ad_user_class_query [ns_conn form]]

order by upper(email), 
         upper(last_name),
         upper(first_names)"

if { [catch {

    set count 0
    db_foreach admin_users_view_ordered_query $query {
	incr count
	set element_name user_to_action.$user_id
	append whole_page "<input type=checkbox name=$element_name value=\"Yes\"  checked> <a href=\"one?user_id=$user_id\">$first_names $last_name</a> ($email) \n"
	
	if {$user_state == "need_email_verification_and_admin_approv" || $user_state ==	"need_admin_approv"}  {
	    append whole_page "<font color=red>$user_state</font> <a href=approve?[export_url_vars user_id]>Approve</a> | <a href=reject?[export_url_vars user_id]>Reject</a>"
	}
	append whole_page "<br>"
    
    }

} err_msg] } {
    ad_return_error "Database Error" "We got the following error trying to run this query:
$err_msg<p><pre>$ordered_query</pre>\n"
    return
}


if { $count == 0 } {
    append whole_page "no users found meeting these criteria"
}

append whole_page "
<br>
<input type=\"submit\" value=\"Add users to the following group\" name=\"add\">  
<select name=group_id>
<option></option>
[db_html_select_value_options user_groups_select_options "select user_groups.group_id, group_name from user_groups
order by lower(group_name)"]
</select>
<br>

<input type=\"submit\" value=\"Mark users as deleted\" name=\"delete\">"

if { ![empty_string_p $original_group_id] } {
    append whole_page "<input type=\"submit\" value=\"Remove users from group\" name=\"remove\"> <br>"
}

append whole_page "
<input type=\"submit\" value=\"Set default bboard view\" name=\"bboard\">
</ul>

[ad_admin_footer]
"



doc_return  200 text/html $whole_page







