ad_proc -public stock_quotes_widget {} {
} {
    if {![info exists orderby] || [empty_string_p $orderby]} {
	set orderby "symbol"
    }

    set user_id [ad_verify_and_get_user_id]
    
    set table_def {
	{ "symbol" "Symbol" {} { <td align=center width=100> [string toupper $symbol] </td>} }
	{ "price" "Price" {} {<td align=center nowrap width=100> \$ $price </td>}   }    
	{ "change" "Change" {} {<td align=center width=100><font color=$up_down>$change</font></td>} }
	{ "percent_change" "% change" {} { <td align=center width=100><font color=$up_down>$percent_change</font></td> } }
	{ "update_time" "Time" {} { <td align=center><i>As of $update_time</i></td> } }
    }

    set rowcode {[
        set memoize_timeout 1200
        set page ""
	set url "http://quotes.nasdaq-amex.com/Quote.dll?page=quick&mode=Stock&symbol=$symbol"
	set page [string tolower [util_memoize "ns_httpget $url 3" $memoize_timeout]]
	set price ""
	set up_down ""
	set change "-"
	set percent_change ""
        set update_time ""
	set volume ""
	
    if {[info exists page] && ![empty_string_p $page]} {
	if {$default_p=="f"} {
	    regexp -nocase {<td[^>]*>[^<]*<nobr>[^<]*<b>[^0-9\.\$<]*\$*[^0-9\.\$<]*([0-9\.]+)[^<]*</b>[^<]*</nobr>[^<]*</td>} $page match price
	} else {
	    regexp -nocase {<td[^>]*>[^<]*<nobr>[^<]*<b>[^0-9\.<]*([0-9\.]+)[^<]*</b>[^<]*</nobr>[^<]*</td>} $page match price
	}

	regexp -nocase {<td[^>]*>[^<]*<nobr>[^<]*<b>[^<]*<font color="(.*)">[^0-9]*([0-9\.]*)[^0-9]*</font>[^<]*<img src=} $page match up_down change
	regexp -nocase {<td[^>]*>[^<]*<nobr>[^<]*<b>[^<]*<font color=".*">[^0-9]*([0-9\.]*)[^0-9]*\%[^<]*</b>[^<]*</nobr>[^<]*</td>} $page match percent_change
	regexp -nocase {<td[^>]*>[^<]*<nobr>[^<]*<font[^>]*>As of([^<]*)</nobr>[^<]*</font>[^<]*</td>} $page match update_time
    }
	if ![empty_string_p $percent_change] {
	    append percent_change "\%"
	} else {
	    set percent_change -
	}
    

	set volume
    ]}

    set sql_query "
	select symbol, default_p 
	from stock_quotes 
	where user_id=$user_id [ad_order_by_from_sort_spec $orderby $table_def]"

    set html [ad_table -Torderby $orderby -Tpre_row_code $rowcode "select_stocks" $sql_query $table_def]

    db_release_unused_handles
    
    return $html
}

ad_proc stock_quotes_customization_URL {} {
} {
    set return_url [ad_conn url]
    return "/stock-quotes/personalize?[export_url_vars return_url]"
}

