ad_page_contract {
    @author aileen@mit.edu
    @author randyg@arsdigita.com
    @creation-date Jan 2000
    @cvs-id stocks-personalize.tcl,v 3.5.2.4 2000/07/21 04:03:22 ron Exp
} {
    return_url:notnull
}

set user_id [ad_verify_and_get_user_id]

set symbol_list ""
set count 0

# we're allowing 3  market indices
set num_indices 3
set nasdaq_on ""
set djia_on ""
set snp_on ""

db_foreach stocks  "select symbol from stock_quotes where user_id=:user_id" {
    if {[string compare [string toupper $symbol] IXIC]==0} {
	set nasdaq_on "checked"
    } elseif {[string compare [string toupper $symbol] INDU]==0} {
	set djia_on "checked"
    } elseif {[string compare [string toupper $symbol] SPX]==0} {
	set snp_on "checked"
    } else {    
	if {$count} {
	    append symbol_list ","
	}
	
	append symbol_list [string toupper $symbol]
    }
    incr count
}

doc_return 200 text/html "
[ad_header "Personalize Stock Quotes"]
<h2>Personalize Stock Quotes</h2>
[ad_context_bar_ws Stock Quotes]

<hr>
<blockquote>
Your current list of stock symbols: (edit the list by adding/deleting comma-separated stock symbols)
<p>
<form method=post action=personalize-2>
[export_form_vars num_indices return_url]
<textarea cols=80 rows=5 wrap name=symbols>$symbol_list</textarea>
<p>
<input type=checkbox name=market_index1 $nasdaq_on value=IXIC>NASDAQ &nbsp;&nbsp;&nbsp;&nbsp;
<input type=checkbox name=market_index2 $djia_on value=INDU>DJIA &nbsp;&nbsp;&nbsp;&nbsp;
<input type=checkbox name=market_index3 $snp_on value=SPX>S&P 500
<p>
<input type=submit value=Edit>
</form>
</blockquote>
[ad_footer]
"

	
