ad_library {
    
    Procs for generating the survey portals

    @author dparker@arsdigita.com
    @date  January 4, 2001
}


# returns all the surverys 
ad_proc GetSurveys {} {
    set user_id [ad_verify_and_get_user_id]
    if {[portals_info type]=="group"} {

	set html "
	[ad_page_contract {
	} {
	    {orderby "survey_name"}
	}
	set group_id [portals_info group_id]
	set group_name [portals_info portal_name]

	set missing_text "$group_name has no active Surveys"


	set dimensional {
	    {	
		survey_state "Survey State" new {
		    {new "New" {where "(select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) = 0"}}
		    {multiple "Open" {where "(select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) > 0"}} 
		    {all "All" {}}
		}
	    }
	}
	set table_def {
	    {
	    survey_name 
		{Name} 
		{}
		{<td><a href=/survey/add-edit-response.tcl?[export_url_vars survey_id scope group_id]> $survey_name </a></td>}
  	    } { group_name
  		{Group}
  		{}
  		{<td>[survsimp_util_group_link $group_name]</td>}
  	    } {creation_date 
		{Date}
		{}
		{<td>[util_AnsiDatetoPrettyDate $creation_date]</td>}
	    }
	}
	set selection_sql "
	select ss.survey_id, ss.name as survey_name, ss.response_editable_p, 
	ss.single_response_p, ss.creation_date, ug.group_id, ug.group_name, ss.scope,
	ug.short_name, ug.group_type
	from survsimp_surveys ss, user_groups ug
	where ss.group_id = ug.group_id
	and ug.group_id in (select ug3.group_id
                            from user_groups ug3
                            start with ug3.group_id= $group_id
                            connect by prior ug3.group_id = ug3.parent_group_id)
	and exists (select * from user_group_map ugm
                    where ugm.group_id=ug.group_id
                    and ugm.user_id=$user_id)
	and ss.enabled_p = 't'
	and not (ss.single_response_p = 't' and (select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) > 0)
	and not (ss.response_editable_p = 'f' and (select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) > 0)
	[ad_dimensional_sql $dimensional where]
	[ad_order_by_from_sort_spec $orderby $table_def]"   
	
	set missing_text "The are no active Surveys of this type"
	append return_html "
	[ad_dimensional $dimensional]
	<ul>
	[ad_table -Torderby $orderby -Tmissing_text $missing_text get_web_service_table $selection_sql $table_def]
	<P>
	"
	append return_html "<a href=/survey/old-responses.tcl?group_id=$group_id&scope=group> View/Edit old responses </a>"
		
	if {[ad_user_group_authorized_admin $user_id $group_id]} {
	    append return_html " <p><a href=/survey/admin/index.tcl?scope=group&group_id=$group_id> 
	    Administer surveys for this group </a> </blockquote>"
	}
	
        return $return_html]"
    } elseif {[portals_info type] == "user"} {
	
	# ok this is for a user portal?
	
	set missing_text "You have no active Surveys"


	# first we will grab site wide surveys, then we will grab the surveys for the user's groups.
		
	set html "
	[ad_page_contract {
>	} { 
	    {orderby "survey_name"}
	    {scope_type "all"}
	}
	set user_id [ad_verify_and_get_user_id]
	#We may want to add dimensional if this gets popular and showing everything doesn't scale
	set dimensional ""
#  	set dimensional {
#  	    {	
#  		scope_type "Survey Type" all {		
#  		    {public "Site Wide" {where "scope = 'public'"}}
#  		    {group "Group" {where "scope = 'group'"}}
#  		    {all "All" {} }
#  		}   
#  	    } {
#  		survey_state "Survey State" new {
#  		    {new "New" {where "(select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) = 0"}}
#  		    {multiple "Open" {where "(select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) > 0"}} 
#  		    {all "All" {}}
#  		}
#  	    }
#  	}  
	
	set table_def {
  	    {
  	    survey_name 
  		{Name} 
  		{}
  		{<td><a href=/survey/add-edit-response.tcl?[export_url_vars survey_id scope group_id]> $survey_name </a></td>}
  	    } { group_name
  		{Group}
  		{}
  		{<td>[survsimp_util_group_link $group_name]</td>}
  	    } {
  		creation_date 
  		{Date}
  		{}
  		{<td>[util_AnsiDatetoPrettyDate $creation_date]</td>}
  	    }
	}
	
	
 	set selection_sql "
	select ss.survey_id, ss.name as survey_name, ss.response_editable_p, 
	ss.single_response_p, ss.creation_date, ug.group_id, ug.group_name, ss.scope,
	ug.short_name, ug.group_type
	from survsimp_surveys ss, user_groups ug, user_group_map ugm
	where ss.group_id = ug.group_id (+)
        and ug.group_id = ugm.group_id
        and ugm.user_id = :user_id
	and ss.enabled_p = 't'
	and not (ss.single_response_p = 't' and (select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) > 0)
	and not (ss.response_editable_p = 'f' and (select count(*) from survsimp_responses where user_id=$user_id and survey_id=ss.survey_id) > 0)
	[ad_dimensional_sql $dimensional where]
	[ad_order_by_from_sort_spec $orderby $table_def]"   

	set bind_vars [ns_set create]
	ns_set put $bind_vars user_id $user_id
	append return_html "
	[ad_dimensional $dimensional]
	<ul>
	[ad_table -Torderby $orderby -Tmissing_text $missing_text -bind $bind_vars get_web_service_table $selection_sql $table_def]
	<P>
	"
	append return_html "<a href=/survey/old-responses.tcl?[export_url_vars scope_type]> View/Edit old responses </a><p>"
	
	return $return_html]"
	
    }          
}    

ad_proc -public portals_survey_administration_link {} { 
    Provides a link (relevant to scope) to add an item to news if you have permission to do so.

    @creation-date January 2001
    @author befekadu@mit.edu
    @return a link to add a survey, or empty string if the user doesn't have permission.
} {
    set html ""
    set scope [portals_info type]
    set group_id [portals_info group_id]


    if {[ad_administrator_p]} {
	append html "<a href=\"/survey/admin/\"><img src=\"/portals/pics/edit.gif\" border=0></a>"
    } elseif { $scope == "group" } {
	if { [ad_scope_authorization_status $scope admin group_admin admin $group_id] == "authorized" } {
	    append html "<a href=\"/survey/admin/survey-create?[export_url_vars group_id scope]\"><img src=\"/portals/pics/edit.gif\" border=0></a>"
	}
    }

    return "$html"
}




