# /www/survsimp/admin/index.tcl
ad_page_contract {
    This page is the main table of contents for navigation page 
    for simple survey module administrator
    
    Update for group scoping by dparker@arsdigita.com Dec 4 2000

    @author philg@mit.edu
    @date February 9, 2000
    @cvs-id index.tcl,v 1.5.2.5 2000/07/21 04:04:09 ron Exp
} {
    scope:optional
    group_id:integer,optional
    on_which_group:integer,optional
    on_what_id:integer,optional
}

set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
#ad_scope_authorize $scope admin group_admin none

set page_content "
[ad_scope_admin_header "Simple Survey System (Admin)"]
[ad_scope_admin_page_title "Simple Survey System Administration"]
[ad_scope_admin_context_bar "Simple Survey Admin"]

<hr>

"
set counter 0

if { [info exists scope] && [info exists group_id] && $scope == "group" && [ad_user_group_authorized_admin $user_id $group_id] } {
    
    set sql_query "select survey_id, group_name, ug.group_id, name, enabled_p
    from survsimp_surveys, user_groups ug 
where survsimp_surveys.group_id = ug.group_id 
and survsimp_surveys.group_id = $group_id
order by group_name, name"
} elseif { [ad_administrator_p] } {
    set sql_public "select survey_id, name, enabled_p
    from survsimp_surveys
    where group_id is null
    order by enabled_p desc, name"
    

    set scope "public"
    db_foreach survsimp_surveys $sql_public {
	if {!$counter} {
	    append page_content "</ul></ul><ul><li><b>Public Surveys</b>&nbsp;&nbsp;\[<a href=\"/survey/admin/survey-create?scope=$scope\">Create a new survey</a>\]\n</li><ul>"
	}
	incr counter
	append page_content "<li><a href=\"one?[export_url_vars survey_id]&[export_url_scope_vars]\">$name</a>\n</li>"
	if { $enabled_p == "f" } {
	    append page_content "- Disabled\n</li>"
	} else {
	    append page_content "- Enabled\n</li>"
	}
	
    }
    if $counter {
	append page_content "</ul></ul>"
    }


    set sql_query "select survey_id, group_name, ug.group_id, name, enabled_p
    from survsimp_surveys, user_groups ug 
    where survsimp_surveys.group_id = ug.group_id 
    order by group_name, enabled_p DESC, name"
}

set enabled_header_written_p 0
set disabled_header_written_p 0
set enabled_p ""

set current_group 0
set scope "group"
db_foreach survsimp_surveys $sql_query {
    incr counter
    
    if { $current_group != $group_id && $current_group == 0} {
	append page_content "<ul><li><b>$group_name</b>&nbsp;&nbsp;\[<a href=\"/survey/admin/survey-create?scope=$scope&&group_id=$group_id\">Create a new survey</a>\]\n</li><ul>"
	set current_group $group_id
    } elseif { $current_group != $group_id && $current_group != 0} {
	append page_content "</ul></ul><ul><li><b>$group_name</b>&nbsp;&nbsp;\[<a href=\"/survey/admin/survey-create?scope=$scope&&group_id=$group_id\">Create a new survey</a>\]\n</li><ul>"
    }


    append page_content "<li><a href=\"one?[export_url_vars survey_id]&[export_url_scope_vars]\">$name</a>\n</li>"
    if { $enabled_p == "f" } {
	append page_content "- Disabled\n</li>"
    } else {
	append page_content "- Enabled\n</li>"
    }
    set current_group $group_id

}

db_release_unused_handles

append page_content "

</ul></ul>
"

if { $counter == 0 && [info exists group_id] } {
    append page_content "<blockquote><b>This group does not currently have any surveys.</b><p>
    <a href=\"survey-create?group_id=$group_id&scope=$scope\">Create a new survey</a>
 </blockquote>"
} elseif { $counter == 0 && ![info exists group_id] } {
    append page_content "<blockquote><b>There are currently no surveys.</b></blockquote><p>"
}

append page_content "
<p>
[ad_scope_admin_footer]
"

doc_return 200 text/html $page_content 









