# /wp/reorder-slides-2.tcl

ad_page_contract {
    Saves changes made to question order.
    this was adobted from /wp/reorder-slides-2.tcl written by 
    jon salz jsalz@mit.edu

    @param presentation_id
    @param slide_id list of slide_ids in order from reorder-slides

    @creation-date  28 Nov 1999
    @author Jon Salz <jsalz@mit.edu>, dparker <dparker@arsdigita.com>
    @cvs-id reorder-slides-2.tcl,v 3.1.6.6 2000/07/24 03:40:33 jwong Exp
} {
    survey_id:naturalnum,notnull
    question_id:multiple,naturalnum,notnull
    scope:optional
    group_id:optional,integer
    on_which_group:optional,integer
    on_what_id:optional,integer
}

set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
ad_scope_authorize $scope admin group_admin none

# Just iterate over the values for question_id in order and set their respective
# sort_keys to 1, 2, 3, ...
set counter 0
foreach question $question_id {
    incr counter
    db_dml wp_slide_order_update "
        update survsimp_questions
        set    sort_key = :counter
        where  question_id = :question
        and    survey_id = :survey_id
    "
}

db_release_unused_handles

ad_returnredirect "one.tcl?survey_id=$survey_id&[export_url_scope_vars]"

