# /wp/reorder-slides.tcl
ad_page_contract {
    Allows an author to change the order of questions. 
    This page is taken from /wp/reorder-slides written by
    Jon Salz jsalz@mit.edu

    @param presentation_id

    @creation-date   14 Dec 2000
    @author Dan Parker dparker@arsdigita.com
    @cvs-id reorder-slides.tcl,v 3.1.2.5 2000/07/21 04:05:15 ron Exp
} {
    survey_id:naturalnum,notnull
    scope:optional
    group_id:optional,integer
    on_which_group:optional,integer
    on_what_id:optional,integer
}



set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
ad_scope_authorize $scope admin group_admin none

set out ""

db_1row presentation_info_sel "
select name as survey_name 
from survsimp_surveys 
where survey_id = :survey_id"

append whole_page "
[ad_scope_admin_header "Reoder Questions"]
[ad_scope_admin_page_title "$survey_name"]
[ad_scope_admin_context_bar [list "index.tcl?[export_url_scope_vars]" "Simple Survey Admin"] \
     [list "one?survey_id=$survey_id&[export_url_scope_vars]" ] \
     "Reorder Questions"]
<form name=f>
<hr>
To move a question in your survey, select the question and click the Up or Down arrow.
When you're done, click <i>Save Changes</i>.

<script language=javascript>

function up() {
    with (document.f.questions) {
        if (selectedIndex > 0) {
            var sel = selectedIndex;
            var selectedText = options\[sel\].text;
            var selectedValue = options\[sel\].value;
            options\[sel\].text = options\[sel-1\].text;
            options\[sel\].value = options\[sel-1\].value;
            options\[sel-1\].text = selectedText;
            options\[sel-1\].value = selectedValue;
            --selectedIndex;
        }
    }
}

function down() {
    with (document.f.questions) {
        if (selectedIndex >= 0 && selectedIndex < length - 1) {
            var sel = selectedIndex;
            var selectedText = options\[sel\].text;
            var selectedValue = options\[sel\].value;
            options\[sel\].text = options\[sel+1\].text;
            options\[sel\].value = options\[sel+1\].value;
            options\[sel+1\].text = selectedText;
            options\[sel+1\].value = selectedValue;
            ++selectedIndex;
        }
    }
}

function done() {
    var query = '';

    with (document.f.questions) {
        var i;
        for (i = 0; i < length; ++i)
            query += '&question_id=' + options\[i\].value;
    }

    location.href = 'reorder-questions-2.tcl?survey_id=$survey_id&[export_url_scope_vars]' + query;
}
</script>

<center>

<p>
<table>
<tr><td rowspan=2>
<select name=questions size=10>
"

set counter 0

db_foreach question_sel "
    select question_id, question_text
    from survsimp_questions
    where survey_id = :survey_id
    order by sort_key
" {
    incr counter
    if {[string length $question_text] > 50 } {
	set trunc_question "[string range $question_text 0 50] . . . "
    } else {
	set trunc_question $question_text
    }
    append out "<option value=$question_id>$counter. $trunc_question \n"
}

append whole_page "$out
</select>
</td>
<td align=center valign=middle><a href=\"javascript:up()\"><img src=\"admin-graphics/up.gif\" border=0</a></td>
</tr>
<tr>
<td align=center valign=middle><a href=\"javascript:down()\"><img src=\"admin-graphics/down.gif\" border=0></a></td>
</tr>

<tr><td align=center><input type=button value=\"Save Changes\" onClick=\"done()\"></td></tr>

</table>
</center>

[ad_scope_admin_footer]
"


doc_return 200 text/html $whole_page









