#
# /www/education/util/spam-confirm.tcl
#
# modified from /groups/group/spam-confirm.tcl
#
# by randyg@arsdigita.com, aileen@mit.edu, January 2000
#
# This page confirms that you want to send the email that you have just typed in
#


ad_page_contract {
    this is documentation

} {
    scope:optional
    group_id:integer,optional
    on_which_group:integer,optional
    on_what_id:integer,optional
    n_recipients:integer,notnull
    subject:notnull
    message:notnull
    from_address:notnull
    response_type:notnull
    survey_id:integer,notnull
}

set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
ad_scope_authorize $scope admin group_admin none        

# generate unique key here so we can handle the "user hit submit twice" case
set spam_id [db_string get_spam_id "select group_spam_id_sequence.nextval from dual"]

set page_content "
[ad_scope_admin_header "Spam Confirm"]
[ad_scope_admin_page_title "Spam Confirm"]
[ad_scope_admin_context_bar [list "index?[export_url_scope_vars]" "Survey Admin"] [list "one?[export_url_scope_vars]&survey_id=$survey_id" "Administer Survey"] [list "spam?[export_url_scope_vars]&survey_id=$survey_id&response_type=$response_type" "Send Spam"] "Confirm Spam"]
<hr>
<blockquote>
"

set creation_date [db_string get_date "select to_char(sysdate, 'YYYY-MM-DD  HH:MI:SS am') from dual"]

append page_content "

<form method=POST action=\"spam-send.tcl\">
[export_form_vars spam_id from_address subject message response_type survey_id n_recipients]
[export_form_scope_vars]

<blockquote>

<table border=0 cellpadding=5 >

<tr><th align=right>Date</th><td>$creation_date </td></tr>

<tr><th align=right>To </th><td>$n_recipients recipients</td></tr>
<tr><th align=right>From </th><td>$from_address</td></tr>


<tr><th align=right>Subject </th><td>$subject</td></tr>

<tr><th align=right valign=top>Message </th><td>
<pre>[ns_quotehtml $message]</pre>
</td></tr>



</table>

</blockquote>
"

if {$n_recipients == 0} {
    append page_content "No one will receive this email since there is no one in the selected group."
} else {
    append page_content "<center><input type=submit value=\"Send Email\"></center>"
}

append page_content "
</blockquote>
[ad_footer]
"

doc_return 200 text/html $page_content












