#
# /www/education/class/admin/spam-send.tcl
#
# heavily taken from /groups/group/spam-send.tcl
#
# modified by randyg@arsdigita.com, aileen@mit.edu, January 2000
#
# this actually sends the spam
#


ad_page_contract {
    This is documentation
} {
    subject:notnull
    spam_id:integer,notnull
    message:notnull
    from_address:notnull
    scope:optional
    group_id:integer,optional
    on_which_group:integer,optional
    on_what_id:integer,optional
    response_type:notnull
    survey_id:integer,notnull
    n_recipients
}


set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
ad_scope_authorize $scope admin group_admin none        


if [catch { db_dml insert_the_spam "
insert into group_spam_history
  (spam_id, group_id, send_to, from_address, subject, body, send_date, 
   sender_ip_address, approved_p, n_receivers_intended, creation_date, sender_id)
values
  ($spam_id, $group_id, :response_type, :from_address, :subject, empty_clob(), sysdate, 
  '[ns_conn peeraddr]', 't', :n_recipients, sysdate, :user_id)
returning body into :1" -clobs $message } errmsg] {
    # choked; let's see if it is because 
    if { [db_string count_there "select count(*) from group_spam_history where spam_id = $spam_id"] > 0 } {
	ns_return 200 text/html "[ad_header "Double Click?"]
	<h2>Double Click?</h2>
	
	<hr>	
	This spam has already been sent.  Perhaps you double clicked?  In any 
	case, you can check the progress of this spam on
	<a href=\"old.tcl?[export_url_vars spam_id]\">the history page</a>.
	
	[ad_footer]"
    } else {
	ad_return_error "Ouch!" "The database choked on your insert:
	<blockquote>
	$errmsg
	</blockquote>
	"
    }
    return
}


if {$response_type == "not_responded"} {
    set spam_sql " 
    map.user_id 
    from survsimp_responses_unique sru, user_group_map map, survsimp_surveys ss
    where sru.survey_id = ss.survey_id
    and ss.survey_id=:survey_id
    and ss.group_id = map.group_id
    and map.user_id not in (select user_id from survsimp_responses_unique where survey_id=:survey_id)
    "
} elseif {$response_type == "responded"} {
    set spam_sql "
    distinct(user_id)
    from survsimp_responses
    where survey_id = $survey_id
    "
} elseif {$response_type == "all"} {
    set spam_sql "
    distinct(user_id) 
    from user_group_map 
    where group_id = $group_id
    "
} else {
    ad_return_error "Unacceptable" "response_state must be in (not_responded, responsed_state, all) it is $response_state"
    return
} 

set user_list [db_list get_users_to "select $spam_sql"]

set email_user_list []

foreach user $user_list {
    set user_to_spam $user
    lappend email_user_list [db_string get_email_address "select email from users where user_id=:user_to_spam"]
}

append message "

--------------------------------------------------------- \n

To stop receiving any future email from this specific sender:\n
click <a href=[ad_url]/user-user-bozo-filter.tcl?[export_url_vars user_id ]>here</a>
"

ReturnHeaders

ns_write "
[ad_scope_admin_header "Spam @ [ad_system_name]"]
[ad_scope_admin_page_title "Spam header"]
[ad_scope_admin_context_bar [list "index?[export_url_scope_vars]" "Survey Admin"] [list "one?[export_url_scope_vars]&survey_id=$survey_id" "Administer Survey"] [list "spam?[export_url_scope_vars]&survey_id=$survey_id&response_type=$response_type" "Send Spam"] "Sending Spam"]
<hr>
<blockquote>

Sending Spam to people
<P>
Sending email to...
<ul>
"


db_release_unused_handles

foreach email $email_user_list {
    with_catch errmsg {
	ns_sendmail $email $from_address $subject $message
	# we succeeding sending this particular piece of mail
	ns_write "$email ... <br>"
	
    } {
	# email failed, let's see if it is because mail 
	# service is completely wedged on this box
	if {[string first "timed out" errmsg] != -1 } {
	    # looks like we couldn't even talk to mail server
	    # let's just give up and return so that this thread
	    # doesn't have around for 10 minutes 
	    ns_log Notice "timed out sending email; giving up on email alerts.  Here's what ns_sendmail returned:\n$errmsg"
	    ns_write "</ul>
	    
	    Something is horribly wrong with the email handler on this computer so
	    we're giving up on sending any email notifications.  Your posting
	    will be enshrined in the database, of course.
	    
	    [ad_footer]"
	    return
	} else {
	    ns_write  "Something is horribly wrong with 
	    the email handler on this computer so
	    we're giving up on sending any email notifications.  Your posting
	    will be enshrined in the database, of course.
	    
	    
	    <p>
	    <blockquote>
	    <pre>
	    $errmsg
	    </pre>
	    </blockquote>"
	    return
	}
    }
}

    
# we're done processing the email queue
ns_write "
</ul>
<p>

We're all done with the email notifications now.  If any of these
folks typed in a bogus/misspelled/obsolete email address, you may get a
bounced message in your inbox.
</blockquote>
[ad_footer]
"






