ad_page_contract {
    
    Form to allow user to edit a survey.
    
    @param  survey_id  integer denoting survey whose description we're changing
    
    @author Dan Parker dparker@arsdigita.com
    @date   Dec 4, 2000
    @cvs-id description-edit.tcl,v 1.7.2.10 2000/07/21 20:21:09 seb Exp
} {
    survey_id:integer
    scope:optional
    group_id:optional,integer
    on_which_group:optional,integer
    on_what_id:optional,integer
}    


set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
ad_scope_authorize $scope admin group_admin none

set survey_info [db_list_of_lists get_survey_info "select group_id, creation_user from survsimp_surveys where survey_id=$survey_id"]

set survey_owner [lindex [lindex $survey_info 0] 0]
set surv_group_id [lindex [lindex $survey_info 0] 1]

if { ![ad_user_group_authorized_admin_or_site_admin $user_id $surv_group_id] && $survey_owner != $user_id } {
    ad_return_complaint 1 "You do not have permission to view this survey.  You were probably editing the URL, if not contact the administrator."
}

db_0or1row survey_properites "select name as survey_name, description, description_html_p as desc_html, 
single_response_p, response_editable_p, enabled_p, layout_type
from survsimp_surveys
where survey_id = :survey_id
"
 
if {![info exists survey_name]} {
    set see_if_there [db_string count_suvery "select count(*) from survsimp_surveys where survey_id=:survey_id"]
    if {$see_if_there} {
	ad_return_complaint 1 "You do not have permission to view this survey.  You were probably editing the URL, if not contact the administrator."
    } else {
	ad_return_complaint 1 "That survey does not exist"
    }
}


if {![info exists survey_name]} {
        set see_if_there [db_string count_suvery "select count(*) from survsimp_surveys where survey_id=:survey_id"]
    if {$see_if_there} {
	        ad_return_complaint 1 "You do not have permission to view this survey.  You were probably editing the URL, if not contact the administra\tor."
    } else {
	        ad_return_complaint 1 "That survey does not exist"
    }
}  


set page_content "
[ad_scope_admin_header "Edit Survey"]
[ad_scope_admin_page_title "Edit the info this survey"]
[ad_scope_admin_context_bar [list "?[export_url_scope_vars]" "Simple Survey Admin"] [list "one?[export_url_vars survey_id]&[export_url_scope_vars]" "Administer Survey"] "Edit Description"]

<hr>                  

<blockquote>
<form method=post action=\"survey-edit-2\">
[export_form_vars survey_id]
[export_form_scope_vars]

<table>
<tr>
<th align=right>Survey Name:</th>
<td>
<input type=text name=name value=\"$survey_name\" size=30>
<tr>
<th align=right: valign=top>Survey Description </th>
<td>

<textarea name=description rows=10 cols=65>$description</textarea>
<br>
The description above is:
<input type=radio name=desc_html value=\"plain\" [ad_decode $desc_html "f" "checked" ""]>Plain text
<input type=radio name=desc_html value=\"html\" [ad_decode $desc_html "t" "checked" ""]> HTML
<P>

"


if {$enabled_p == "t"} {
    set enable_option_value_list {t f}
    set enable_option_name_list {"Enabled - running" "Disabled - not visable to users"}
} else {
    set enable_option_value_list {f t}
    set enable_option_name_list {"Disabled - not visable to users" "Enabled - running"}
}

if {$single_response_p == "t"} {
    set response_option_value_list {t f}
    set response_option_name_list {"One response per user" "Mulitiple responces per user"}
} else {
    set response_option_value_list {f t}
    set response_option_name_list {"Mulitiple responces per user" "One response per user"} 
}   


if {$response_editable_p == "t"} {
    set edit_option_value_list {t f}
    set edit_option_name_list {"Users may edit their previous responces" "Users may NOT edit their previous responces"}
} else {
    set edit_option_value_list {f t}
    set edit_option_name_list { "Users may NOT edit their previous responces" "Users may edit their previous responces"}
}
 
append page_content "

<tr>
<th align=right>Survey Status:</th>
<td> 
<select name=enabled_p>
[ad_generic_optionlist $enable_option_name_list $enable_option_value_list]
</select>


<tr>
<th align=right>Responces per User</th>
<td> 
<select name=single_response_p>
[ad_generic_optionlist $response_option_name_list $response_option_value_list]
</select>

<tr>
<th align=right>Responces per User</th>
<td> 
<select name=response_editable_p>
[ad_generic_optionlist $edit_option_name_list $edit_option_value_list]
</select>

<tr>
<th align=right>Display options</th>
<td> 
<select name=layout_type>
<option value=ol [ad_decode $layout_type "ol" "selected" ""]>List</option>
<option value=table [ad_decode $layout_type "table" "selected" ""]>Table</option>
<option value=p [ad_decode $layout_type "p" "selected" ""]>Paragraph</option>
<option value=none [ad_decode $layout_type "none" "selected" ""]>None</option>
</select>


</table>
<input type=submit value=Update>



</blockquote>

[ad_scope_admin_footer]"

doc_return 200 text/html $page_content




