# /www/survsimp/admin/view-text-responses.tcl
ad_page_contract {
    
    View all the typed-in text responses for one question.
    
    @param  question_id  which question we want to list answers to
    
    @author jsc@arsdigita.com
    @date   February 11, 2000
    @cvs-id view-text-responses.tcl,v 1.5.2.3 2000/07/21 04:04:25 ron Exp
    
} {
    
    question_id:integer,notnull
    scope:optional
    group_id:optional,integer
    on_which_group:optional,integer
    on_what_id:optional,integer

}

set user_id [ad_verify_and_get_user_id]
ad_scope_error_check
ad_scope_authorize $scope admin group_admin none


db_1row one_question "
  select question_text, survey_id
  from survsimp_questions
  where question_id = :question_id
"

set results ""

db_foreach all_responses_to_question "
select
  $column_name as response,
  u.user_id,
  first_names || ' ' || last_name as respondent_name,
  submission_date,
  ip_address
from
  survsimp_responses r,
  survsimp_question_responses qr,
  users u
where
  qr.response_id = r.response_id
  and u.user_id = r.user_id
  and qr.question_id = :question_id
order by r.submission_date" {

    append results "<pre>$response</pre>
<p>
-- <a href=\"/shared/community-member?user_id=$user_id\">$respondent_name</a> on $submission_date from $ip_address

<br>
"
}

db_release_unused_handles


set page_content "
[ad_scope_admin_header "Responses to Question"]
[ad_scope_admin_page_title "$question_text"]
[ad_scope_admin_context_bar [list "index?[export_url_scope_vars]" "Simple Survey Admin"] \
     [list "one?survey_id=$survey_id&[export_url_scope_vars]" "Administer Survey"] \
     [list "view-responses?survey_id=$survey_id&[export_url_scope_vars]" "Responses to Survey"] \
     "Responses to Question"]

<hr>

<blockquote>
$results
</blockquote>

[ad_scope_admin_footer]
"

doc_return 200 text/html $page_content

