# /www/survey/index.tcl
ad_page_contract {
    Lists all the enabled surveys
    a user is eligable to complete.

    @author  philg@mit.edu, dparker@arsdigita.com
    @date    February 9, 2000 : December 4, 2000
    @cvs-id  index.tcl,v 1.5.2.5 2000/07/21 04:04:06 ron Exp
} {
    scope:optional
    group_id:optional,integer
    on_which_group:optional,integer
    on_what_id:optional,integer
}

# instead of passing in user_id we get it here dparker@arsdigita.com

set user_id [ad_verify_and_get_user_id]
ad_scope_error_check

ad_scope_authorize $scope all group_member none

set page_content "[ad_scope_header "Surveys"]
[ad_scope_page_title "Surveys"]
[ad_scope_context_bar "Surveys"]

<hr>

<ul>

"

set counter 0

set sql_query "select survey_id, name, enabled_p
from survsimp_surveys
where [ad_scope_sql survsimp_surveys]
and enabled_p = 't'
order by upper(name)"

db_foreach survsimp_enabled_surveys $sql_query {
    append page_content "<li><a href=\"one?[export_url_vars survey_id]&[export_url_scope_vars]\">$name</a>\n"
    incr counter
}

if { $counter == "0" } {
    append page_content "<li>No surveys active\n"
}

append page_content "

</ul>

[ad_scope_footer]
"


doc_return 200 text/html $page_content 



