# /packages/threaded-bboard/www/edit-alerts.tcl
ad_page_contract {
    Form to edit a user's alerts
    Modified from bboard/edit-alerts.tcl
    @cvs-id edit-alerts.tcl,v 3.2.2.3 2000/09/22 01:36:50 kevin Exp
} {
    {topic_id:optional ""}
}

# -----------------------------------------------------------------------------

set referenced_topic_id $topic_id

ad_get_user_info

# now $email is set

append page_content "
[bboard_header "Edit Topic Alerts for $email"]

<h2>Edit Topic Alerts for $email</h2>

[ad_context_bar_ws_or_index [list "index.tcl" [gc_bboard_system_name]] "Edit Topic Alerts"]

<hr>

<blockquote>
"
### now we should display all bboards for which the user can create
### new alerts.

set visible_bboard_query "
select name, topic_id from gc_bboard_topics
 where (gc_bboard_topics.group_id is null 
	 or ad_group_member_p ($user_id, gc_bboard_topics.group_id ) = 't')
"

set new_alert_form "<form method=POST action=\"topic-subscribe.tcl\">
<h3>Add a new alert</h3>
<table>
<tr>
 <th>Forum:</th>
 <td><select name=topic_id>
"

db_foreach available_bboard $visible_bboard_query {
    if { $topic_id == $referenced_topic_id } {
	append new_alert_form "<option value=$topic_id selected>$name \n"
    } else {
    append new_alert_form "<option value=$topic_id true>$name \n"
    }
} if_no_rows {
    "<option value=\"\">None available</option>"
}

append new_alert_form {</select>
 </td>
</tr>
<tr>
 <th>Frequency:</th>
 <td><select name=frequency>
<option value="instant">Instantly
<option value="daily">Daily
<option value="monthu">Semiweekly(M/Th)
<option value="weekly">Weekly
</select>

<input type=submit value="Add My Alert">
</td></tr>
</table>
</form>
}


append page_content "

</table>
</blockquote>

$new_alert_form

[bboard_footer]
"

doc_return  200 text/html $page_content



















