ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

set user_ip [ns_conn peeraddr]

ad_page_contract {
} {
    topic_id:naturalnum
    name
    threaded_p
    {group_id:naturalnum ""}
    {auto_subscribe_p "t"}
    {return_url ""}
}


set allow_p "f"

if { ![gc_bboard_check_admin $group_id] } {
    ad_returnredirect "/global/forbidden.html"
}

page_validation {
    if {[empty_string_p $name]} {
	error "Please enter a bulletin board name."
    }
}

db_transaction {

    if { ![empty_string_p $group_id] } {
	db_dml "group_topic_insert" "insert into gc_bboard_topics
	(topic_id, name, active_p, creation_user, creation_ip, creation_date, group_id, auto_subscribe_p,
         threaded_p)
	values
	(:topic_id, :name, 't', :user_id, :user_ip, sysdate, :group_id, :auto_subscribe_p, :threaded_p)
	"

	##auto subscribe group members if auto_subscribe_p is t  - should make a param for this
	
	if { $auto_subscribe_p == "t" } {
	    db_dml "subscription_insert" "insert into gc_topic_user_map
	    (topic_id, user_id)
	    select $topic_id, user_id from user_group_map where group_id = :group_id"
	}

    } else {
	db_dml "topic_insert" "insert into gc_bboard_topics
	(topic_id, name, active_p, creation_user, creation_ip, creation_date, threaded_p)
	values
	(:topic_id, :name, 't', :user_id, :user_ip, sysdate, :threaded_p)
	"
    }
    
    if { $allow_p == "f" } {
	db_exec_plsql "user_administer_add" "begin :1 := ad_general_permissions.grant_permission_to_user(:user_id, 'administer', :topic_id, 'gc_bboard_topics'); end;" 
	if { ![empty_string_p $group_id] } {
	    db_exec_plsql "group_read_add" "begin :1 := ad_general_permissions.grant_permission_to_group(:group_id, 'read', :topic_id, 'gc_bboard_topics'); end;" 
	    db_exec_plsql "group_write_add" "begin :1 := ad_general_permissions.grant_permission_to_group(:group_id, 'write', :topic_id, 'gc_bboard_topics'); end;" 
	}
	
    }
    
}
db_release_unused_handles

ad_returnredirect $return_url





