ad_page_contract {} {
    comment_id:naturalnum
    topic_id:naturalnum
    {return_url ""}
    {one_line_item_desc ""}
    {content:html ""}
}

page_validation {
    if {[empty_string_p $one_line_item_desc]} {
	error "Please enter a subject heading for the posting."
    }
} {
    if {[empty_string_p $content]} {
	error "Please enter a message body for the posting."
    }
}

db_1row "topic_info_select" "select name, group_id from gc_bboard_topics where topic_id = :topic_id"

if { ![gc_bboard_check_admin $group_id] } {
    ad_returnredirect "/global/forbidden.html"
}

db_1row "old_comment_info_select" "select one_line_item_desc as old_one_line_item_desc, content as old_content from gc_bboard_messages where comment_id = :comment_id"

db_release_unused_handles

ns_return 200 text/html "
[ad_scope_admin_header "Confirm Edit"]
[ad_scope_admin_page_title "Confirm Edit"]
[ad_scope_admin_context_bar "Confirm Edit"]

<h2>Confirm Edit</h2>

[ad_admin_context_bar [list "" "GC Bulletin Boards"] [list "one-topic.tcl?[export_url_vars topic_id]" "Topic - $name"] [list "one-message.tcl?[export_url_vars topic_id comment_id]" $old_one_line_item_desc] [list "edit-message.tcl?[export_url_vars topic_id comment_id return_url]" "Edit Message"] "Confirm Edit"]

<hr>

<i>The edited message will change from:</i>

<blockquote>
<b>$old_one_line_item_desc</b>
<p>$old_content
</blockquote>

<i>To:</i>

<blockquote>
<b>$one_line_item_desc</b>
<p>$content

<form method=post action=\"edit-message-3.tcl\">
[export_form_vars topic_id comment_id return_url one_line_item_desc content]
 <center><input type=submit value=\"Confirm Edit\"></center>
</form>
</blockquote>

[ad_admin_footer]
"
