ad_page_contract {} {
    topic_id:naturalnum
    comment_id:naturalnum
}

db_1row "topic_info_select" "select name, group_id from gc_bboard_topics where topic_id = :topic_id"

if { ![gc_bboard_check_admin $group_id] } {
    ad_returnredirect "/global/forbidden.html"
}



page_validation {
    if { ![db_0or1row "message_info_select" "select one_line_item_desc, content, to_char(comment_date,'MM-DD-YYYY') as comment_date, (first_names || ' ' || last_name) as contributor, approved_p from gc_bboard_messages gc, users u where comment_id = :comment_id and gc.user_id = u.user_id"] } {
	error "Invalid comment_id $comment_id"
    }
}

set return_url "one-message.tcl?[export_url_vars topic_id comment_id]"
set delete_return_url "one-topic.tcl?[export_url_vars topic_id]"
if { $approved_p == "t" } {
    set approved_html "<b>approve</b> | <a href=\"toggle-message-approval.tcl?topic_id=$topic_id&comment_id=$comment_id&approved_p=f&return_url=[ad_urlencode $return_url]\">disapprove</a>"
} else {
    set approved_html "<a href=\"toggle-message-approval.tcl?topic_id=$topic_id&comment_id=$comment_id&approved_p=t&return_url=[ad_urlencode $return_url]\">approve</a> | <b>disapprove</b>"
}

set message_info_list [gc_bboard_message_list $comment_id "general_comments"]

db_release_unused_handles

set n_messages 0
set message_html "<ul>"
set current_level 1
foreach message_info $message_info_list {
    incr n_messages

    set comment_id [lindex $message_info 0]
    set one_line_item_desc [lindex $message_info 1]
    set comment_date [lindex $message_info 2]
    set user_id [lindex $message_info 3]
    set level [lindex $message_info 4]
    set user_name [lindex $message_info 5]
    set user_email [lindex $message_info 6]
    set approved_p [lindex $message_info 7]

    while { $current_level < $level } {
	incr current_level
	append message_html "<ul>"
    }
    while { $current_level > $level } {
	incr current_level -1
	append message_html "</ul>"
    }

    if { $approved_p == "t" } {
	set approved_html "<b>approve</b> | <a href=\"toggle-message-approval.tcl?topic_id=$topic_id&comment_id=$comment_id&approved_p=f&return_url=[ad_urlencode $return_url]\">disapprove</a>"
    } else {
	set approved_html "<a href=\"toggle-message-approval.tcl?topic_id=$topic_id&comment_id=$comment_id&approved_p=t&return_url=[ad_urlencode $return_url]\">approve</a> | <b>disapprove</b>"
    }

   append message_html "<li><a href=\"one-message.tcl?[export_url_vars topic_id comment_id]\">$one_line_item_desc</a> - Contributed by <a href=\"mailto: $user_email\">$user_name</a> on $comment_date - $approved_html"

}

if { $n_messages == 0 } {
    append message_html "<li><b><i>No messages</i></b>"
}

while { $current_level > 0 } {
    incr current_level -1
    append message_html "</ul>"
}

ns_return 200 text/html "
[ad_scope_admin_header "Topic - $name"]

<h2>Topic - $name</h2>

[ad_admin_context_bar [list "" "GC Bulletin Boards"] [list "one-topic.tcl?[export_url_vars topic_id]" "Topic - $name"] $one_line_item_desc]

<hr>

<blockquote>
<b>$one_line_item_desc</b> - $approved_html - <a href=\"edit-message.tcl?[export_url_vars comment_id topic_id return_url]\">edit message</a> - <a href=\"delete-message.tcl?comment_id=$comment_id&return_url=[ad_urlencode $delete_return_url]\">delete branch</a>
<p>$content
<p>Contributed by $contributor on $comment_date
<p>
<b>Replies:</b>

$message_html
</blockquote>
[ad_admin_footer]
"
