ad_page_contract {} {
    topic_id:naturalnum
    {group_id:naturalnum ""}
}

page_validation {
    if { ![db_0or1row "topic_info_select" "select name, active_p, threaded_p, max_bboard_display_depth, max_bboard_display_messages, auto_subscribe_p, group_id from gc_bboard_topics where topic_id = :topic_id"] } {
	error "$topic_id is not a valid topic id."
    }
}

if { ![gc_bboard_check_admin $group_id] } {
    ad_returnredirect "/global/forbidden.html"
}

set message_info_list [gc_bboard_message_list $topic_id "gc_bboard_topics"]

db_release_unused_handles

set return_url "one-topic.tcl?[export_url_vars topic_id group_id]"

if { ![empty_string_p $group_id ] } {
    if { $auto_subscribe_p == "t" } {
	set auto_subscribe_link "New group members are automatically given a subscription to this bboard (<a href=\"toggle-auto-subscribe-p.tcl?[export_url_vars topic_id return_url]&auto_subscribe_p=f\">toggle</a>)"
    } else {
	set auto_subscribe_link "New group members are not automatically given a subscription to this bboard (<a href=\"toggle-auto-subscribe-p.tcl?[export_url_vars topic_id return_url]&auto_subscribe_p=t\">toggle</a>)"
    }
} else {
    set auto_subscribe_link ""
}

set change_name_html "<form action=\"change-name\">
[export_form_vars topic_id]
<input type=text size=40 name=new_name value=\"$name\">
<input type=submit value=\"Change Name\"></form>"


if { [string tolower $threaded_p] == "t" } {
    set threaded_link "The bboard is <b>threaded</b>.  Click <a href=\"toggle-threaded-p.tcl?[export_url_vars return_url topic_id]&threaded_p=f\">here</a> to make it unthreaded"
} else {
     set threaded_link "The bboard is <b>unthreaded</b>.  Click <a href=\"toggle-threaded-p.tcl?[export_url_vars return_url topic_id]&threaded_p=t\">here</a> to make it threaded"
}

if { $active_p == "t"} {
    set active_link "This bboard is <b>active</b>.  Click <a href=\"toggle-active-p.tcl?[export_url_vars return_url topic_id]&active_p=f\">here</a> to deactivate.  <br>Note that you cannot delete a bboard.  Deactivating a bboard essentially deletes it."
} else {
    set active_link "This bboard is <b>inactive</b>.  Click <a href=\"toggle-active-p.tcl?[export_url_vars return_url topic_id]&active_p=t\">here</a> to activate.  <br>Note that you cannot delete a bboard.  Deactivating a bboard essentially deletes it."
}

set n_messages 0
set message_html "<ul>"
set current_level 1
foreach message_info $message_info_list {
    incr n_messages

    set comment_id [lindex $message_info 0]
    set one_line_item_desc [lindex $message_info 1]
    set comment_date [lindex $message_info 2]
    set user_id [lindex $message_info 3]
    set level [lindex $message_info 4]
    set user_name [lindex $message_info 5]
    set user_email [lindex $message_info 6]
    set approved_p [lindex $message_info 7]

    while { $current_level < $level } {
	incr current_level
	append message_html "<ul>"
    }
    while { $current_level > $level } {
	incr current_level -1
	append message_html "</ul>"
    }

    if { $approved_p == "t" } {
	set approved_html "<b>approve</b> | <a href=\"toggle-message-approval.tcl?topic_id=$topic_id&comment_id=$comment_id&approved_p=f&return_url=[ad_urlencode $return_url]\">disapprove</a>"
    } else {
	set approved_html "<a href=\"toggle-message-approval.tcl?topic_id=$topic_id&comment_id=$comment_id&approved_p=t&return_url=[ad_urlencode $return_url]\">approve</a> | <b>disapprove</b>"
    }

    append message_html "<li><a href=\"one-message.tcl?[export_url_vars topic_id comment_id]\">$one_line_item_desc</a> - Contributed by <a href=\"mailto: $user_email\">$user_name</a> on $comment_date - $approved_html - <a href=\"edit-message.tcl?[export_url_vars comment_id topic_id return_url]\">edit message</a>"

    if { [ad_administrator_p] } {
	append message_html " - <a href=\"delete-message.tcl?[export_url_vars comment_id return_url]\">delete branch</a>"
    }
}

if { $n_messages == 0 } {
    append message_html "<li><b><i>No messages</i></b>"
}

while { $current_level > 0 } {
    incr current_level -1
    append message_html "</ul>"
}

ns_return 200 text/html "
[ad_header "Administration Page for $name"]

<h2>Topic - $name</h2>

[ad_context_bar_ws_or_index [list "../" "Bulletin Boards"] [list "../one-topic.tcl?[export_url_vars topic_id]" $name] Administration]

<hr>
<b>Messages</b> <p>
$message_html
<p>
<b>Edit Bboard Properties</b><p>
$change_name_html
$threaded_link<p>
$active_link<p>
$auto_subscribe_link<p>
<form method=post action=update-max-bboard-display.tcl>
[export_form_vars topic_id]
Max Display Depth <input type=text name=max_bboard_display_depth value=\"$max_bboard_display_depth\" size=3><br>Max Display Messages <input type=text name=max_bboard_display_messages value=\"$max_bboard_display_messages\" size=3><br><input type=submit value=\"Update\">
</form>
[ad_admin_footer]
"









