ad_page_contract {
} {
    {filter_by "keyword"}
    {filter_value ""}
    {topic_id:naturalnum ""}
}

if { $filter_by == "keyword" } {
    set keyword "[string tolower $filter_value]"
    set gc_where_clause "and lower(one_line_item_desc) like '%${keyword}%'"
} elseif { $filter_by == "contributor" } {
    set gc_where_clause "and user_id = :filter_value"
} else {
    set gc_where_clause ""
}

if {[exists_and_not_null topic_id]} {
    db_1row "topic_info_select" "select name as topic_name, group_id from gc_bboard_topics where topic_id = :topic_id"
    
    set where_clause "and topic_id = :topic_id"
} else {
    set where_clause ""
}

set n_messages 0
set message_html "<ol>"

db_foreach "messages_select" "
select gc.comment_id, to_char(comment_date, 'Month DD, HH12:MI A.M.') as comment_date, one_line_item_desc, (first_names || ' ' || last_name) as contributor_name, email as contributor_email, topic_id
from (select * from gc_bboard_messages
where approved_p = 't'
$gc_where_clause) gc,
users u, gc_comment_topic_map map
where gc.user_id = u.user_id
and gc.comment_id = map.comment_id
$where_clause
order by comment_date desc" {

    incr n_messages

    append message_html "<li><a href=\"one-message.tcl?[export_url_vars topic_id comment_id]\">$one_line_item_desc</a> - Contributed by <a href=\"mailto: $contributor_email\">$contributor_name</a> on $comment_date"
} if_no_rows {
    append message_html "<li>No messages found."
}
append message_html "</ol>"


if {![exists_and_not_null $topic_id]} {
    set context_bar [ad_context_bar_ws_or_index [list "index.tcl" "Bulletin Boards"] "Search Results"]
} else {
    set context_bar [ad_context_bar_ws_or_index [list "index.tcl" "Bulletin Boards"] [list "one-topic.tcl?[export_url_vars topic_id]" $topic_name] "Search Result"]
}

ns_return 200 text/html "
[ad_header "Bulletin Boards"]

<h2>Bulletin Boards</h2>

$context_bar

<hr>
<blockquote>
$message_html
</blockquote>
[ad_footer]
"