# /gc-bboard/contributor-subscribe.tcl

ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

ad_page_contract {
    subscribe user to this contributor
    @author: flattop@arsdigita.com
} {
    {contributor_id:naturalnum ""}
    {user_id_from_search:naturalnum ""}
    {return_url ""}
    {frequency "instant"}
}

page_validation {
    if {[empty_string_p $contributor_id]} {
	if {[empty_string_p $user_id_from_search]} {
	    error "Must specify a user id."
	} else {
	    set contributor_id $user_id_from_search
	}
    }
}

if {![db_string "already_subscribed_count" "select count(*) from gc_contributor_user_map where user_id = :user_id and contributor_id = :contributor_id and frequency = :frequency"] > 0} {

    set insert_sql "insert into gc_contributor_user_map
    (contributor_id, user_id, frequency)
    values
    (:contributor_id, :user_id, :frequency)
    "

    if {[catch {db_dml "contributor_alert_insert" $insert_sql}]} {
	ad_return_error "Error" "We were not able to subscribe you to this contributor."
	
	return
    }
}
db_release_unused_handles

ad_returnredirect $return_url
