# /gc-bboard/topic-unsubscribe.tcl

ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

ad_page_contract {
    unsubscribe user to this contributor
    @author: flattop@arsdigita.com
} {
    contributor_id:naturalnum
    {return_url ""}
    frequency:notnull
    new_frequency:optional
}

if { [info exists new_frequency] } {

    set update_sql "update gc_contributor_user_map set frequency = :new_frequency
    where contributor_id = :contributor_id
    and user_id = :user_id
    and frequency = :frequency
    "
    
    if {[catch {db_dml "contributor_update" $update_sql}]} {
	ad_return_error "Error" "We were not able to edit your alert from this contributor."
    return
    }
} else {
    
    set delete_sql "delete from gc_contributor_user_map
    where contributor_id = :contributor_id
    and user_id = :user_id
    and frequency = :frequency
    "
    
    if {[catch {db_dml "contributor_delete" $delete_sql}]} {
	ad_return_error "Error" "We were not able to unsubscribe you from this contributor."
	return
    }
}

db_release_unused_handles

ad_returnredirect $return_url