# email-alerts-edit.tcl

ad_page_contract {
    Edits a topic alert
} {
    topic_id:naturalnum,optional
    new_frequency:notnull
    frequency:notnull
    type:notnull
    comment_id:naturalnum,optional
    keyword:optional
    contributor_id:naturalnum,optional
    return_url
}

if [info exists comment_id] {
    set message_id $comment_id
}

ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

switch $type { 
    "topic" {
	db_dml topic_update "update gc_topic_user_map map
	set frequency = :new_frequency
	where topic_id = :topic_id
	and user_id = :user_id
	and frequency = :frequency"
    }
    "message" {
	db_dml message_update "update gc_comment_user_map map
	set frequency = :new_frequency
	where comment_id = :comment_id
	and user_id = :user_id
	and frequency = :frequency"
    }
    "keyword" {
	db_dml message_update "update gc_keyword_user_map map
	set frequency = :new_frequency
	where keyword = :keyword
	and user_id = :user_id
	and frequency = :frequency"
    }
    "contributor" {
	db_dml message_update "update gc_contributor_user_map map
	set frequency = :new_frequency
	where contributor_id = :contributor_id
	and user_id = :user_id
	and frequency = :frequency"
    }
}

ad_returnredirect $return_url
doc_return 200 "text/html" "
[ad_header "Preferences Updated"]

<h2>Alerts Updated</h2>

[ad_context_bar_ws_or_index { "./" [gc_bboard_system_name]} "Preferences Updated"]
<p>
Your alerts have been updated.
<p>
<a href=\"$return_url\">Go Back</a>



[ad_footer]"

