# threaded-bboard/www/preferences-edit.tcl

ad_page_contract {
    Edit threaded bboard preferences
} {
    html_email_p:notnull
    single_email_p:notnull
    {return_url "/"}
}

set user_id [ad_verify_and_get_user_id]

set count [db_0or1row entered_p "select user_id from gc_bboard_user_prefs
	where user_id = :user_id"]

# insert or update
if { $count == 0 } {
    db_dml pref_insert "\
	    insert into gc_bboard_user_prefs\
	    (user_id, html_email_p, single_email_p)\
	    values \
	    (:user_id, :html_email_p, :single_email_p)"
} else {
    db_dml pref_update "
	    update gc_bboard_user_prefs
	    set html_email_p = :html_email_p,
	    single_email_p = :single_email_p
	    where user_id = :user_id"
}

doc_return 200 text/html "
[ad_header "Preferences Updated"]

<h2>Preferences Updated</h2>

[ad_context_bar_ws_or_index { "./" "Bulletin Boards"} "Bulletin Board Preferences Updated"]
<p>
Your preferences have been updated.
<p>
<a href=\"$return_url\">Go Back</a>

[ad_footer]
"

