## force registration
set user_id [ad_verify_and_get_user_id]
if {$user_id == 0} {
    set register_text "Please click <a href=\"/register/index.tcl?return_url=[ad_urlencode [ns_conn url]]\">here</a> to register."
} else {
    set register_text ""
}

db_foreach "topic_list_select" "
select topic_id, name, (select count(*) from gc_topic_user_map map where map.topic_id = b.topic_id and user_id = :user_id) as subscribe_p,
([gc_bboard_count_messages_sql "b.topic_id" "gc_bboard_topics"]) as n_messages,
([gc_bboard_count_messages_sql -n_past_days 1 "b.topic_id" "gc_bboard_topics"]) as n_new_messages
from gc_bboard_topics b
where b.active_p = 't'
and ad_general_permissions.user_has_row_permission_p($user_id, 'read', topic_id, 'gc_bboard_topics') = 't'
order by name
" {
    if { $subscribe_p > 0 } {
	set subscribe_html ""
    } else {
	set subscribe_html "- <a href=\"topic-subscribe.tcl?[export_url_vars topic_id]\">subscribe</a>"
    }

    append topic_list_html "<p><a href=\"one-topic.tcl?[export_url_vars topic_id]\"><b>$name</b></a> <font size=-1>($n_messages, $n_new_messages new)</font> $subscribe_html
\n"
} if_no_rows {
    append topic_list_html "<p><i>There are currently no bulletin board topics</i>"
}
db_release_unused_handles

ns_return 200 text/html "
[ad_header "Bulletin Boards"]

<h2>Bulletin Boards</h2>

[ad_context_bar_ws_or_index "Bulletin Boards"]

<hr>
<blockquote>
$register_text
<p>
<form method=post action=\"bboard-filter.tcl\">
 <div align=right>
 <input type=hidden name=filter_by value=\"keyword\">
 <input type=text name=filter_value size=20 maxlength=100>
 <input type=submit value=\"Search\">
 </div>
</form>
<blockquote>
$topic_list_html
</blockquote>
<p><a href=\"email-alerts.tcl\">Change my email alerts</a>
</blockquote>
[ad_footer]
"

