# /gc-bboard/keyword-unsubscribe.tcl
ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

ad_page_contract {
    unsubscribe user to this keyword
    @author: flattop@arsdigita.com

} {
    keyword
    frequency:notnull
    new_frequency:optional
    {return_url ""}
}

set keyword [string tolower $keyword]

if { [info exists new_frequency] } {
    
    set update_sql "update gc_keyword_user_map set frequency = :new_frequency 
    where lower(keyword) = :keyword
    and frequency= :frequency
    and user_id = :user_id
    "

    if {[catch {db_dml "keyword_alert_edit" $update_sql}]} {
	ad_return_error "Error" "We were not able to edit your alert for this keyword."
    return
    }
} else {

    set delete_sql "delete from gc_keyword_user_map
    where lower(keyword) = :keyword
    and frequency= :frequency
    and user_id = :user_id
    "
    
    if {[catch {db_dml "keyword_alert_delete" $delete_sql}]} {
	ad_return_error "Error" "We were not able to unsubscribe you from this keyword."
	return
    }
}
 
db_release_unused_handles

ad_returnredirect $return_url