ad_maybe_redirect_for_registration

ad_page_contract {
} {
    comment_id:naturalnum
    topic_id:naturalnum
    {parent_id:naturalnum ""}
    {subject ""}
    {message:html ""}
    {return_url ""}
    subscribe_p:optional
    alert_id:naturalnum
}

if ![info exists subscribe_p] {
    set subscribe_p "f"
}

page_validation {
    if {[empty_string_p $subject]} {
	error "Please enter a subject."
    }
} {
    if {[empty_string_p $message]} {
	error "Please enter a message."
    }
}

set current_user_id [ad_verify_and_get_user_id]

ad_require_permission $current_user_id "write" $topic_id "gc_bboard_topics"

db_1row "name_select" "select (first_names || ' ' || last_name) as contributor, email from users where user_id=:current_user_id"

set comment_date [db_string "date_select" "select to_char(sysdate,'MM-DD-YYYY') as comment_date from dual"]

db_1row "topic_info_select" "select name, group_id from gc_bboard_topics where topic_id = :topic_id"

db_release_unused_handles

set message_html "
<tr>
 <td>
  [gc_bboard_display_message $subject $comment_date $contributor $email $message]
 </td>
</tr>
"

set text "
        <h3>Here's what your message will look like:</h3>
        <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
          $message_html
          <tr>
           <td align=\"center\">
            <form method=post action=\"message-add-3.tcl\">"

if { $subscribe_p == "t" } {
    append text "
    How often would you like to receive message alerts?<br>
     <input type=radio name=\"frequency\" value=\"instant\" checked>Instantly\
     <input type=radio name=\"frequency\" value=\"daily\">Daily
     <input type=radio name=\"frequency\" value=\"monthu\">Monday/Thursday
     <input type=radio name=\"frequency\" value=\"weekly\">Weekly<p>
    "}
append text "

             [export_form_vars comment_id topic_id parent_id subject message return_url subscribe_p alert_id]
             <input type=submit value=\"Add Message\">
            </form>
           </td>
          </tr>
	  <tr> 
            <td height=20 nowrap>To edit this message, click on the back button or click <a href=\"javascript:history.go(-1)\">here</a>. </td>
            <td height=20 nowrap>&nbsp;</td>
            <td height=20 nowrap>&nbsp;</td>
          </tr>
        </table>
"

ns_return 200 text/html "
[ad_header "Message Confirmation"]
<h2>Message Confirmation</h2>
[ad_context_bar_ws_or_index [list "./" "Bulletin Boards"] [list "one-topic.tcl?[export_url_vars topic_id]" $name] "Message Confirmation"]
<hr>
<blockquote>
$text
</blockquote>
[ad_footer]
"