ad_maybe_redirect_for_registration

ad_page_contract {

} {
    topic_id:naturalnum
    {parent_id:naturalnum ""}
    {return_url ""}
}

set subject ""

set current_user_id [ad_verify_and_get_user_id]

ad_require_permission  $current_user_id "write" $topic_id "gc_bboard_topics"

set comment_id [db_string "comment_id_select" "select general_comment_id_sequence.nextval from dual"]
set alert_id [db_string "alert_id_select" "select gc_bboard_alert_id_seq.nextval from dual"]
db_1row "topic_info_select" "select name, group_id from gc_bboard_topics where topic_id = :topic_id"

set parent_message_html ""
set subject ""

if { ![empty_string_p $parent_id] } {
    # This is a reply to an existing message, so display that message
    set page_title "Post your reply"

    page_validation {
	if { ![db_0or1row "message_info_select" "select one_line_item_desc, content, to_char(comment_date,'MM-DD-YYYY') as comment_date, (first_names || ' ' || last_name) as contributor from gc_bboard_messages gc, users u where comment_id = :parent_id and gc.user_id = u.user_id"] } {
	    error "Invalid parent_id $parent_id"
	}
    }

    set parent_message_html "
    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
    <tr>
    <td colspan=3 align=\"left\"><b>$one_line_item_desc</b></td>
    </tr>

    <tr height=5>
    <td height=5 colspan=3>&nbsp;</td>
    </tr>

    <tr>
    <td colspan=3 align=\"left\">
    <blockquote>[ad_text_to_html $content]</blockquote>
    </td>
    </tr>
    <tr>
    <td colspan=3 align=\"left\">Contributed by $contributor on $comment_date
    </td>
    </tr>
    </table>
    "

    #the one_line_item_desc might have quotes 
    # this will mess up the display in the input
    set one_line_item_desc [philg_quote_double_quotes $one_line_item_desc]
    set subject "Re: $one_line_item_desc"

} else {
    set page_title "Post a message"
}


db_release_unused_handles

set text "
<p>

          $parent_message_html

	<h3>$page_title:</h3>

        <form method=post action=\"message-add-2.tcl\">
         [export_form_vars topic_id parent_id comment_id return_url alert_id]
 
         <table>
          <tr>
           <td align=\"left\"><b>Subject</b><br>
           <input type=text name=subject maxlength=100 size=45 value=\"$subject\"></td>
          </tr>

          <tr>
           <td align=left><b>Message</b><br>
            <textarea wrap=soft name=message rows=10 cols=50></textarea>
           </td>
          </tr>"
          
if { ![db_string check_topic_subscription_p "select count(user_id) from gc_topic_user_map where topic_id=:topic_id and user_id=:current_user_id"] } {
       append text "<tr>
           <td align=left colspan=2><b>Alerts</b><br>
            Do you want to receive email alerts when there are responses to your message?<br>
            <center>yes<input type=radio name=subscribe_p value=t CHECKED> no<input type=radio name=subscribe_p value=f></td></center>
           </td>
           </tr>"
}

append text "
	  <tr>
	   <td align=\"center\">
	    <input type=submit value=\"Add Message\">
	   </td>
          </tr>

	  <tr> 
            <td height=20 nowrap>&nbsp; </td>
            <td height=20 nowrap>&nbsp;</td>
            <td height=20 nowrap>&nbsp;</td>
          </tr>
        </table>
        </form>
"

ns_return 200 text/html "
[ad_header $page_title]
<h2>$page_title</h2>
[ad_context_bar_ws_or_index [list "./" "Bulletin Boards"] [list "one-topic.tcl?[export_url_vars topic_id]" $name] $page_title]
<hr>
<blockquote>
$text
</blockquote>
[ad_footer]
"



