# /gc-bboard/message-subscribe.tcl

ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

ad_page_contract {
    # subscribe user to this message thread
    @author: flattop@arsdigita.com
} {
    comment_id:naturalnum
    {return_url ""}
}

page_validation {
    if {[db_string "comment_user_map_count" "select count(*) from gc_comment_user_map where user_id = :user_id and comment_id = :comment_id"] > 0} {
	#user has subscribed
	error "You have already subscribed to this message."
    }
}

set insert_sql "insert into gc_comment_user_map
(comment_id, user_id)
values
(:comment_id, :user_id)
"

if {[catch {db_dml "comment_user_map_insert" $insert_sql}]} {
    ad_return_error "Error" "We were not able to subscribe you to this message."
    return
}

db_release_unused_handles

ad_returnredirect $return_url
