# /gc-bboard/message-unsubscribe.tcl

ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

ad_page_contract {
    unsubscribe user to this message
    @author: flattop@arsdigita.com
} {
    comment_id:naturalnum
    new_frequency:optional
    {return_url ""}
}

if { [info exists new_frequency] } {
    
    set update_sql "update gc_comment_user_map set frequency = :new_frequency
    where comment_id = :comment_id
    and user_id = :user_id
    "
    
    if {[catch {db_dml "comment_user_map_update" $update_sql}]} {
	ad_return_error "Error" "We were not able to edit your alert for this message."
	return
    }
} else {

    set delete_sql "delete from gc_comment_user_map
    where comment_id = :comment_id
    and user_id = :user_id
    "
    
    if {[catch {db_dml "comment_user_map_delete" $delete_sql}]} {
	ad_return_error "Error" "We were not able to unsubscribe you from this message."
	return
    }
}

db_release_unused_handles

ad_returnredirect $return_url