ad_page_contract {
    Notes: this code may be in a bit of a mess, due to several design iterations by Sloan.  Right now, only the root message and the selected message has its contents shown; the "tree" which is shown is simply the path from the root to the selected message, plus all the message replies.  Ugh.

    @param: topic_id
    @param: comment_id
    @param: open_p - the display can be open (in which case all of its replies are displayed) or "closed" (in which case none of its replies are displayed).
} {
    topic_id:naturalnum
    {comment_id:naturalnum ""}
    {open_p 0}
}

set current_user_id [ad_verify_and_get_user_id]
ad_require_permission $current_user_id "read" $topic_id "gc_bboard_topics"

if {[empty_string_p $comment_id]} {
    ad_returnredirect "one-topic.tcl?[export_url_vars topic_id]"
    return
}

set return_url "one-message.tcl?[export_url_vars topic_id comment_id open_p]#message"

## sloan request
if { $open_p != 1 } {
    set parent_id [db_string "parent_id_select" "select on_what_id from gc_bboard_messages where approved_p = 't' and comment_id = :comment_id and on_which_table = 'general_comments'" -default ""]
    if { ![empty_string_p $parent_id] } {
	db_release_unused_handles

	ad_returnredirect "one-message.tcl?[export_url_vars topic_id]&comment_id=$parent_id&open_p=1#message"
	return
    }
}

db_1row "topic_info_select" "select name, group_id from gc_bboard_topics where topic_id = :topic_id"

### current comment_id information
page_validation {
    ## can probably be selected with gc_bboard_message_list ##
    if { ![db_0or1row "current_comment_info" "select one_line_item_desc, content, to_char(comment_date,'MM-DD-YYYY') as comment_date, gc.user_id as contributor_id, (first_names || ' ' || last_name) as contributor, email, (select count(comment_id) from gc_bboard_messages
        where approved_p = 't'
	connect by prior comment_id = on_what_id
	and on_which_table = 'general_comments'
	start with comment_id in (select comment_id
	from gc_bboard_messages
	where on_what_id = :comment_id
	and on_which_table = 'general_comments')) as n_total_messages,
	(select count(comment_id) from general_comments
	where comment_date >= sysdate - 1
        and approved_p = 't'
	connect by prior comment_id = on_what_id
	and on_which_table = 'general_comments'
	start with comment_id in (select comment_id
	from gc_bboard_messages
	where on_what_id = :comment_id
	and on_which_table = 'general_comments')) as n_new_messages
    from gc_bboard_messages gc, users u
    where comment_id = :comment_id and gc.user_id = u.user_id"] } {
	error "Invalid comment_id $comment_id"
    }
}

# process current message contents
set reply_link "message-add.tcl?topic_id=$topic_id&parent_id=$comment_id&return_url=[ad_urlencode $return_url]"
set message_desc $one_line_item_desc
if { $open_p != 1   } {
    set graphic "plus.gif"
    set message_link [gc_bboard_format_link -open_p 1 $topic_id $comment_id]
} else {
    set graphic "minus.gif"
    set message_link [gc_bboard_format_link -open_p 0 $topic_id $comment_id]
}
set message_html "<a name=message></a>[gc_bboard_display_message -graphic $graphic $one_line_item_desc $comment_date $contributor $contributor_id $content $message_link $reply_link $n_total_messages $n_new_messages]"

#ns_return 200 text/html $message_html
#return
# work backwards from comment_id message
set message_info_list [gc_bboard_message_list -approved_p "t" -count_messages_p 1 -reverse_p "t" $comment_id]

if {[llength $message_info_list] == 0} {
    ## you're on the first message
    set original_message_html $message_html
    set reply_html ""
    set n_messages 0
} else {
    ## process original message
    set original_message_info [lindex $message_info_list 0]
    set current_comment_id [lindex $original_message_info 0]
    set one_line_item_desc [lindex $original_message_info 1]
    set comment_date [lindex $original_message_info 2]
    set user_id [lindex $original_message_info 3]
    set level [lindex $original_message_info 4]
    set user_name [lindex $original_message_info 5]
    set user_email [lindex $original_message_info 6]
    set content [lindex $original_message_info 8]
    set n_total_messages [lindex $original_message_info 9]
    set n_new_messages [lindex $original_message_info 10]

    set message_link [gc_bboard_format_link -open_p 0 $topic_id $current_comment_id]
    set reply_link "message-add.tcl?topic_id=$topic_id&parent_id=$current_comment_id&return_url=[ad_urlencode $return_url]"

    set original_message_html [gc_bboard_display_message -graphic "minus.gif" $one_line_item_desc $comment_date $user_name $user_id $content $message_link $reply_link $n_total_messages $n_new_messages]
    
    ## process rest of replies 
    set message_info_list [lrange $message_info_list 1 end]

    ## starts at 1 because there's a original message
    set n_messages 1
    set reply_html ""
    foreach message_info $message_info_list {
	incr n_messages
	
	set current_comment_id [lindex $message_info 0]
	set one_line_item_desc [lindex $message_info 1]
	set comment_date [lindex $message_info 2]
	set user_id [lindex $message_info 3]
	set level [lindex $message_info 4]
	set user_name [lindex $message_info 5]
	set user_email [lindex $message_info 6]
	set content [lindex $message_info 8]
	set n_total_messages [lindex $message_info 9]
	set n_new_messages [lindex $message_info 10]

	set message_link [gc_bboard_format_link -open_p 0 $topic_id $current_comment_id]
	set reply_link "message-add.tcl?topic_id=$topic_id&parent_id=$current_comment_id&return_url=[ad_urlencode $return_url]"
	
	append reply_html "<blockquote>
	[gc_bboard_display_message -graphic "minus.gif" $one_line_item_desc $comment_date $user_name $user_id $content $message_link $reply_link $n_total_messages $n_new_messages]"
    }
    
    append reply_html "<blockquote>
    $message_html"
}

## process direct reply messages
if { $open_p != 0  } {
    set reply_info_list [gc_bboard_message_list -approved_p "t" -max_bboard_display_depth 0 -count_messages_p 1 $comment_id "general_comments"]
    append reply_html "<blockquote>"
    if {[llength $reply_info_list] == 0} {
	append reply_html "<i>No replies</i>"
    } else {
	foreach reply_info $reply_info_list {
	    set current_comment_id [lindex $reply_info 0]
	    set one_line_item_desc [lindex $reply_info 1]
	    set comment_date [lindex $reply_info 2]
	    set user_id [lindex $reply_info 3]
	    set level [lindex $reply_info 4]
	    set user_name [lindex $reply_info 5]
	    set user_email [lindex $reply_info 6]
	    set content [lindex $reply_info 8]
	    set n_total_messages [lindex $reply_info 9]
	    set n_new_messages [lindex $reply_info 10]

	    set message_link [gc_bboard_format_link -open_p 1 $topic_id $current_comment_id]
	    set reply_link "message-add.tcl?topic_id=$topic_id&parent_id=$current_comment_id&return_url=[ad_urlencode $return_url]"
	    
	    append reply_html "<p>[gc_bboard_display_message $one_line_item_desc $comment_date $user_name $user_id $content $message_link $reply_link $n_total_messages $n_new_messages]</p>"
	}
    }
    append reply_html "</blockquote>"
}
## close off remaining blockquotes
while { $n_messages > 0 } {
    incr n_messages -1
    append reply_html "</blockquote>"
}


set top_options "<form method=post action=\"bboard-filter.tcl\">
 [export_form_vars topic_id]
 <input type=hidden name=filter_by value=\"keyword\">
 <input type=text name=filter_value size=20 maxlength=100>
 <input type=submit value=\"Search\">
</form>"

db_release_unused_handles

ns_return 200 text/html "
[ad_header $message_desc]
<h2>$message_desc</h2>
[ad_context_bar_ws_or_index [list "./" "Bulletin Boards"] [list "one-topic.tcl?[export_url_vars topic_id]" $name] $message_desc]
<hr>

<div align=\"right\">
$top_options
</div>
$original_message_html
<blockquote>
<hr size=1>
<font size=-1>$reply_html</font>
</blockquote>
[ad_footer]
"