ad_page_contract {
} {
    topic_id:naturalnum
}

set return_url "one-topic.tcl?[export_url_vars topic_id]"

#user_id is 0 if the user is not logged in
set current_user_id [ad_verify_and_get_user_id]

ad_require_permission $current_user_id "read" $topic_id "gc_bboard_topics"

page_validation {
    if { ![db_0or1row "topic_select" "select name, (select count(*) from gc_topic_user_map map where map.topic_id = b.topic_id and user_id = :current_user_id) as subscribe_p, group_id, threaded_p from gc_bboard_topics b where topic_id = :topic_id"] } {
	error "Invalid topic selected."
    }
}

## just want top-level messages, so we use 0 in function
set message_info_list [gc_bboard_message_list -approved_p "t" -count_messages_p 1 -max_bboard_display_depth 0 $topic_id "gc_bboard_topics"]

db_release_unused_handles

set n_messages 0
set message_html "<table width=\"90%\" border=0 cellpadding=2>"

foreach message_info $message_info_list {
    incr n_messages

    set comment_id [lindex $message_info 0]
    set one_line_item_desc [lindex $message_info 1]
    set comment_date [lindex $message_info 2]
    set user_id [lindex $message_info 3]
    set level [lindex $message_info 4]
    set user_name [lindex $message_info 5]
    set user_email [lindex $message_info 6]
    set n_total_messages [lindex $message_info 9]
    set n_new_messages [lindex $message_info 10]

    if { [expr $n_messages % 2] == 1 } {
	set bgcolor "#ececec"
    } else {
	set bgcolor "#FFFFFF"
    }

    if { $n_total_messages > 0 } {
	set graphic_html "<b><img src=\"/graphics/plus.gif\" width=6 height=6 border=0></b>"
    } else {
	set graphic_html ""
    }

    if { [string match $threaded_p "t"] } {
        append message_html "
        <tr>
         <td bgcolor=\"$bgcolor\">
          $graphic_html <font size=-1>($n_total_messages, $n_new_messages new)</font> <b><a href=\"one-message.tcl?[export_url_vars topic_id comment_id]\">$one_line_item_desc</a>;</b> [gc_bboard_info_header $comment_date $user_name $user_id]
         </td>
        </tr>"
    } else {
        append message_html "
        <tr>
         <td bgcolor=\"$bgcolor\">
          <font size=-1>($n_total_messages, $n_new_messages new)</font> <b><a href=\"one-flat-message.tcl?[export_url_vars topic_id comment_id]\">$one_line_item_desc</a>;</b> [gc_bboard_info_header $comment_date $user_name $user_id]
         </td>
        </tr>"
    }
}

if { $n_messages == 0 } {
    append message_html "<tr><td bgcolor=\"#ececec\"><i>No threads</i></td></tr>"
}

append message_html "</table>"

if { $subscribe_p > 0 } {
    set subscribe_html "<a href=\"topic-unsubscribe.tcl?[export_url_vars topic_id return_url]\">Unsubscribe from bulletin board</a>"
} else {
    set subscribe_html "<a href=\"topic-subscribe.tcl?[export_url_vars topic_id return_url]\">Subscribe to bulletin board</a>"
}

#set message_action_html "<b><a href=\"message-add.tcl?[export_url_vars topic_id return_url]\">Post a new thread</a></b> | <b>$subscribe_html</b> | <b><a href=\"subscription.tcl?[export_url_vars topic_id]\">Change my email alerts</a></b>"
set message_action_html "<b><a href=\"message-add.tcl?[export_url_vars topic_id return_url]\">Post a new thread</a></b>"


set db [ns_db gethandle]

set alert_exists_p [database_to_tcl_string $db "select count(topic_id) from gc_topic_user_map where topic_id = $topic_id and user_id = $current_user_id"]

if { $alert_exists_p } {
    set add_or_modify "<a href=\"email-alerts\">Modify Alert</a>"
} else {
    set add_or_modify "<a href=\"email-alerts\">Add Alert</a>"
}

ns_return 200 text/html "
[ad_header $name]
<h2>$name</h2>
[ad_context_bar_ws_or_index {"./" "Bulletin Boards"} "$name"]
<hr>
<div align=right>
$add_or_modify
&nbsp&nbsp&nbsp
[gc_bboard_admin_link $topic_id $group_id]</div>
<p>


<div align=right>
<form method=post action=\"bboard-filter.tcl\">
 [export_form_vars topic_id]
 <input type=hidden name=filter_by value=\"keyword\">
 <input type=text name=filter_value size=20 maxlength=100>
 <input type=submit value=\"Search\">
</form></div>
<div align=left><font size=-1>$message_action_html</font></div><p>
$message_html
[ad_footer]
"








