# /gc-bboard/topic-unsubscribe.tcl

ad_maybe_redirect_for_registration
set user_id [ad_get_user_id]

ad_page_contract {
    unsubscribe user to this topic
    @author: flattop@arsdigita.com
} {
    topic_id:naturalnum
    frequency:notnull
    new_frequency:optional
    {return_url ""}
}

if { [info exists new_frequency] } {
    set update_sql "update gc_topic_user_map set frequency = :new_frequency 
    where topic_id = :topic_id
    and user_id = :user_id
    and frequency = :frequency"
    
    if {[catch {db_dml "topic_user_map_edit" $update_sql}]} {
	ad_return_error "Error" "We were not able to edit your alert for this topic."
	return
    }
} else {
	
    set delete_sql "delete from gc_topic_user_map
    where topic_id = :topic_id
    and user_id = :user_id
    and frequency = :frequency"
    
    if {[catch {db_dml "topic_user_map_delete" $delete_sql}]} {
	ad_return_error "Error" "We were not able to unsubscribe you from this topic."
	return
    }
}

db_release_unused_handles

ad_returnredirect $return_url