ad_proc -public weather_widget {} {
} {
    set user_id [ad_verify_and_get_user_id]
    if {$user_id!=""} {
	
	set sql_query "select city, zip_code, usps_abbrev from weather_cities where user_id=$user_id"
	
	set rowcode {[
		set memoize_timeout 3600
		if {![empty_string_p $zip_code]} {
		    set url "http://www.weather.com/weather/us/zips/[set zip_code].html"
		} else {
		    # replace the spaces in city with underscores
		    regsub -all {[ ]+} $city "_" underscored_city
		    set url [string tolower "http://www.weather.com/weather/cities/us_[set usps_abbrev]_[set underscored_city].html"]
		}
		
		if [catch { set page [util_memoize "ns_httpget $url 3" $memoize_timeout] } errmsg] {
		    if {[info exists city] && ![empty_string_p $city]} {
			append html "<tr><th>[capitalize $city]</th>
			<td><i>Weather service is currently unreachable</i></td></tr></table>"
		    } else {
			append html "<tr><th>$zip_code</th>
			<td><i>Weather service is currently unreachable</i></td></tr>"
		    }
		} else {
		    set page [string tolower $page]
		    # preset these variables so our page doesn't break if the remote 
		    # site decides to change their html
		    set date_time ""
		    set temperature ""
		    set condition ""
		    
		    regexp {last updated.*at (.*) time.*<br>[^0-z]*</font><br>} $page match date_time
		    regexp {<b>temp:</b></font></td>[^<]*<td width=5><img width=5 height=1 src="http://image.weather.com/pics/blank.gif" alt=""></td>[^<]*<td width=90><font face="arial, helvetica, chicago, sans serif" size=2>([0-9]*)&deg;f} $page match temperature
		    
		    regexp {<font face="arial, helvetica, chicago, sans serif" size=5><b>([a-z]*), [a-z][a-z] \([0-9]*\)</b></font><br>} $page match city
		    regexp {<font face="arial, helvetica, chicago, sans serif" size=3><b>([^0-9]*)</b>} $page match condition
		    
		    set idx [string first "pm" $date_time]
		    if {$idx!=-1} {
			set date_time [string range $date_time 0 [expr $idx+1]]
		    } else {
			set date_time [string range $date_time 0 [expr [string first "am" $date_time]+1]]
		    }
		    
		    set condition "[capitalize $condition]: $temperature &deg;F <i>($date_time)</i>"
		    set city "[capitalize $city]"
		}

		set garbage_so_that_nothing_funny_displays ""
	   ] }

	set table_def { 
	    { "zip_code" "" {} { <th> $city</th> }}
	    { "condition" "" {} {<td>$condition</td>} }
	}
	
	set html [ad_table -Textra_vars [list to_be_evaluated] -Tpre_row_code $rowcode -Theader_row_extra {1} "weather_query" $sql_query $table_def]
	
	append html "
	<br>(time stamps are local to the city)"
	
    } else {
	set html "Please log in and customize your table"
    }
    
    return $html
}

ad_proc -public weather_customization_URL {} {
    set return_url [ad_conn url]
    return "/weather/personalize?[export_url_vars return_url]"
}

