ad_page_contract {
    @author aileen@arsdigita.com, randyg@arsdigita.com
    @creation-date January, 2000
    @param weather_id 
    @param city 
    @param usps_abbrev 
    @param zip_code
    @param next_day_p
    @param five_day_p
    @param current_p 
    @cvs-id weather-personalize-2.tcl,v 3.3.2.6 2000/07/21 04:03:25 ron Exp
} {
    {next_day_p f}
    {five_day_p f}
    {current_p f}
    city:optional
    usps_abbrev:optional
    zip_code:optional
    return_url:notnull
}


set user_id [ad_verify_and_get_user_id]

set exception_count 0
set exception_text ""
set by_zip 0

if {[empty_string_p $zip_code]} {
    if {[empty_string_p $city] || [empty_string_p $usps_abbrev]} {
	incr exception_count
	append exception_text "<li>You must enter a zip code or both the city and state."
    } 
} else {
    set by_zip 1
}

if {$next_day_p=="f" && $five_day_p=="f" && $current_p=="f"} {
    incr exception_count
    append exception_text "<li>You must select at least one information type"
}

if {$exception_count>0} {
    ad_return_complaint $exception_count $exception_text
    return
}

db_dml weather_personalize_insert_row "
insert into weather_cities 
(weather_id, user_id, city, usps_abbrev, zip_code, five_day_p, next_day_p, current_p) 
values 
(weather_id_sequence.nextval, :user_id, :city, :usps_abbrev, :zip_code, :five_day_p, :next_day_p, :current_p)
"

#flush any memoized httpgets

if {![empty_string_p $zip_code]} {
    set url "http://www.weather.com/weather/us/zips/[set zip_code].html"
} else {
    # replace the spaces in city with underscores
    regsub -all {[ ]+} $city "_" underscored_city
    set url [string tolower "http://www.weather.com/weather/cities/us_[set usps_abbrev]_[set underscored_city].html"]
}

util_memoize_flush "ns_httpget $url 3"

ad_returnredirect $return_url

