ad_page_contract {
    @author aileen@arsdigita.com
    @author randyg@arsdigita.com

    @param return_url

    @creation-date January, 2000
    @cvs-id weather-personalize.tcl,v 3.4.2.5 2000/07/21 04:03:25 ron Exp
} {
    return_url:notnull
}

set user_id [ad_verify_and_get_user_id]

set page_content  "
[ad_header "Personalize Weather Information"]
<h2>Personalize Weather Information</h2>
<hr>
Your current list of cities:
<p>
"

set count 0

set sql_query "select * from weather_cities where user_id=:user_id"

db_foreach personalize_list_of_weather_info $sql_query {

    if {!$count} {
	append page_content "
	<table cellpadding=2>
	<tr>
	<th>City</th>
	<th>State</th>
	<th>Zip</th>
	<th>Type</th>
	</tr>"
    }

    set type ""

    if {$current_p=="t"} {
	append type "Current Conditions"
    } 

    if {$next_day_p=="t"} {
	if {[string length $type]>0} {
	    append type ", "
	}

	append type "Next Day Forecast"
    } 

    if {$five_day_p=="t"} {
	if {[string length $type]>0} {
	    append type ", "
	}

	append type "Five Day Forecast"
    }     

    append page_content "
    <tr>
    <td align=center>$city</td>
    <td align=center>$usps_abbrev</td>
    <td align=center>$zip_code</td>
    <td align=center>$type</td>
    <td align=right><a href=delete?[export_url_vars weather_id return_url]>remove</a></td>
    </tr>"

    incr count
}


if {$count} {
    append page_content  "</table>"
} else {
    append page_content  "
    Please add your cities below"
}


append page_content "
<p><h3>Add Cities</h3>
<form method=post action=personalize-2>
[export_form_vars return_url]
<table cellpadding=2>
<tr><th align=right>City</th>
<td><input type=text size=30 name=city></td>
</tr>
<tr>
<th align=right>State</th>
<td>[state_widget]</td>
</tr>
<tr>
<th colspan=2>or</th>
</tr>
<tr>
<th align=right>Zip Code</th>
<td><input name=zip_code type=text size=5 maxsize=5></td>
</tr>
<tr>
<th colspan=2><hr></th>
</tr>
<tr>
<th colspan=2><input type=checkbox name=current_p value=t checked>Current Conditions &nbsp;&nbsp;&nbsp;&nbsp; 
</th>
</tr>
<tr>
<th></th>
<td><input type=submit value=Add></td>
</tr>
</table>
</form>
[ad_footer]
"



doc_return 200 text/html $page_content


