# /packages/register/admin-www/check-submit-value.tcl

ad_page_contract {
    @cvs-id check-submit-value.tcl,v 3.5.2.6.2.4 2001/01/09
    @author befekadu ayenew (befekadu@mit.edu)
} {
    original_group_id:optional
    group_id:optional
    user_to_action:array,multiple
    add:optional
    delete:optional
    remove:optional
    startpage:optional
    bboard:optional
} -validate {
    group_exists_for_removal -requires remove:notnull {
	if { [info exists remove] && [empty_string_p $original_group_id] } {
	    ad_complain "You can delete only members of the same group"
	}
    }
} -errors {
    group_exists_for_removal { You can delete only members of the same group }
}

set key_list [join [array names user_to_action] ":"]

if { [info exists add] } {
    ad_returnredirect add-users-to-group?[export_url_vars group_id key_list]
} elseif { [info exists delete] } {
	ad_returnredirect delete-users?[export_url_vars original_group_id key_list]	
} elseif { [info exists remove] } {
    ad_returnredirect remove-users-from-group?[export_url_vars original_group_id key_list]
} elseif { [info exists startpage] } {
    ad_returnredirect set-startpage?key_list=$key_list
} elseif { [info exists bboard] } {
    ad_returnredirect set-bboard-view?key_list=$key_list
}

