-- Education Load Script
-- This script does four things: 
-- (1) removes data models of acs modules that conflict with new education packages,
-- (2) loads data models of all packages that education package is using,
-- (3) loads education data model, 
-- (4) enables all packages that education is using (including education)

-- droping old news module
drop table newsgroups cascade constraints;
drop sequence newsgroup_id_sequence;
drop table news_items cascade constraints;
drop sequence news_item_id_sequence;

-- droping old file storage
drop sequence fs_file_id_seq;
drop table fs_files cascade constraints;
drop sequence fs_version_id_seq;
drop table fs_versions cascade constraints;
drop view fs_versions_latest;
drop view fs_files_tree;
delete from general_permission_types where table_name='FS_VERSIONS';
commit;

-- dropping old survsimp
drop sequence survsimp_survey_id_sequence;
drop table survsimp_surveys cascade constraints;
drop sequence survsimp_question_id_sequence;
drop table survsimp_questions cascade constraints;
drop sequence survsimp_choice_id_sequence;
drop table survsimp_question_choices cascade constraints;
drop sequence survsimp_response_id_sequence;
drop table survsimp_responses cascade constraints;
drop view survsimp_responses_unique;
drop table survsimp_question_responses cascade constraints;
drop view survsimp_question_responses_un;

-- load data models of packages education depends on and data model of education
@ ../../../packages/calendar/01-calendar-core.sql
@ ../../../packages/calendar/02-calendar-view.sql
@ ../../../packages/calendar/03-calendar-api.sql
@ ../../../packages/calendar/04-calendar-cvt-intranet.sql
@ ../../../packages/file-storage/file-storage.sql
@ ../../../packages/news/news.sql
@ ../../../packages/survey/survey.sql
@ ../../../packages/threaded-bboard/threaded-bboard.sql
@ ../../../packages/threaded-bboard/update.sql
@ ../../../packages/stock-quotes/stock-quotes.sql
@ ../../../packages/weather/weather.sql
@ ../../../packages/register/register.sql
@ ../../../packages/portals/00-portals-move-old.sql
@ ../../../packages/portals/01-portals-core.sql
@ ../../../packages/portals/10-portal-domain-api-spec.sql
@ ../../../packages/portals/11-portal-api-spec.sql
@ ../../../packages/portals/12-portal-page-api-spec.sql
@ ../../../packages/portals/13-portal-portlet-api-spec.sql
@ ../../../packages/portals/14-portal-install-api-spec.sql
@ ../../../packages/portals/20-portal-domain-api-body.sql
@ ../../../packages/portals/21-portal-api-body.sql
@ ../../../packages/portals/22-portal-page-api-body.sql
@ ../../../packages/portals/23-portal-portlet-api-body.sql
@ ../../../packages/portals/24-portal-install-api-body.sql
@ ../../../packages/portals/30-portal-automatic-creation.sql
@ ../../../packages/portals/40-ensure-backward-compatibility-with-pre-acs3.4.6-releases.sql
@ ../../../packages/portals/50-load-default.sql
@ ../../../packages/portals-calendar/portals-calendar.sql
@ ../../../packages/portals-file-storage/portals-file-storage.sql
@ ../../../packages/portals-stock-quotes/portals-stock-quotes.sql
@ ../../../packages/portals-threaded-bboard/portals-threaded-bboard.sql
@ ../../../packages/portals-weather/portals-weather.sql
@ ../../../packages/survey-portals/survey-portals.sql
@ ../../../packages/education/00-acs-core-modifications.sql
@ ../../../packages/education/01-education-core.sql
@ ../../../packages/education/02-education-api.sql
@ ../../../packages/education/10-education-communities.sql
@ ../../../packages/education/11-education-handouts.sql
@ ../../../packages/education/12-education-grades.sql
@ ../../../packages/education/13-education-tasks.sql
@ ../../../packages/education/14-education-evaluations.sql
@ ../../../packages/education/15-education-appointments.sql
@ ../../../packages/education/16-education-textbooks.sql
@ ../../../packages/education/20-education-calendar-setup.sql
@ ../../../packages/education/24-education-community-class-modules.sql
@ ../../../packages/education/30-education-portal-setup.sql
@ ../../../packages/education/31-education-users-portal-domain.sql
@ ../../../packages/education/32-education-class-portal-domain.sql
@ ../../../packages/education/33-education-community-portal-domain.sql
@ ../../../packages/education/34-education-subgroup-portal-domain.sql

-- enable all education packages
execute apm_insure_package_enabled('calendar');
execute apm_insure_package_enabled('file-storage');
execute apm_insure_package_enabled('news');
execute apm_insure_package_enabled('survey');
execute apm_insure_package_enabled('threaded-bboard');
execute apm_insure_package_enabled('stock-quotes');
execute apm_insure_package_enabled('weather');
execute apm_insure_package_enabled('register');
execute apm_insure_package_enabled('manage-users');
execute apm_insure_package_enabled('portals');
execute apm_insure_package_enabled('portals-calendar');
execute apm_insure_package_enabled('portals-file-storage');
execute apm_insure_package_enabled('portals-stock-quotes');
execute apm_insure_package_enabled('portals-threaded-bboard');
execute apm_insure_package_enabled('portals-weather');
execute apm_insure_package_enabled('survey-portals');
execute apm_insure_package_enabled('education');
execute apm_insure_package_enabled('evaluation');

commit;