create or replace function ad_user_can_do_action_p
  (v_user_id	IN user_group_map.user_id%TYPE,
   v_group_id	IN user_group_map.group_id%TYPE,
   v_action	IN user_group_actions.action%TYPE)
return char
is
	v_dummy	integer;
begin
	begin
		select 1 into v_dummy 
		from dual
		where ad_group_member_p(v_user_id, system_administrator_group_id)='t'
	        or exists (select 1
                           from (select ug.group_id
                                 from user_groups ug
                                 start with ug.group_id= v_group_id
                                 connect by ug.group_id = prior ug.parent_group_id) temp
                           where ad_group_member_admin_role_p(v_user_id, temp.group_id)='t'
			   or exists (select 1 
                                      from user_group_map ugm, user_group_action_role_map ugarm
                                      where ugm.group_id=temp.group_id
                                      and ugarm.group_id=temp.group_id
                                      and ugm.user_id=v_user_id
                                      and ugm.role=ugarm.role
                                      and ugarm.action=v_action));
		return 1;		
	exception
		when no_data_found then
			return 0;
	end;
END;
/
show errors

@ ../../../packages/portals/21-portal-api-body.sql
