execute portal_domain.set_property(v_domain_id => portal_domain.id_from_domain_name('team'), v_property_name => 'portlet_header_color', v_property_value => '#663366');
execute portal_domain.set_property(v_domain_id => portal_domain.id_from_domain_name('team'), v_property_name => 'td_header_html', v_property_value => '<td bgcolor=#663366><font face=arial,helvetica size=-1 color=#FFFFCC><b>');
commit;


-- code for adding the Limited Access user group

insert into user_groups
    (group_id, group_type, group_name, short_name, admin_email, creation_user, 
     creation_ip_address, approved_p, new_member_policy, spam_policy, 
     parent_group_id, registration_date)
    values
    (user_group_sequence.nextval,'administration','Limited Access',
    'limited_access', null, 1, '216.34.106.252', 't', 'closed',
    'closed', null, sysdate);
    

insert into administration_info (select group_id, 'Education', null,
       null from user_groups where group_name like 'Limited Access'); 

insert into content_sections	
	(section_id, scope, section_type, requires_registration_p, 
	visibility, group_id, section_key, module_key, 
	section_pretty_name, enabled_p)
	select content_section_id_sequence.nextval, 'group', 
	section_type_from_module_key(module_key), 'f', 'public', ug.group_id,
	module_key, module_key, pretty_name_from_module_key(module_key), 't'
	from user_group_type_modules_map, user_groups ug 
	where ug.group_type='administration' and ug.group_name like 'Limited Access';



--trigger for dropping bboard subscriptions for users who leave a
--group


CREATE OR REPLACE TRIGGER drop_bboard_subscription_tr
BEFORE DELETE ON user_group_map
FOR EACH ROW
DECLARE
	
	CURSOR topic IS
		select topic_id from gc_bboard_topics
		where group_id = :old.group_id;
BEGIN
	FOR one_topic in topic LOOP
	   delete from gc_topic_user_map where user_id = :old.user_id
	   and topic_id = one_topic.topic_id;
	END LOOP;
END;
/
show errors

