-- performance improvements
create index user_group_group_type_index on user_groups(group_type);
create index portals_parent_portal_id_index on portals(parent_portal_id);
create index portals_group_id_index on portals(group_id);

update portal_portlets set content_source='edu_related_groups_links',
                           admin_link_source=''
where portlet_id in (select portlet_id 
                     from portal_predefined_portlets 
		     where portlet_name='My Groups')
or portlet_id in (select portlet_id 
                  from portal_domain_portlets
                  where predefined_portlet_id in (select portlet_id 
						  from portal_predefined_portlets 
						  where portlet_name='My Groups'));
commit;

update portal_predefined_portlets set portlet_name='Related Groups Links' where portlet_name='My Groups';
commit;

@ ../../../packages/portals/10-portal-domain-api-spec.sql 
@ ../../../packages/portals/20-portal-domain-api-body.sql 

execute portal_install.add_predefined_domain_portlet(v_domain_name => 'class', v_predefined_portlet_name => 'Related Groups Links', v_portlet_name => 'Related Groups');
update portal_portlet_page_map
set sort_key=sort_key+1
where page_id in (select page_id 
                  from portal_pages
	          where portal_id in (select portal_id
                                      from portals
                                      where domain_id= portal_domain.id_from_domain_name('class')
				      and default_p='t')
	          and page_number=1)
and page_side='r';
execute portal_install.place_domain_portlet(v_domain_name => 'class', v_portlet_name => 'Related Groups', v_page_number => 1, v_page_side => 'r', v_sort_key => 1);
execute portal_domain.revert_domain_portlets(v_domain_id => portal_domain.id_from_domain_name('class'));
commit;

--Trigger for creating newsgroups

--author caroline@arsdigita.com
--When you enable a module though the admin/ug pages this will create the newgroup.
--Note we don't have a delete trigger as there maybe content already in the newsgroup
--and we wouldn't want to delete it by accident.

Create or replace trigger news_ng_create_on_cs_add_tr
after insert on content_sections 
for each row
DECLARE
	v_newsgroup_exists_p	integer;
BEGIN

	IF :new.module_key = 'news' THEN
		IF :new.scope = 'group' THEN	
			select count(group_id) into v_newsgroup_exists_p
			from newsgroups
			where group_id = :new.group_id;

			IF v_newsgroup_exists_p < 1 THEN
				insert into newsgroups
				(newsgroup_id, scope, group_id)
				values (newsgroup_id_sequence.nextval, 'group', :new.group_id);
			END IF;
		END IF;
	END IF;
END;
/
show errors

-New Team control panel
execute portal_install.add_predefined_portlet(v_portlet_name => 'Subgroup Administration', v_content_source_type => 'tcl', v_content_source => 'DisplaySubGroupAdministration'); 


-I deleted class administration via the web interface first
execute portal_install.add_predefined_domain_portlet(v_domain_name => 'team', v_predefined_portlet_name => 'Subgroup Administration', v_control_panel_p => 't');

