-- ejc@arsdigita.com

alter table edu_community_info add (
	root_folder_id  integer
			constraint edu_comm_info_root_id_fk references fs_files
);

alter table edu_community_info_audit add (
	root_folder_id  integer
);

create or replace trigger edu_comm_info_audit_trigger
before update or delete on edu_community_info
for each row
begin
   insert into edu_community_info_audit (
	group_id,		
	description, 		
	public_p,
	root_folder_id,		
	last_modified,          	
        last_modifying_user,     
        modified_ip_address)
    values (
	:old.group_id,		
	:old.description, 		
	:old.public_p,	
	:old.root_folder_id,	
	:old.last_modified,          	
        :old.last_modifying_user,     
        :old.modified_ip_address);
end;
/
show errors

create table edu_subgroup_info (
	group_id	integer primary key
			constraint edu_sub_info_group_id_fk references user_groups,
	root_folder_id  integer
			constraint edu_sub_info_root_id_fk references fs_files
);

create table edu_subgroup_info_audit (
	group_id integer,
	root_folder_id integer
);

create or replace trigger edu_sub_info_audit_trigger
before update or delete on edu_subgroup_info
for each row
begin
	insert into edu_subgroup_info_audit (
		group_id,
		root_folder_id)
	values (:old.group_id,
		:old.root_folder_id);
end;
/
show errors

declare
cursor c1 is
	select distinct fsf.group_id, file_id from user_groups ug, fs_files fsf
	where group_type = 'edu_subgroup'
	and fsf.group_id = ug.group_id
	and file_title != 'CalendarAttachments'
	and parent_id is null;
monkey c1%ROWTYPE;
begin
	for monkey in c1
		loop
			insert into edu_subgroup_info (group_id, root_folder_id) values (monkey.group_id, monkey.file_id);
			update fs_files set parent_id = monkey.file_id where file_title = 'CalendarAttachments' and folder_p = 't' and group_id = monkey.group_id;
		end loop;
end;
/
show errors

declare
cursor c1 is
	select distinct fsf.group_id, file_id from user_groups ug, fs_files fsf
	where group_type = 'edu_community'
	and fsf.group_id = ug.group_id
	and file_title != 'CalendarAttachments'
	and parent_id is null;
monkey c1%ROWTYPE;
begin
	for monkey in c1
		loop
			update edu_community_info set root_folder_id = monkey.file_id where group_id = monkey.group_id;
			update fs_files set parent_id = monkey.file_id where file_title = 'CalendarAttachments' and folder_p = 't' and group_id = monkey.group_id;
		end loop;
end;
/
show errors

create index portal_portlet_page_map_pi_idx on portal_portlet_page_map(page_id);
